2007-12-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/NEWS.txt: 1.1.1 is for today.

2007-12-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Update the version of the manual automatically.

	* doc/manual/Makefile.am (version.tex): New rule.
	(vaucanson_user_manual_sources): Distribute version.tex.
	* doc/manual/vaucanswig.tex: Adjust for recent changes in share/.
	* doc/manual/installation.tex, doc/manual/vaucanson-user-manual.tex:
	Use the definitions from version.tex.

2007-12-13  Michaël Cadilhac  <michael@cadilhac.name>

	* minimization_2n/Makefile.bench,
	* minimization_debruijn/Makefile.bench: Time only the relevant part.

2007-12-13  Michaël Cadilhac  <michael@cadilhac.name>

	* include/vaucanson/tools/bencher.hh (VCSN_BENCH_START_QUIET)
	(VCSN_BENCH_START, VCSN_BENCH_STOP_QUIET, VCSN_BENCH_STOP)
	(VCSN_BENCH_PRINT, VCSN_BENCH_STOP_AND_PRINT): Explicit the use of the
	vcsn::tools namespace.

2007-12-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* configure.ac: Bump version to 1.1.1.
	* doc/NEWS.txt: Update.
	* AUTHORS: Add me.

2007-12-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* include/vaucanson/algorithms/complete.hxx (complete_here,
	is_complete): Ensure that input is realtime.
	* include/vaucanson/algorithms/complete.hh: Document it.
	* lib/generate_libvcsn.rb: Hide complete.hh only for FMPs.
	* taf-kit/tests/vcsn-b.test: Add more tests.
	Report from Pierre-Yves Angrand <angrand@enst.fr>.

2007-12-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Complete previous patch.

	* include/vaucanson/algorithms/is_deterministic.hxx: Include
	realtime.hh.
	* lib/generate_libvcsn.rb: Do not build is_deterministic for
	transducers.

2007-12-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* include/vaucanson/algorithms/is_deterministic.hxx
	(do_is_deterministic): Ensure that input is realtime.
	* include/vaucanson/algorithms/is_deterministic.hh: Document it.
	* taf-kit/tests/vcsn-b.test: Test it.
	Report from Pierre-Yves Angrand <angrand@enst.fr>.

2007-12-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Taf-Kit's tests suite failed to notice several mistakes because
	"set -e" has no effects on commands prefixed by "!"...  Besides,
	"!" does not make any difference between an expected error code
	and a segfault.

	* tests/defs.in (fail1): New function.
	(non_ambiguous1): Really point to a non-ambiguous automaton.
	* tests/vcsn-b.test: Use fail1 instead of !.  Fix test for
	is-realtime.
	* tests/vcsn-z.test: Use fail1 instead of !.  Do not test for
	is-normalized, it does not exist, and fix the tests for
	is-ambiguous and is-realtime.
	* tests/vcsn-tdc.test: Use fail1 instead of !.  Really disable
	the test for are-isomorphic.

2007-12-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Fixes for files left in build directory after distclean.

	* taf-kit/tests/defs.in: Fix the creation of working directories.
	* data/Makefile.am (dist_lisp_LISP): Do not list emacs/* files here
	because Automake fails to clean lisp files in subdirectories. Do it...
	* data/emacs/Makefile.am: ... in this new file.
	* data/Makefile.am (SUBDIRS): Recurse into emacs.
	* configure.ac: Output data/emacs/Makefile.
	* doc/Makefile.am: Do not include doc.mk, its intricate set of
	circular pattern rules cause the PDF files to be rebuilt in VPATH
	builds, breaking distcheck.
	* src/tests/test-suites/test-suite.mk (CLEANFILES): Clean
	coherence_state_transition_test.xml because it is output by many
	test suite.  Move the rest of that variable ...
	* src/tests/check/check.mk (CLEANFILES): ... here, so that
	handwritten test-suites get cleaned too.

2007-12-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Revert the change of 2007-10-22.  It breaks "make distcheck" and
	fails to install files that are essential to taf-kit.

	* Makefile.am (SUBDIRS): Add data.
	(demos): Do not recurse into data.

2007-12-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* configure.ac (AC_CHECK_SWIG13): Run it unconditionally, and do not
	abort if it is too old.

2007-12-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* taf-kit/src/tdc_commands.cc (command_map): Fix the declaration
	of eval-aut, it takes two args, not one.
	* taf-kit/tests/vcsn-tdc.test: Execute eval-aut at least once.

2007-12-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Introduce are_equivalent, and use it to fix a failure in the
	test-suite.

	* include/vaucanson/algorithms/equivalent.hh,
	include/vaucanson/algorithms/equivalent.hxx: New files.
	* include/Makefile.am: Distribute and install them.
	* include/vaucanson/contexts/automaton_functions.thh: Include them.
	* lib/generate_libvcsn.rb: Add are_equivalent.
	* taf-kit/src/b_commands.cc: Add the are-equivalent command.
	* taf-kit/tests/vcsn-b.test: Add a test for are-equivalent.
	* src/tests/include/tests/automata/algos/fmp_transducers/normalized_composition_test.hh,
	src/tests/include/tests/automata/algos/fmp_transducers/evaluation_fmp_test.hh,
	src/tests/include/tests/automata/algos/fmp_transducers/subnormalized_composition_test.hh:
	Compare ratexp by testing that their standard automata
	are equivalent, not by comparing their syntax trees.  This fixes a
	failure of normalized_composition-test.
	* src/tests/include/tests/automata/algos/boolean_rw_transducers/invert_test.hh:
	Remove the kludge I introduced on 2007-11-02 and an older one.

2007-12-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Fix is_realtime()

	* include/vaucanson/algorithms/is_realtime.hh,
	include/vaucanson/algorithms/is_realtime.hxx: Delete them.
	* include/Makefile.am: Drop them.
	* include/vaucanson/contexts/automaton_functions.thh,
	include/vaucanson/algorithms/product.hxx: Do not include
	is_realtime.hh.
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/realtime_trans_test.hh: Likewise.
	* taf-kit/tests/vcsn-b.test: Two more tests for is-realtime.
	* include/vaucanson/algorithms/realtime.hxx (do_is_realtime): Rewrite
	using the definition formerly in is_realtime.hxx.  The previous code
	looked more like a is_proper() function.
	* lib/generate_libvcsn.rb: Do not instanciate product
	on FMP automata.

2007-11-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* include/vaucanson/contexts/transducer_maker.thxx
	(do_evalutation): The intermediate automaton resulting from the
	evaluation of the RatExp on the transducer should use the output
	alphabet, not the input alphabet.  This fixes an assertion failure
	in normalized_composition-test, but that test is still failing
	later because of the way it compares RatExps...

2007-11-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* include/vaucanson/algorithms/minimization_hopcroft.hxx
	(do_quotient): Thinko in previous patch.
	* src/tests/include/tests/automata/algos/fmp_transducers/normalized_composition_test.hh,
	src/tests/include/tests/automata/algos/fmp_transducers/evaluation_fmp_test.h,
	src/tests/include/tests/automata/algos/fmp_transducers/subnormalized_composition_test.hh:
	Call realtime_here on RW transducers thare are going to be evaluated.
	This fixes the failures of evaluation_fmp-test and
	subnormalized_composition-test.  normalized_composition-test is still
	failing later.

2007-11-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* include/vaucanson/algorithms/minimization_hopcroft.hxx
	(do_quotient): Handle empty automata, and automata with
	only non-final states or only final states.
	* taf-kit/tests/vcsn-b.test: Construct two more automata,
	use them to check quotient as well as a few other commands
	already tested.

2007-11-24  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	operator<< is used in namespace misc, but also in rat and
	algebra. There were overload resolution issues in rat and
	algebra. Probably the same problem than the is_finite bug.

	*include/vaucanson/algebra/implementation/letter/couple_letter.hh:,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hxx:
	Move operator<< from namespace vcsn::misc to std. Move escaped
	characters container of op_parse to template parameters, there is no
	reason to restrain it to a std::list.

2007-11-20  The LRDE Buildbot  <tsuna@lrde.epita.fr>

	Adjust the bootstrap to find the correct version of Automake.
	* bootstrap.sh: Rename as...
	* bootstrap: ... this.  Use automake-1.10 when available.

2007-11-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Kill more warnings from recent GCCs.

	* include/vaucanson/misc/global_timer.hh: Simplify.  The only
	caller in taf-kit/src/main.cc is already checking for the
	emptyness of the string, and the previous code was using !=
	to compare two char*.
	* taf-kit/src/common.hh (arguments_t::args, arguments_t::alphabet,
	arguments_t::alphabet2): Declare as const char*.
	* taf-kit/src/main.cc (alphabet::name, alphabet::alphabet): Idem.
	* taf-kit/src/pipe.hh, taf-kit/src/pipe.hxx (set_name): Take
	a const argument.

2007-11-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	According to Andrew Pinski in GCC bug 34073
        (http://gcc.gnu.org/bugzilla/show_bug.cgi?id=34073)
	name lookup for overloaded template functions works
	as follows:
	1. The previous definitions are looked up at the point
	of the call at definition time (ignoring any overloaded
	definition they may be done later).
	2. An argument dependent lookup occurs at instantiation time
	but only in the namespace of the argument (this one takes
	into account overloaded definitions done after the call).

	Because we have plenty of such functions that are specialized
	after they are used, we need to rely on (2).  So this change
	moves all op_* functions into their argument's namespace (algebra).
	Fixing
	test-suites/boolean_transducer/coherence_state_transition-test
	with newer versions of GCC.  The test case of GCC bug 34073
	is a reduced version of coherence_state_transition-test done
	by Guillaume Leroi.

	* include/vaucanson/algebra/concept/alphabets_base.hh,
	include/vaucanson/algebra/concept/alphabets_base.hxx,
	include/vaucanson/algebra/concept/freemonoid_base.hh,
	include/vaucanson/algebra/concept/freemonoid_base.hxx,
	include/vaucanson/algebra/concept/monoid_base.hh,
	include/vaucanson/algebra/concept/monoid_base.hxx,
	include/vaucanson/algebra/concept/semiring_base.hh,
	include/vaucanson/algebra/concept/semiring_base.hxx,
	include/vaucanson/algebra/concept/series_base.hh,
	include/vaucanson/algebra/concept/series_base.hxx,
	include/vaucanson/algebra/implementation/alphabets/alphabet_set.hh,
	include/vaucanson/algebra/implementation/alphabets/alphabet_set.hxx,
	include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hh,
	include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hxx,
	include/vaucanson/algebra/implementation/free_monoid/str_words.hh,
	include/vaucanson/algebra/implementation/free_monoid/str_words.hxx,
	include/vaucanson/algebra/implementation/free_monoid/tools.hh,
	include/vaucanson/algebra/implementation/free_monoid/tools.hxx,
	include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hh,
	include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hxx,
	include/vaucanson/algebra/implementation/letter/int_letter.hh,
	include/vaucanson/algebra/implementation/letter/int_letter.hxx,
	include/vaucanson/algebra/implementation/semiring/numerical_semiring.hh,
	include/vaucanson/algebra/implementation/semiring/numerical_semiring.hxx,
	include/vaucanson/algebra/implementation/semiring/tropical_semiring.hh,
	include/vaucanson/algebra/implementation/semiring/tropical_semiring.hxx,
	include/vaucanson/algebra/implementation/series/generalized.hh,
	include/vaucanson/algebra/implementation/series/generalized.hxx,
	include/vaucanson/algebra/implementation/series/krat.hh,
	include/vaucanson/algebra/implementation/series/krat.hxx,
	include/vaucanson/algebra/implementation/series/polynoms.hh,
	include/vaucanson/algebra/implementation/series/polynoms.hxx
	(identity_value, op_add, op_assign, op_can_choose_non_starable,
	op_choose, op_choose_from_supp, op_choose_non_starable,
	op_contains, op_contains_e, op_convert, op_default, op_first,
	op_in_add, op_in_mirror, op_in_mul, op_in_star, op_in_transpose,
	op_is_finite, op_is_finite_app, op_length, op_letter_equality,
	op_max_size, op_mul, op_parse, op_rout, op_second,
	op_series_choose, op_series_get, op_series_set,
	op_series_structure, op_star, op_starable, op_support, op_xeq,
	zero_value): Move all this functions into the vcsn::algebra namespace.

2007-11-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* include/vaucanson/xml/tools.hxx
	(vcsn::xml::tools::create_semiring): Use strcmp instead of != to
	compare two char*, killing another GCC 4.2.3 warning about
	"comparison with string literal results in unspecified behaviour".

2007-11-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Kill "deprecated conversion from string constant to `char*'"
	warnings with GCC 4.2.3 (prerelease).

	* include/vaucanson/tools/dot_display.hh,
	include/vaucanson/tools/dot_display.hxx (vscn::tools::dot_display):
	Pass argv as "const char *const", not "char *const".
	* include/vaucanson/tools/xml_display.hh,
	include/vaucanson/tools/xml_display.hxx (vscn::tools::xml_display):
	Likewise.
	* include/vaucanson/tools/out_display.hh,
	include/vaucanson/tools/out_display.hxx (vscn::tools::out_display):
	Likewise.  Adjust call to execvp.

2007-11-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* ChangeLog.1: Whitespace cleanup.

2007-11-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* build-aux/vcsn-boost.m4 (AX_BOOST_BASE): Do not export
	CPPFLAGS and LDFLAGS.  This is pointless and breaks
	`configure -C'.

2007-11-08  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Use alphabets of input transducer in 'to-rt'.
	* taf-kit/src/tdc_commands.cc: Use alphabets of input
	fmp-tranducer to construct output transducer in 'to-rt'
	algorithm.
	* taf-kit/tests/vcsn-tdc.test: Add a test to at least check
	that no exception is raised in a basic example.

2007-11-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Make boolean_rw_transducers/invert-test PASS.

	* src/tests/include/tests/automata/algos/boolean_rw_transducers/invert_test.hh:
	Use string comparisons to compare rational expressions in this
	specific case.  The previous tree comparison failed to
	equate (a.(b.(a.b))) with (a.((b.a).b)).  String comparison is
	still gross and a real RatExp comparison would be welcome here.

2007-10-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* ChangeLog: Cleanup some recent entries.

2007-10-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* configure.ac: Do not output doc/xml/Makefile, as
	per 2007-07-29's removal of doc/xml/.

2007-10-29  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Follow up renaming of (non-)ambiguous automata.
	* taf-kit/tests/Makefile.am: Update EXTRA_DIST following
	previous renaming.
	* taf-kit/tests/automata/b/ambiguous1.xml:,
	* taf-kit/tests/automata/b/ambiguous2.xml:,
	* taf-kit/tests/automata/b/non_ambiguous1.xml: Update XML "name" tags.

2007-10-29  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix final transitions handling in standardize.
	* include/vaucanson/algorithms/standard.hxx: Accumulate final
	transitions series and add the result to the new initial state.
	Suppress only non-accessible initial states, not all
	non-accessible states.
	* taf-kit/tests/vcsn-b.test: Add a test on standardize. Check
	that final transitions are handle.

2007-10-23  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix is-ambiguous taf-kit's tests.
	Ambiguous and non-ambiguous automata were swapped.
	* taf-kit/tests/automata/b/ambiguous.xml: Rename as...
	* taf-kit/tests/automata/b/non_ambiguous.xml: Here.
	* taf-kit/tests/automata/b/ambiguous1.xml: Rename as...
	* taf-kit/tests/automata/b/non_ambiguous1.xml: Here.
	* taf-kit/tests/automata/b/ambiguous2.xml: Rename as...
	* taf-kit/tests/automata/b/non_ambiguous2.xml: Here.
	* taf-kit/tests/defs.in: Rename variables accordingly to renaming.
	* taf-kit/tests/vcsn-b.test: Update tests accordingly to renaming.

2007-10-23  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix is_ambiguous return value.
	is_ambiguous was returning true when it should return false,
	and vice-versa.
	* include/vaucanson/algorithms/is_ambiguous.hxx: Do it.

2007-10-22  Guillaume Lazzara  <z@lrde.epita.fr>

	Don't build examples in data/ with 'all' anymore.
	Examples in data are now built with 'make demos'.
	* Makefile.am: here.

2007-10-22  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix taf-kit output for commmands with two arguments.
	Commands taking two parameters were outputing nothing.
	This was due to change in macros since internal pipe was add.

	* taf-kit/src/commands_macros.hh: Use KEEP_AUTOMATON instead of OUTPUT.
	* taf-kit/tests/vcsn-b.test: Add tests on two paramater	commands to
	check that they ouput some XML.

2007-10-22  Guillaume Lazzara  <z@lrde.epita.fr>

	Remove obsolete xml proposal from doc
	This patch follows Jacques's comments about the documentation.
	* doc/Makefile.am: remove xml directory subdir.
	* doc/xml/Makefile.am: Remove.
	* doc/xml/xml_proposal.tex: Remove.
	* doc/xml: Remove.

2007-10-12  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix some compilations issues in one_rule_rewriting
	* src/demos/one_rule_rewriting/ORR_demo.cc:,
	* src/demos/one_rule_rewriting/fibonacci_demo.cc: Suppress include of
	evaluation.hh.

2007-10-12  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix some typos.
	* include/vaucanson/algorithms/domain.hxx: Modify first argument's type
	of image_dispatch, replace type S by AutomataBase<S>.
	* include/vaucanson/algorithms/realtime_to_fmp.hxx: Fix call to virtual
	members	`initial' and `final'. Use initial() and final() methods.

2007-10-12  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Rename {input,ouput]_projection calls to domain,image.
	* src/demos/function_library/rt_tdc_algorithms.cc: Do it. Suppress
	are_isomorphic functionality.

2007-10-11  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Rename vcsn::io to vcsn::tools in src/demos
	Namespace vcsn::io has been removed, vcsn::tools replaces
	it. Some demos were still not updated accordingly.

	* src/demos/function_library/algorithms.cc:,
	* src/demos/function_library/rt_tdc_algorithms.cc:,
	* src/demos/function_library/tdc_algorithms.cc: Do it.

2007-10-11  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix make distcheck
	The vaucanswig's Makefiles were not generated properly.
	Morover, the make distcheck now use two configure options:
	--enable-demos and --enable-vaucanswig.

	* Makefile.am: Fix the distcheck options.
	* configure.ac: Fix the vaucanswig's makefiles generation.

2007-10-10  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Remove contains_factors demo.
	The algortihm is false, and failed to check if the language
	recognized by an automaton is factor of a language recognized
	by an other automaton.
	* src/demos/algorithms/Makefile.am: Remove target {b,z}_contains_factor.
	* src/demos/algorithms/contains_factor.cc: Remove.

2007-10-10  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Rename predefined alphabets
	`ascii' has been suppress too, because the xml parser cannot handle `"',
	and Vaucanson does not handle correctly alphabets with digits.
	* taf-kit/src/main.cc: Rename `a-z' to letters and `a-zA-Z' to alpha.

2007-10-10  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Remove unused variables.
	* include/vaucanson/algorithms/minimization_hopcroft.hxx: Remove
	unused variable in quotient, and a unused paramater of
	add_new_partitions.

2007-10-10  Guillaume Lazzara  <z@lrde.epita.fr>

	Update README file
	Fix some strange changes made in patch 1731, according
	to Alexandre's comments.
	* doc/README.txt: here.

2007-10-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Distribute the HTML documentation.

	* Makefile.am (docs): Remove target.
	* doc/Makefile.am (docs): Rename this target as ...
	($(srcdir)/stamp): ... this, and update it whenever
	configure.ac or doc.doxy.in change.
	(EXTRA_DIST): Distribute $(srcdir)/stamp and the
	HTML documentation.
	(MAINTAINERCLEANFILES): Clean $(srcdir)/stamp.
	* doc/README.txt: Do not mention "make docs".  Reword a few
	paragraphs.

2007-10-03  Guillaume Lazzara  <z@lrde.epita.fr>

	Disable TAF-Kit's tests related to are-isomorphic.
	* taf-kit/tests/vcsn-b.test,
	* taf-kit/tests/vcsn-tdc.test,
	* taf-kit/tests/vcsn-z.test: here.

2007-10-03  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix the return value in TAF-Kit
	TAF-Kit returned 0 when a command was unknown.
	* taf-kit/src/main.cc: here.

2007-10-03  Guillaume Lazzara  <z@lrde.epita.fr>

	Disable are-isomorphic in TAF-Kit
	* taf-kit/src/b_commands.cc,
	* taf-kit/src/common_commands.hh: here.

2007-10-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/Makefile.am (dist-hook): New rule to remove
	svn and backup files from the tarball.
	* doc/share/: Update its external repository.

2007-10-03  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Correct a bug in quotient for undeterministic automata
	* minimization_hopcroft.hxx: Add a new method add_new_partitions to
	correctly add partitions to the to_treat list. Rename variables to more
	explicit names.

2007-10-02  Guillaume Lazzara  <z@lrde.epita.fr>

	* doc/README.txt: Update.

2007-10-02  Guillaume Lazzara  <z@lrde.epita.fr>

	* debian/changelog: Add a new entry. Useful while generating deb
	package.

2007-10-02  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix the PYTHON_PREFIX detection.
	Add a new test to override the default python prefix.
	The python prefix was set to PREFIX by default. However,
	you may want to change it and it is usually installed in
	a different path than PREFIX.

	* configure.ac: add the test.

2007-10-02  Guillaume Lazzara  <z@lrde.epita.fr>

	Make the doc generation optional.
	You need to type 'make docs' to generate the docs.
	Avoid dependencies issues when the user doesn't have
	doxygen installed.

	* Makefile.am,
	* doc/Makefile.am: Add a docs rule.

2007-10-02  Guillaume Lazzara  <z@lrde.epita.fr>

	Remove the double quote character from the ASCII alphabet in TAF-Kit

	* taf-kit/src/main.cc: Document this change.
	* taf-kit/src/predefined_alphabets.hh: Apply the change.

2007-10-02  Guillaume Lazzara  <z@lrde.epita.fr>

	Cleanup demos directory
	Rename/Remove files according to what Jacques wanted.
	Some output from the demos has also been changed.

	* src/demos/algorithms/Makefile.am: update file name.
	* src/demos/algorithms/are_equivalent.cc: Remove.
	* src/demos/algorithms/aut_are_equivalent.cc: New.
	* src/demos/algorithms/classics.cc: Remove.
	* src/demos/algorithms/contains_factor.cc: Output changed.
	* src/demos/algorithms/equivalent_functions.cc: Output changed.
	* src/demos/algorithms/exp_are_equivalent.cc: New.
	* src/demos/algorithms/exp_equiv.cc: Remove.

2007-09-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Compiling on FreeBSD chokes on getenv() and strlen().
	Report from Alexandre Hamez.

	* src/tests/check/tester.cc: Include <cstdlib> for
	getenv() and get rid of strlen().

2007-09-20  Guillaume Lazzara  <z@lrde.epita.fr>

	Disable are_isomorphic in TAF-Kit
	Since the meaning of "isomorphic" is not correctly defined in
	Vaucanson yet, this algorithm is temporarily disabled in TAF-Kit.
	It remains accesible through the usual headers if necessary.

	* taf-kit/src/tdc_commands.cc,
	* taf-kit/src/z_commands.cc: Disable are_isomorphic.

2007-09-20  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix missing entries in Makefile.am

	Many new files were not declared in the Makefile.am files.
	* include/Makefile.am,
	* taf-kit/src/Makefile.am: Fix missing entries.


2007-09-19  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix a compilation issue and configure tests.

	The LDFLAGS and CPPFLAGS were not set properly after a configure.
	A Makefile was not generated in the src/bench directory.

	* build-aux/vcsn-boost.m4: Set LDFLAGS and CPPFLAGS correctly.
	* build-aux/vcsn-xml.m4: Improve the path resolution for xerces.
	* src/benchs/eps_removal/Makefile.am,
	* src/benchs/eps_removal/eps_removal-bench.cc,
	* src/benchs/generate_benchs.sh: Fix a missing file generation.

2007-09-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* configure.ac (AC_CONFIG_FILES): Add missing
	src/benchs/eps_removal/Makefile and sort the list.
	* include/Makefile.am (nobase_include_HEADERS): Add several
	missing files from vaucanson/xml/.

2007-07-29  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix Vaucanswig compilation issues
	* vaucanswig/meta/automaton.hh: Fix compilation issues.

2007-07-29  Guillaume Lazzara  <z@lrde.epita.fr>

	Check Boost in configure
	* build-aux/Makefile.am,
	* build-aux/vcsn-boost.m4,
	* configure.ac: Add the test for Boost.
	* vaucanswig/expand.sh: Fix a bug.

2007-07-29  Guillaume Lazzara  <z@lrde.epita.fr>

	Switch from full headers to structures headers
	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/xml_chooser.hh,
	* taf-kit/src/common_commands.hh: replace old header includes.

2007-07-27  Guillaume Lazzara  <z@lrde.epita.fr>

	Update svn ignore property

2007-07-27  Guillaume Lazzara  <z@lrde.epita.fr>

	Merge 1.0a Branch in trunk

	* AUTHORS: .
	* ChangeLog: .
	* Makefile.am: .
	* bootstrap.sh: .
	* data/automata/b/a1.xml: .
	* data/automata/b/b1.xml: .
	* data/automata/b/div3base2.xml: .
	* data/automata/b/double-3-1.xml: .
	* data/automata/b/ladybird-6.xml: .
	* data/automata/tdc/t1.xml: .
	* data/automata/tdc/u1.xml: .
	* data/automata/z/b1.xml: .
	* data/automata/z/c1.xml: .
	* data/vaucanson.xsd: .
	* debian/Makefile.am: .
	* doc/FAQ.txt: .
	* doc/NEWS.txt: .
	* doc/README.txt: .
	* include/Makefile.am: .
	* include/vaucanson/algebra/implementation/series/polynoms.hxx: .
	* include/vaucanson/algorithms/eps_removal_sp.hh: New.
	* include/vaucanson/algorithms/eps_removal_sp.hxx: New.
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx: .
	* include/vaucanson/algorithms/minimization_hopcroft.hxx: .
	* include/vaucanson/algorithms/search.hxx: .
	* include/vaucanson/contexts/automaton_functions.thh: .
	* include/vaucanson/contexts/fmp_transducer_functions.thh: .
	* include/vaucanson/contexts/transducer_functions.thh: .
	* include/vaucanson/misc/bitset.hxx: .
	* include/vaucanson/misc/contract.hh: .
	* include/vaucanson/misc/deferrer.hxx: .
	* include/vaucanson/misc/usual_macros.hh: .
	* include/vaucanson/tools/dumper.hxx: .
	* include/vaucanson/xml/XML.hh: .
	* include/vaucanson/xml/XML.hxx: .
	* include/vaucanson/xml/builders.hh: New.
	* include/vaucanson/xml/builders.hxx: New.
	* include/vaucanson/xml/handlers.hh: New.
	* include/vaucanson/xml/handlers.hxx: New.
	* include/vaucanson/xml/parsers.hh: New.
	* include/vaucanson/xml/parsers.hxx: New.
	* include/vaucanson/xml/xmleq.hh: New.
	* include/vaucanson/xml/xmleq.hxx: New.
	* include/vaucanson/z_max_plus_automaton_structures.hh: .
	* src/README: .
	* src/benchs/Makefile.am: .
	* src/benchs/eps_removal/Makefile.am: .
	* src/demos/vgrep/Makefile.am: .
	* src/tests/include/tests/automata/algos/fmp_transducers/evaluation_fmp_test.hh: .
	* src/tests/include/tests/automata/algos/fmp_transducers/normalized_composition_test.hh: .
	* src/tests/include/tests/automata/algos/fmp_transducers/subnormalized_composition_test.hh: .
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/extension_test.hh: .
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/realtime_trans_test.hh: .
	* src/tests/include/tests/context_headers/automata/global_consistency_test.hh: .
	* src/tests/xml/b_ref.xml: .
	* src/tests/xml/fmp_ref.xml: .
	* src/tests/xml/geometry_ref.xml: .
	* src/tests/xml/label_node_ref.xml: .
	* src/tests/xml/r_ref.xml: .
	* src/tests/xml/session_ref.xml: .
	* src/tests/xml/trans_ref.xml: .
	* src/tests/xml/xml_automaton_tester.cc: .
	* src/tests/xml/xml_fmp_tester.cc: .
	* src/tests/xml/xml_geometry_tester.cc: .
	* src/tests/xml/xml_label_node_tester.cc: .
	* src/tests/xml/xml_trans_tester.cc: .
	* src/tests/xml/z_max_plus_ref.xml: .
	* src/tests/xml/z_min_plus_ref.xml: .
	* src/tests/xml/z_ref.xml: .
	* taf-kit/src/commands_macros.hh: .
	* taf-kit/src/common.hh: .
	* taf-kit/src/common_automaton_commands.hh: .
	* taf-kit/src/common_commands.hh: .
	* taf-kit/src/edition_commands.hxx: .
	* taf-kit/src/getters.hh: .
	* taf-kit/src/getters.hxx: .
	* taf-kit/src/library_commands.hh: .
	* taf-kit/src/main.cc: .
	* taf-kit/src/pipe.hh: New.
	* taf-kit/src/pipe.hxx: New.
	* taf-kit/src/pipe_command_sequence.hh: New.
	* taf-kit/src/pipe_command_sequence.hxx: New.
	* taf-kit/src/pipe_getters.hh: New.
	* taf-kit/src/pipe_getters.hxx: New.
	* taf-kit/src/pipe_writers.hh: New.
	* taf-kit/src/pipe_writers.hxx: New.
	* taf-kit/src/ratexp_commands.hh: .
	* taf-kit/src/tdc_commands.cc: .
	* taf-kit/tests/vcsn-b.test: .
	* taf-kit/tests/vcsn-tdc.test: .
	* taf-kit/tests/vcsn-z.test: .

2007-07-27  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix tests compilation
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_identity_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_letter_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_product_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_sum_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_zero_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_identity_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_letter_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_zero_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_identity_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_letter_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_product_test.hh: .
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_zero_test.hh: .
	* src/tests/include/tests/automata/algos/boolean_automata/minimization_test.hh: .
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/generalized_test.hh: .
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/krat_exp_realtime_conflict_test.hh: .
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/realtime_test.hh: .
	* src/tests/include/tests/automata/algos/graphs/accessible_test.hh: .
	* src/tests/include/tests/automata/algos/label_aware_graphs/concat_test.hh: .
	* src/tests/include/tests/automata/algos/label_aware_graphs/in_concat_test.hh: .
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_dmheuristic_test.hh: .
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_heuristic_test.hh: .
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_random_test.hh: .
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_test.hh: .
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/compute_test.hh: .
	* src/tests/include/tests/automata/implementation_check/add_state_test.hh: .
	* src/tests/include/tests/automata/implementation_check/add_transition_test.hh: .
	* src/tests/include/tests/automata/implementation_check/coherence_state_transition_test.hh: .
	* src/tests/include/tests/automata/implementation_check/geometry_equal_operator_test.hh: .
	* src/tests/include/tests/automata/implementation_check/global_consistency_test.hh: .
	* src/tests/include/tests/automata/implementation_check/init_final_test.hh: .

2007-07-27  Guillaume Lazzara  <z@lrde.epita.fr>

	Move objects and functions in tools namespace
	* Makefile.am: .
	* vaucanson/tools/automaton_tools.hh: .
	* vaucanson/tools/bencher.hh: .
	* vaucanson/tools/bencher.hxx: .
	* vaucanson/tools/dot_dump.hxx: .
	* vaucanson/tools/dot_format.hh: .
	* vaucanson/tools/dot_format.hxx: .
	* vaucanson/tools/gen_random.hh: .
	* vaucanson/tools/gen_random.hxx: .
	* vaucanson/tools/io.hh: .
	* vaucanson/tools/io.hxx: .
	* vaucanson/tools/simple_dump.hxx: .
	* vaucanson/tools/simple_format.hh: .
	* vaucanson/tools/simple_format.hxx: .
	* vaucanson/tools/usual_io.hh: .
	* vaucanson/tools/usual_io.hxx: .
	* vaucanson/tools/xml_dump.hxx: .
	* vaucanson/tools/xml_load.hxx: .

2007-07-27  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix wrong includes
	* vaucanson/algorithms/internal/evaluation.hh: .
	* vaucanson/algorithms/internal/evaluation.hxx: .
	* vaucanson/contexts/transducer_functions.thh: .
	* vaucanson/contexts/transducer_maker.thxx: .

2007-07-26  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix derivation tests
	* src/tests/test-suites/algebra_series_krat_cderivation.defs,
	* src/tests/test-suites/algebra_series_krat_derivation.defs,
	* src/tests/test-suites/algebra_series_krat_partial_derivation.defs:
		Use algebra namespace to get NumericalSemiring type.

2007-07-26  Guillaume Lazzara  <z@lrde.epita.fr>

	Move evaluation.h{h,xx} according to ticket #42.
	* evaluation.hh,
	* evaluation.hxx: Remove.
	* internal/evaluation.hh,
	* internal/evaluation.hxx: New.

2007-07-24  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix op_choose_from_supp in polynoms.hxx
	See Trac #54
	* polynoms.hxx: Compute a valid index, even if rand() return RAND_MAX.
	Don't call rand() if polynom's size is 1.

2007-07-09  Florent DHalluin  <d-halluin@lrde.epita.fr>

	Merge changes to timer into the trunk
	* ChangeLog: .
	* include/vaucanson/misc/timer.cc: .
	* include/vaucanson/misc/timer.hh: .
	* include/vaucanson/misc/timer_internal_gathering.cc: .
	* include/vaucanson/misc/timer_internal_gathering.hh: .
	* include/vaucanson/misc/timer_internal_gathering.hxx: .
	* include/vaucanson/misc/timer_internal_graph.cc: .
	* include/vaucanson/misc/timer_internal_graph.hh: .

	Merge changes made in r1685 (branch timer) into the trunk.

2007-07-09  Florent DHalluin  <d-halluin@lrde.epita.fr>

	Change timer sytem call.
	* timer.cc: Adjustements in timer printing.
	* timer.hh: Adjustements to new type.
	* timer_internal_gathering.cc,
	* timer_internal_gathering.hh,
	* timer_internal_gathering.hxx: New type for time representation.
	* timer_internal_graph.cc,
	* timer_internal_graph.hh: Adjustements to new type.

	Change the system call that gets the system time
	(getrusage (...) instead of times (...)).
	Timer gains precision (+-4ms instead of +-10ms), and the
	output is cleaner.
	A new type for time representation is defined, along with
	standard arithmetics, hence the heavy changes.
	Inclusion chain (#include) changes slightly.

2007-07-04  Florent DHalluin  <d-halluin@lrde.epita.fr>

	Improve detection of the time unit in report
	* timer.cc:
	Improve detection of the time unit for large numbers of
	tasks.

2007-07-04  Florent DHalluin  <d-halluin@lrde.epita.fr>

	Fix divide by zero
	* timer_internal_graph.cc:
	Change charge values from NaN to zero when total program time
	is less than 1ms.

2007-06-26  Florent DHalluin  <d-halluin@lrde.epita.fr>

	Fix ugly code
	* timer.cc,
	* timer.hh,
	* timer_internal_graph.cc,
	* timer_internal_graph.hh:
	Fix ugly code and a couple of typos.

2007-06-25  Florent DHalluin  <d-halluin@lrde.epita.fr>

	Add timer command-line options in taf-kit
	* src/common.hh,
	* src/main.cc:
	Add two command-line options to taf-kit binaries.
	The global timer in taf-kit can now be exported in
	DOT format using --export-time-dot and in XML format
	using --export-time-xml.

	Additionally, --report-time now takes the verbose
	level of the report as an optional parameter.

	See ../include/vaucanson/misc/timer.hh for
	documentation.

2007-06-25  Florent DHalluin  <d-halluin@lrde.epita.fr>

	Change time display in timer report
	* global_timer.hh: Fix alignment.
	* timer.cc,
	* timer.hh,
	* timer.hxx:
        Change time display.
	* timer_internal_gathering.cc,
	* timer_internal_gathering.hh,
	* timer_internal_gathering.hxx,
	* timer_internal_graph.cc,
	* timer_internal_graph.hh,
	* timer_internal_graph.hxx,
	Fix naming conventions, untabify.

	The unit used to display times in the standard report
	is now adjusted automatically.

	Add some documentation in timer.hh

2007-06-21  Florent DHalluin  <d-halluin@lrde.epita.fr>

	Add timer XML export, fix several issues.
	* bencher.cc: Fix a typo.
	* global_timer.hh: Add dump macro.
	* timer.cc:
	Add dump method to Timer.
	Change behavior of arithmetic operators slightly.
	Fix task ordering in display.
	* timer.hh:
	Add dump method to Timer.
	Add documentation on command-line options in vaucanson.
	* timer_internal_graph.cc,
	* timer_internal_graph.hh,
	* timer_internal_graph.hxx: Add internal dump method.

	Timer instances can now be exported in XML format
	using Timer.dump (Stream).
	The structure of the XML output is far from definitive.

	Information on command-line options for taf-kit regarding
	the global timer is added to include/misc/timer.hh.

	Summing timers now also sums calls, making the bencher
	output logical.

	Long task names are now truncated in standard display.

2007-06-20  Florent DHalluin  <d-halluin@lrde.epita.fr>

	Split timer.* into smaller files & add documentation
	* include/vaucanson/misc/global_timer.hh:
	Make it work outside vaucanson.
	* include/vaucanson/misc/timer.cc:
	Remove implementation of misc::Timer internal classes.
	* include/vaucanson/misc/timer.hh:
	Remove declaration of misc::Timer internal classes.
	* include/vaucanson/misc/timer.hxx:
	Move inline methods of misc::Timer here
	* include/vaucanson/misc/timer_internal_gathering.cc,
	* include/vaucanson/misc/timer_internal_gathering.hh,
	* include/vaucanson/misc/timer_internal_gathering.hxx:
	Move declaration & implementation of misc::Timer internal
	classes regarding data gathering in those three files.
	* include/vaucanson/misc/timer_internal_graph.cc,
	* include/vaucanson/misc/timer_internal_graph.hh,
	* include/vaucanson/misc/timer_internal_graph.hxx:
	Move declaration & implementation of misc::Timer internal
	classes regarding result computation in those three files.
	* taf-kit/src/common.hh,
	* taf-kit/src/main.cc:
	Change global timer name from timer to global_timer to avoid
	conflicts with the new namespace.

	Former private classes of misc::Timer are now in the separate
	namespace misc::timer.  Minor changes are made to the taf-kit
	source to work with the new implementation.
	Documentation is provided in include/vaucanson/misc/timer.hh.

	Clean source code (thanks for pointing out what was wrong).


2007-06-18  Florent DHalluin  <d-halluin@lrde.epita.fr>

	Update timer and bencher for taf-kit
	* bencher.cc,
	* global_timer.hh,
	* timer.cc,
	* timer.hh,
	* timer.hxx:

	The implementation of the timer used in taf-kit changes:
	it now builds a graph of the results using Graph from Boost.
	Bencher is modified to work with the new implementation.
	All current macro names used in taf-kit still work, and new
	ones are added to access new features, such as export of
	the graph in DOT language.
	Basic documentation will be provided within a few days.
	NOTE: taf-kit might not compile in this revision.

2007-07-25  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Merge pipe branch
	* ChangeLog: .
	* doc/NEWS.txt: .
	* taf-kit/src/commands_macros.hh: .
	* taf-kit/src/common.hh: .
	* taf-kit/src/common_automaton_commands.hh: .
	* taf-kit/src/common_commands.hh: .
	* taf-kit/src/getters.hh: .
	* taf-kit/src/getters.hxx: .
	* taf-kit/src/library_commands.hh: .
	* taf-kit/src/main.cc: .
	* taf-kit/src/pipe.hh: New.
	* taf-kit/src/pipe.hxx: New.
	* taf-kit/src/pipe_command_sequence.hh: New.
	* taf-kit/src/pipe_command_sequence.hxx: New.
	* taf-kit/src/pipe_getters.hh: New.
	* taf-kit/src/pipe_getters.hxx: New.
	* taf-kit/src/pipe_writers.hh: New.
	* taf-kit/src/pipe_writers.hxx: New.
	* taf-kit/src/ratexp_commands.hh: .
	* taf-kit/src/tdc_commands.cc: .
	* taf-kit/tests/vcsn-b.test: .
	* taf-kit/tests/vcsn-tdc.test: .
	* taf-kit/tests/vcsn-z.test: .

2007-07-25  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

  Merge pipe branch:

  2007-07-23  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	  Update taf-kit tests
	  Replace 'pipes' by 'internal pipes'
	  * vcsn-b.test: Here.
	  * vcsn-tdc.test: Here.
	  * vcsn-z.test: Here.

  2007-07-19  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Fix dump-automaton command in taf-kit
	  * library_commands.hh: Fix dump-automaton command when
	  used in internal command sequences.

  2007-07-11  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Fix automaton getter in taf-kit
	  * src/getters.hxx: Here.
	  This improves the error handling when --bench is used
	  with a command reading from stdin.

  2007-07-10  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Add support for different i/o format
	  * common.hh: Adjust to new command-line options
	  * getters.hxx: Adjust automaton loader to new formats
	  * main.cc: Adjust to new command-line options
	  * pipe.hh:
	  * pipe.hxx, Add i/o format information to
	  result container.
	  * pipe_getters.hh,
	  * pipe_getters.hxx: Add new i/o format getters
	  * pipe_writers.hh,
	  * pipe_writers.hxx: Add new i/o format writer.

	  Automaton i/o format can be specified in taf-kit using
	  -i, --input-type=INPUT_TYPE and -o, --output_type=OUTPUT_TYPE.
	  In command sequences, this is specific to each command.

	  Supported types:
	  Input:
	    vcsn-b: FSM, XML.
	    vcsn-z: FSM, XML.
	    vcsn-tdc: XML.
	  Output:
	    vcsn-b: FSM, XML, DOT.
	    vcsn-z: FSM, XML, DOT.
	    vcsn-tdc: XML, DOT.

  2007-07-09  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Improve virtual pipe output
	  * getters.hxx,
	  * main.cc: Adjustements to new protoypes.
	  * pipe.hh,
	  * pipe.hxx: Add methods to command_output class.
	  * pipe_getters.hh,
	  * pipe_getters.hxx: Improve clarity of error messages.
	  * pipe_writers.hh,
	  * pipe_writers.hxx: Remove default output for commands
	  that return nothing.

	  Add some documentation in pipe.hh.

  2007-07-05  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Add internal pipe
	  * commands_macros.hh: Change command definition macros to
	  keep results between commands.

	  * common.hh: Add access to the global result.

	  * common_automaton_commands.hh,
	  * common_commands.hh: Change command output to
	  keep results.

	  * getters.hh,
	  * getters.hxx: Allow getters to get data from the global
	  result.

	  * main.cc: Allow internal command sequencing using "\|"

	  * pipe.hh: New.
	  * pipe.hxx: New.
	  * pipe_command_sequence.hh: New.
	  * pipe_command_sequence.hxx: New.
	  * pipe_getters.hh: New.
	  * pipe_getters.hxx: New.
	  * pipe_writers.hh: New.
	  * pipe_writers.hxx: New.
	  Implementation of the internal pipe.  Documentation will be
	  provided shortly.

	  * ratexp_commands.hh,
	  * tdc_commands.cc: Change command output to
	  keep results.

	  Implementation of internal pipe in taf-kit (See Ticket #93):
	  Commands can be sequenced using "\|" in tak-kit binaries.
	  Command-line options are specific to their command except
	  Timer & Bencher manipulation options (--report-time, --bench,
	  --export-time-dot, --export-time-xml), which are global to
	  the whole sequence.
	  i.e.: --bench will benchmark the whole sequence.  The defect
	  described in ticket #104 is also resolved.

	  Note: In vcsn-b and vcsn-z, both automata and regular
	  expressions keep their internal representation between
	  commands.  In vcsn-tdc, both boolean automata and
	  transducers do, but there might be issues about
	  boolean_transducer namespace not being declared in
	  CONTEXT_HEADER.
	  The binaries have yet to be extensively tested.

  2007-07-05  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Merge trunk into pipe
	  * ChangeLog: .
	  * include/vaucanson/misc/bencher.cc: .
	  * include/vaucanson/misc/global_timer.hh: .
	  * include/vaucanson/misc/timer.cc: .
	  * include/vaucanson/misc/timer.hh: .
	  * include/vaucanson/misc/timer.hxx: .
	  * include/vaucanson/misc/timer_internal_gathering.cc: New.
	  * include/vaucanson/misc/timer_internal_gathering.hh: New.
	  * include/vaucanson/misc/timer_internal_gathering.hxx: New.
	  * include/vaucanson/misc/timer_internal_graph.cc: New.
	  * include/vaucanson/misc/timer_internal_graph.hh: New.
	  * include/vaucanson/misc/timer_internal_graph.hxx: New.
	  * taf-kit/src/common.hh: .
	  * taf-kit/src/main.cc: .
	  Get changes resulting from merging timer into the trunk.

  2007-07-05  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Merge timer into the trunk
	  * ChangeLog: .

	  * include/vaucanson/misc/bencher.cc: Change to work with
	  the new Timer implementation.

	  * include/vaucanson/misc/global_timer.hh: .
	  * include/vaucanson/misc/timer.cc: .
	  * include/vaucanson/misc/timer.hh: .
	  * include/vaucanson/misc/timer.hxx: .
	  * include/vaucanson/misc/timer_internal_gathering.cc: New.
	  * include/vaucanson/misc/timer_internal_gathering.hh: New.
	  * include/vaucanson/misc/timer_internal_gathering.hxx: New.
	  * include/vaucanson/misc/timer_internal_graph.cc: New.
	  * include/vaucanson/misc/timer_internal_graph.hh: New.
	  * include/vaucanson/misc/timer_internal_graph.hxx: New.
	  New implementation of the Timer.
	  Read documentation in include/vaucanson/misc/timer.hh.

	  * taf-kit/src/common.hh,
	  * taf-kit/src/main.cc: Add command-line option to manipulate
	  the global timer.  Fix name conflict due to the new namespace
	  timer.

  2007-07-04  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Improve detection of the time unit in report
	  * timer.cc:
	  Improve detection of the time unit for large numbers of
	  tasks.

  2007-07-04  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Fix divide by zero
	  * timer_internal_graph.cc:
	  Change charge values from NaN to zero when total program time
	  is less than 1ms.

  2007-06-26  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Fix ugly code
	  * timer.cc,
	  * timer.hh,
	  * timer_internal_graph.cc,
	  * timer_internal_graph.hh:
	  Fix ugly code and a couple of typos.

  2007-06-25  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Add timer command-line options in taf-kit
	  * src/common.hh,
	  * src/main.cc:
	  Add two command-line options to taf-kit binaries.
	  The global timer in taf-kit can now be exported in
	  DOT format using --export-time-dot and in XML format
	  using --export-time-xml.

	  Additionally, --report-time now takes the verbose
	  level of the report as an optional parameter.

	  See ../include/vaucanson/misc/timer.hh for
	  documentation.

  2007-06-25  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Change time display in timer report
	  * global_timer.hh: Fix alignment.
	  * timer.cc,
	  * timer.hh,
	  * timer.hxx:
	  Change time display.
	  * timer_internal_gathering.cc,
	  * timer_internal_gathering.hh,
	  * timer_internal_gathering.hxx,
	  * timer_internal_graph.cc,
	  * timer_internal_graph.hh,
	  * timer_internal_graph.hxx,
	  Fix naming conventions, untabify.

	  The unit used to display times in the standard report
	  is now adjusted automatically.

	  Add some documentation in timer.hh

  2007-06-21  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Add timer XML export, fix several issues.
	  * bencher.cc: Fix a typo.
	  * global_timer.hh: Add dump macro.
	  * timer.cc:
	  Add dump method to Timer.
	  Change behavior of arithmetic operators slightly.
	  Fix task ordering in display.
	  * timer.hh:
	  Add dump method to Timer.
	  Add documentation on command-line options in vaucanson.
	  * timer_internal_graph.cc,
	  * timer_internal_graph.hh,
	  * timer_internal_graph.hxx: Add internal dump method.

	  Timer instances can now be exported in XML format
	  using Timer.dump (Stream).
	  The structure of the XML output is far from definitive.

	  Information on command-line options for taf-kit regarding
	  the global timer is added to include/misc/timer.hh.

	  Summing timers now also sums calls, making the bencher
	  output logical.

	  Long task names are now truncated in standard display.

  2007-06-20  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Split timer.* into smaller files & add documentation
	  * include/vaucanson/misc/global_timer.hh:
	  Make it work outside vaucanson.
	  * include/vaucanson/misc/timer.cc:
	  Remove implementation of misc::Timer internal classes.
	  * include/vaucanson/misc/timer.hh:
	  Remove declaration of misc::Timer internal classes.
	  * include/vaucanson/misc/timer.hxx:
	  Move inline methods of misc::Timer here
	  * include/vaucanson/misc/timer_internal_gathering.cc,
	  * include/vaucanson/misc/timer_internal_gathering.hh,
	  * include/vaucanson/misc/timer_internal_gathering.hxx:
	  Move declaration & implementation of misc::Timer internal
	  classes regarding data gathering in those three files.
	  * include/vaucanson/misc/timer_internal_graph.cc,
	  * include/vaucanson/misc/timer_internal_graph.hh,
	  * include/vaucanson/misc/timer_internal_graph.hxx:
	  Move declaration & implementation of misc::Timer internal
	  classes regarding result computation in those three files.
	  * taf-kit/src/common.hh,
	  * taf-kit/src/main.cc:
	  Change global timer name from timer to global_timer to avoid
	  conflicts with the new namespace.

	  Former private classes of misc::Timer are now in the separate
	  namespace misc::timer.  Minor changes are made to the taf-kit
	  source to work with the new implementation.
	  Documentation is provided in include/vaucanson/misc/timer.hh.

	  Clean source code (thanks for pointing out what was wrong).

  2007-06-18  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Update timer and bencher for taf-kit
	  * bencher.cc,
	  * global_timer.hh,
	  * timer.cc,
	  * timer.hh,
	  * timer.hxx:

	  The implementation of the timer used in taf-kit changes:
	  it now builds a graph of the results using Graph from Boost.
	  Bencher is modified to work with the new implementation.
	  All current macro names used in taf-kit still work, and new
	  ones are added to access new features, such as export of
	  the graph in DOT language.
	  Basic documentation will be provided within a few days.
	  NOTE: taf-kit might not compile in this revision.

2007-07-24  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Fix op_choose_from_supp in polynoms.hxx
	Merge of the trunk
	* ChangeLog: Here.
	* include/vaucanson/algebra/implementation/series/polynoms.hxx: Here.

2007-07-24  Vivien Delmon  <vivien.delmon@lrde.epita.fr>
	Update NEWS.txt
	* NEWS.txt: .

2007-07-24  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix op_choose_from_supp in polynoms.hxx
	See Trac #54
	* polynoms.hxx: Compute a valid index, even if rand() return RAND_MAX.
	Don't call rand() if polynom's size is 1.

2007-07-24  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Add Timer ... part 2
	* common.hh: Here.
	* main.cc: Here.

2007-07-24  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Add timer
	Merge done with the trunk.
	* misc/bencher.cc: .
	* misc/global_timer.hh: .
	* misc/timer.cc: .
	* misc/timer.hh: .
	* misc/timer.hxx: .
	* misc/timer_internal_gathering.cc: New.
	* misc/timer_internal_gathering.hh: New.
	* misc/timer_internal_gathering.hxx: New.
	* misc/timer_internal_graph.cc: New.
	* misc/timer_internal_graph.hh: New.
	* misc/timer_internal_graph.hxx: New.

2007-07-24  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Add missing include directives
	* algorithms/eps_removal_sp.hxx: Here.
	* xml/builders.hh: Here.

2007-07-23  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

  Merge the following changes:
  - Timer,
  - fix bugs.

  2007-07-09  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Merge changes to timer into the trunk
	  * ChangeLog: .
	  * include/vaucanson/misc/timer.cc: .
	  * include/vaucanson/misc/timer.hh: .
	  * include/vaucanson/misc/timer_internal_gathering.cc: .
	  * include/vaucanson/misc/timer_internal_gathering.hh: .
	  * include/vaucanson/misc/timer_internal_gathering.hxx: .
	  * include/vaucanson/misc/timer_internal_graph.cc: .
	  * include/vaucanson/misc/timer_internal_graph.hh: .

	  Merge changes made in r1685 (branch timer) into the trunk.

  2007-07-09  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Change timer sytem call.
	  * timer.cc: Adjustements in timer printing.
	  * timer.hh: Adjustements to new type.
	  * timer_internal_gathering.cc,
	  * timer_internal_gathering.hh,
	  * timer_internal_gathering.hxx: New type for time representation.
	  * timer_internal_graph.cc,
	  * timer_internal_graph.hh: Adjustements to new type.

	  Change the system call that gets the system time
	  (getrusage (...) instead of times (...)).
	  Timer gains precision (+-4ms instead of +-10ms), and the
	  output is cleaner.
	  A new type for time representation is defined, along with
	  standard arithmetics, hence the heavy changes.
	  Inclusion chain (#include) changes slightly.

  2007-07-04  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Improve detection of the time unit in report
	  * timer.cc:
	  Improve detection of the time unit for large numbers of
	  tasks.

  2007-07-04  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Fix divide by zero
	  * timer_internal_graph.cc:
	  Change charge values from NaN to zero when total program time
	  is less than 1ms.

  2007-06-26  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Fix ugly code
	  * timer.cc,
	  * timer.hh,
	  * timer_internal_graph.cc,
	  * timer_internal_graph.hh:
	  Fix ugly code and a couple of typos.

  2007-06-25  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Add timer command-line options in taf-kit
	  * src/common.hh,
	  * src/main.cc:
	  Add two command-line options to taf-kit binaries.
	  The global timer in taf-kit can now be exported in
	  DOT format using --export-time-dot and in XML format
	  using --export-time-xml.

	  Additionally, --report-time now takes the verbose
	  level of the report as an optional parameter.

	  See ../include/vaucanson/misc/timer.hh for
	  documentation.

  2007-06-25  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Change time display in timer report
	  * global_timer.hh: Fix alignment.
	  * timer.cc,
	  * timer.hh,
	  * timer.hxx:
	  Change time display.
	  * timer_internal_gathering.cc,
	  * timer_internal_gathering.hh,
	  * timer_internal_gathering.hxx,
	  * timer_internal_graph.cc,
	  * timer_internal_graph.hh,
	  * timer_internal_graph.hxx,
	  Fix naming conventions, untabify.

	  The unit used to display times in the standard report
	  is now adjusted automatically.

	  Add some documentation in timer.hh

  2007-06-21  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Add timer XML export, fix several issues.
	  * bencher.cc: Fix a typo.
	  * global_timer.hh: Add dump macro.
	  * timer.cc:
	  Add dump method to Timer.
	  Change behavior of arithmetic operators slightly.
	  Fix task ordering in display.
	  * timer.hh:
	  Add dump method to Timer.
	  Add documentation on command-line options in vaucanson.
	  * timer_internal_graph.cc,
	  * timer_internal_graph.hh,
	  * timer_internal_graph.hxx: Add internal dump method.

	  Timer instances can now be exported in XML format
	  using Timer.dump (Stream).
	  The structure of the XML output is far from definitive.

	  Information on command-line options for taf-kit regarding
	  the global timer is added to include/misc/timer.hh.

	  Summing timers now also sums calls, making the bencher
	  output logical.

	  Long task names are now truncated in standard display.

  2007-06-20  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Split timer.* into smaller files & add documentation
	  * include/vaucanson/misc/global_timer.hh:
	  Make it work outside vaucanson.
	  * include/vaucanson/misc/timer.cc:
	  Remove implementation of misc::Timer internal classes.
	  * include/vaucanson/misc/timer.hh:
	  Remove declaration of misc::Timer internal classes.
	  * include/vaucanson/misc/timer.hxx:
	  Move inline methods of misc::Timer here
	  * include/vaucanson/misc/timer_internal_gathering.cc,
	  * include/vaucanson/misc/timer_internal_gathering.hh,
	  * include/vaucanson/misc/timer_internal_gathering.hxx:
	  Move declaration & implementation of misc::Timer internal
	  classes regarding data gathering in those three files.
	  * include/vaucanson/misc/timer_internal_graph.cc,
	  * include/vaucanson/misc/timer_internal_graph.hh,
	  * include/vaucanson/misc/timer_internal_graph.hxx:
	  Move declaration & implementation of misc::Timer internal
	  classes regarding result computation in those three files.
	  * taf-kit/src/common.hh,
	  * taf-kit/src/main.cc:
	  Change global timer name from timer to global_timer to avoid
	  conflicts with the new namespace.

	  Former private classes of misc::Timer are now in the separate
	  namespace misc::timer.  Minor changes are made to the taf-kit
	  source to work with the new implementation.
	  Documentation is provided in include/vaucanson/misc/timer.hh.

	  Clean source code (thanks for pointing out what was wrong).


  2007-06-18  Florent DHalluin  <d-halluin@lrde.epita.fr>

	  Update timer and bencher for taf-kit
	  * bencher.cc,
	  * global_timer.hh,
	  * timer.cc,
	  * timer.hh,
	  * timer.hxx:

	  The implementation of the timer used in taf-kit changes:
	  it now builds a graph of the results using Graph from Boost.
	  Bencher is modified to work with the new implementation.
	  All current macro names used in taf-kit still work, and new
	  ones are added to access new features, such as export of
	  the graph in DOT language.
	  Basic documentation will be provided within a few days.
	  NOTE: taf-kit might not compile in this revision.

2007-07-23  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Add details to NEWS.txt
	* AUTHORS: Fix a mistake.
	* doc/NEWS.txt: Add details.

2007-07-20  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Update NEWS.txt for version 1.1
	* NEWS.txt: Add date of v1.0a, Add v1.1 section.

2007-07-20  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Update XSD to fit to the new SAX parser.
	Remove range attribute.
	Set it mandatory to have a monoid and semiring.
	* data/vaucanson.xsd: Here.

2007-07-18  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Update data due to the new output method
	Add newlines.
	Put attributes in lexical order.
	* automata/b/a1.xml: Here.
	* automata/b/b1.xml: Here.
	* automata/b/div3base2.xml: Here.
	* automata/b/double-3-1.xml: Here.
	* automata/b/ladybird-6.xml: Here.
	* automata/tdc/t1.xml: Here.
	* automata/tdc/u1.xml: Here.
	* automata/z/b1.xml: Here.
	* automata/z/c1.xml: Here.

2007-07-18  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Add SAX XML parser
	Work still not done:
	  - Remove dead code (node.h*,...).
	  - Add tests to the test-suite.
	Notice:
	  Developed to fit with a future refcard,
	  - it is not too restrictive, to fit both 'XSD'
	  - transducers with complex labels are not well supported.
	  - Some code is already there but commented.
	  - Default values and sugar in labelType is no more supported.
	* xml/XML.hh: Updated to use the new parser.
	* xml/XML.hxx: Updated to use the new parser.
	* xml/builders.hh: New, Dispatch tool.
	* xml/builders.hxx: New, Dispatch tool.
	* xml/handlers.hh: New.
	* xml/handlers.hxx: New.
	* xml/parsers.hh: New.
	* xml/parsers.hxx: New.
	* xml/xmleq.hh: New, Conversion tool.
	* xml/xmleq.hxx: New, Conversion tool.

2007-07-18  Vivien Delmon  <vivien.delmon@lrde.epita.fr>

	Improve epsilon_removal_sp performance and fix bug
	* include/vaucanson/algorithms/eps_removal_sp.hxx: .

2007-07-18  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Fix an ambiguity problem
	The ambiguity appeared while implementing the new xml parser.
	* algebra/implementation/series/polynoms.hxx: Here.

2007-06-13  Vivien Delmon  <vivien.delmon@lrde.epita.fr>

	Add epsilon_removal_sp
	eps_removal_sp is another epsilon-removal based on a shortest-path
	algorithm.
	* include/Makefile.am: .
	* include/vaucanson/algorithms/eps_removal_sp.hh: New.
	* include/vaucanson/algorithms/eps_removal_sp.hxx: New.
	* include/vaucanson/contexts/automaton_functions.thh: .
	* include/vaucanson/contexts/fmp_transducer_functions.thh: .
	* include/vaucanson/contexts/transducer_functions.thh: .
	* include/vaucanson/misc/usual_macros.hh: .
	* taf-kit/src/common_automaton_commands.hh: .
	* taf-kit/src/common_commands.hh: .
	* taf-kit/src/tdc_commands.cc: .

2007-06-12  Type Your Name Here  <your.mail.here@FIXME.com>

	Fix distcheck issues
	* Makefile.am: Add missing files.
	* configure.ac: Change the revision.
	* doc/NEWS.txt: Add new features details.
	* include/Makefile.am: Add missing files.

2007-06-12  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Correct minimization algorithm for undeterministic automata.
	* minimization_hopcroft.hxx: Move correctly states between partition.
	Suppress unused variables.

2007-06-11  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Fix command 8 in TAF-Kit
	* edition_commands.hxx: Here.

2007-06-10  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Update XML tests
	according to the new output format.
	* b_ref.xml: Here.
	* fmp_ref.xml: Here.
	* geometry_ref.xml: Here.
	* label_node_ref.xml: Here.
	* r_ref.xml: Here.
	* session_ref.xml: Here.
	* trans_ref.xml: Here.
	* z_max_plus_ref.xml: Here.
	* z_min_plus_ref.xml: Here.
	* z_ref.xml: Here.

2007-06-09  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Fix warning macro typo
	Change the warning macro to WARNING.
	Lead to conflict with SAX Implementation of Xercesc.
	* algorithms/internal/partial_rat_exp_derivation.hxx: Here.
	* algorithms/search.hxx: Here.
	* misc/bitset.hxx: Here.
	* misc/contract.hh: Here.
	* misc/deferrer.hxx: Here.

2007-06-09  Florian Lesaint  <florian.lesaint@epita.fr>

	[1.0a] Fix bug with z_max_plus_automata
	* include/vaucanson/z_max_plus_automaton_structures.hh:
	  Add missing include.

2007-06-09  Florian Lesaint  <florian.lesaint@epita.fr>

	[1.0a] Fix configure.ac
	* configure.ac: Add eps_romval Makefile in the list.


2007-04-25  Vivien Delmon  <vivien.delmon@lrde.epita.fr>

	Fix conflict with boost and empty_ macro.
	* include/vaucanson/algorithms/eps_removal.hxx: .
	* include/vaucanson/algorithms/evaluation.hxx: .
	* include/vaucanson/algorithms/extension.hxx: .
	* include/vaucanson/algorithms/image.hxx: .
	* include/vaucanson/algorithms/invert.hxx: .
	* include/vaucanson/algorithms/minimization_hopcroft.hxx: .
	* include/vaucanson/algorithms/realtime_composition.hxx: .
	* include/vaucanson/misc/usual_macros.hh: .

2007-04-06  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Rewrite quotient for automaton with Boolean multiplicities.
	* minimization_hopcroft.hxx: Do it.

2007-04-05  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Fix vaucanswig
	* configure.ac: enable the use of vaucanswig.
	* include/vaucanson/algorithms/eps_removal.hh: fix vaucanswig interface.
	* vaucanswig/expand.sh,
	* vaucanswig/meta/automaton.hh,
	* vaucanswig/meta/context.hh,
	* vaucanswig/meta/vaucanswig_automaton.i:
	    Resolve various compilation issues.
	    Use xml for input/output instead of io.
	    Use vaucanson *_structures.hh.

2007-04-05  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Fix do_backward_realtime_here definition.
	* include/vaucanson/algorithms/backward_realtime.hxx:
	remove a const which shouldn't be here.

2007-04-04  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	libvcsn, add support for finite_support_conversion.
	* generate_libvcsn.rb: added support for finite_support_conversion.

2007-03-31  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Respect coding standards.
	* include/vaucanson/algorithms/normalized.hxx: Follow coding standards.
	* include/vaucanson/algorithms/thompson.hxx: Remove unused variables.

2007-03-29  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Follow the renaming done in r1598.
	* src/tests/test-suites/algebra_alphabet_set_pair_char_int.defs: Change
	header set_alphabet.hh to alphabet_set.hh.

2007-03-29  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Correct thompson algorithm behaviour on '0'.
	The Thompson's automton generated by '0' should have two states, one
	initial, one final and no transitions.
	* include/vaucanson/algorithms/thompson.hxx: Correct the zero method of
	ThompsonVisitor.
	* src/tests/include/tests/automata/algos/labeled_graphs/thompson_test.hh:
	Check that the automaton generated by 0 has two states and zero
	transitions.

2007-03-29  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Clean up normalized.hxx.
	* include/vaucanson/algorithms/normalized.hxx: Iterate on transitions
	instead of iterating on transitions of each state. Rename variables.

2007-03-28  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Correct some mistakes on eps_removal benchs.
	* src/benchs/eps_removal/Makefile.am: Suppress calls to FSM binaries.
	* src/benchs/eps_removal/eps_removal-bench.cc,
	* src/benchs/eps_removal/eps_removal_bench.hh: Correct name and
	copyright in header.

2007-03-27  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Fix bug in invert and extension
	A macro loop was still used even if the iterator was
	manually incremented.
	* extension.hxx: Remove the faulty macros.
	* invert.hxx: Remove the faulty macros.

2007-03-26  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Add benchmarks for eps_removal.
	* Makefile.am: Add eps_removal to {BENCH,SUB}DIRS.
	* common/bench_constructs.hh: Add an automaton contruction function
	dedicated to benching eps_removal.
	* eps_removal/Makefile.am,
	* eps_removal/eps_removal-bench.cc,
	* eps_removal/eps_removal_bench.hh,
	* eps_removal: New.

2007-03-23  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	update tests according to the new output
	We should at end avoid using 'diff' to compare automata.
	* tests/automata/tdc/t1_compose_u1.xml: here.
	* tests/automata/tdc/t2_u-compose_u2.xml: here.

2007-03-22  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Fix compilation errors in libvcsn
	* lib/generate_libvcsn.rb: fix.
	Automatically remove .cc files in lib/vcsn-*/ which do not have a
	corresponding header in include/vaucanson/algorithms/

2007-03-22  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Clean up XML part
	* xml/session.hxx: remove useless cast.
	* xml/tools.hxx: conform to standard.
	* xml/xml_converter.hxx: remove useless cast.
	* xml/xml_xerces_stream.hh: remove implementation in hh.
	  correct header copyright.
	* xml/xml_xerces_stream.hxx: New. Add implementation in hxx.

2007-03-22  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix the compilation of libvcsn before taf-kit
	* Makefile.am: Add an entry for the lib directory in SUBDIRS.

2007-03-22  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix compilation issues during make check (next part)
	* include/vaucanson/contexts/transducer_maker.thh:
	Add missing includes.
	* include/vaucanson/contexts/transducer_maker.thxx:
	Specify namespaces for certain function calls.
	* include/vaucanson/z_min_plus_automaton_structures.hh:
	Add a missing include.

2007-03-22  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix invalid iterator after deletion of an item (last part)
	* include/vaucanson/algorithms/standard.hxx:
	Fix invalid iterator after deletion of an item
	Calling the set_final method in a loop iterating on the final states
	set can lead to invalid iterators, since set_final can delete an
	item in this set under certain circumstancies.
	This patch fix this problem.

	This part was missing in the patch #1549.

2007-11-13  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Link taf-kit against libvcsn-{b,z,tdc}
	* taf-kit/src/Makefile.am:
	Update rules to add the support of libvcsn.

2007-11-13  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Fix libvcsn-*
	* lib/Makefile.am:
	Now creating a .so instead of .a
	The distclean rule is now called maintainer-clean.
	* lib/generate_libvcsn.rb:
	The parsing method has changed. We are now taking advantage of
	the interface of vaucanswig to generate libvcsn.

2007-11-13  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Correct vaucanswig interface.
	* eps_removal.hh,
	* normalized.hh,
	* product.hh,
	* realtime.hh,
	* standard.hh,
	* standard_of.hh,
	* sub_automaton.hh,
	* thompson.hh:
	Corrected wrong interface comments.

2007-11-13  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Add a missing inline
	* include/vaucanson/algorithms/aut_to_exp.hxx:
	Added a missing inline to correct a multiple definition error found
	in libvcsn.

2007-03-20  Akim Demaille  <akim@lrde.epita.fr>

	Catch up with [156].
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hh,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hxx:
	Rename as...
	* include/vaucanson/algebra/implementation/alphabets/alphabet_set.hh,
	* include/vaucanson/algebra/implementation/alphabets/alphabet_set.hxx:
	these.
	* include/Makefile.am,
	* include/vaucanson/algebra/implementation/alphabets/predefs.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hh:
	Adjust.
	* include/vaucanson/boolean_automaton_structures.hh: Comment fix.

2007-03-20  Akim Demaille  <akim@lrde.epita.fr>

	Update pconf.hh.
	* Makefile.am (BUILT_SOURCES): New.

2007-03-20  Akim Demaille  <akim@lrde.epita.fr>

	* build-aux/vcsn.m4: Prefer m4_* macros.

2007-03-20  Akim Demaille  <akim@lrde.epita.fr>

	XML clean up.
	* configure.ac (VCSN_XMLNS): New.
	* include/vaucanson/config/pconf.hh.in: Adjust.
	* include/vaucanson/xml/session.hxx: Use it.
	* include/vaucanson/xml/xml_chooser.hxx: Use tools::create_element.
	* include/vaucanson/xml/xml_converter.hxx: Idem.
	Also, remove useless vars.
	Use VCSN_XMLNS.
	Formatting changes.
	* include/vaucanson/xml/xerces_parser.hh,
	* include/vaucanson/xml/xerces_parser.hxx (loaddocument): Rename as...
	(load_document): this.
	(PARSER_SET_VALUE, PARSER_SET_PROPERTY): Rename as...
	(PARSER_SET_PROPERTY, PARSER_SET_FEATURE): these, for consistency.
	* include/vaucanson/xml/tools.hxx: Formatting changes.

2007-03-20  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/xml/xml_converter.hh: More doxumentation.

2007-03-20  Akim Demaille  <akim@lrde.epita.fr>

	Readability.
	* include/vaucanson/algorithms/determinize.hxx: Shorten scopes.
	Use a while-loop instead of a do-loop.  The difference here is
	negligible but while-loops are more traditional and easier to read.

2007-03-20  Akim Demaille  <akim@lrde.epita.fr>

	Fix interface.
	* data/automata/b/a1.cc, data/automata/b/b1.cc,
	* data/automata/b/divkbaseb.cc, data/automata/b/double_ring.cc,
	* data/automata/b/ladybird.cc, data/automata/tdc/t1.cc:
	Be more tolerant on the input: accept the format as last optional
	argument.
	* data/automata/b/double_ring.cc: Catch invalid arguments.

2007-03-20  Akim Demaille  <akim@lrde.epita.fr>

	Default fmt is xml, not error.
	* include/vaucanson/tools/dumper.hh,
	* include/vaucanson/tools/dumper.hxx (dumper): Let the format argument
	be optional.
	* include/vaucanson/tools/bencher.hxx: White space changes.
	Get rid of useless variables.

2007-03-19  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Optimize eps-removal for Boolean automaton.
	* eps_removal.hxx: Use a map to check if a transition already exist.
	* realtime.hxx: Remove useless output.

2007-03-19  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Fix a bug introduced in r1587
	r1587 removed print_document, even if session.hxx was still
	using it. print_document is back, with new arguments.
	* session.hxx: update use of print_document.
	* tools.hh: add a new print_document function
	* tools.hxx: add a new print_document function
	* xml_converter.hxx: use print_document again.

2007-03-19  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	fix ticket #98 by using DOMWriter
	See ticket #98: https://trac.lrde.org/vaucanson/trac.cgi/ticket/98
	Allow to use &quot; as " (and similar) in the XML desc.
	* tools.hh: remove unused functions.
	* tools.hxx: remove unused functions.
	* xml_converter.hxx: use of DOMWriter from Xerces Library.
	* xml_xerces_stream.hh: New,
	  New Xerces Class for output on a C++ stream.

	Add a new include to avoid compilation issues.

2007-03-18  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix a make check issue
	* aut_to_exp.hh: Add a new include.

2007-03-16  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Correct do_realtime_here.
	Epsilon removal must be done after cutting words in letter. By this way,
	the algorithm may generate less transitions.
	* include/vaucanson/algorithms/realtime.hxx: Move the call to
	eps_removal after do_realtime_words_here. Remove useless code which was
	doing a epsilon removal after eps_removal's call.

2007-03-16  Akim Demaille  <akim@lrde.epita.fr>

	White space changes.
	* include/vaucanson/algorithms/determinize.hxx,
	* include/vaucanson/algorithms/standard.hxx,
	* include/vaucanson/automata/implementation/graph.hh,
	* include/vaucanson/automata/implementation/graph.hxx:
	Improve readability (according to my book...).
	Space around bin ops.
	More doxumentation.
	Remove a spurious `;'.

2007-03-15  Akim Demaille  <akim@lrde.epita.fr>

	Fix various issues in the timers
	* include/vaucanson/misc/timer.hh,
	* include/vaucanson/misc/timer.hxx,
	* include/vaucanson/misc/timer.cc (min, max): Remove them all.
        (operator<): New, for Timer, TimeVar, and Time.
        (TimeVar::lap, TimeVar::start_child, TimeVar::stop_child): New.
        (Time::initial, Time::first, Time::saved_cumulated): Remove.
        (Timer::operator+=, Timer::operator/=): Don't forget the member "total".

	* include/vaucanson/misc/bencher.cc: Adjust.
        Make it compilable as a standalone test again.
        Use ?: where it makes more sense that if.

2007-03-15  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Clean up eps-removal.
	* eps_removal.hxx: Use vector instead of list. Define operator() for
	functor. Constifie attributes of Finder.

	Split the fsm_dump.{hh,hxx} files in two other files according to the documentation.

2007-03-14  Guillaume Lazzara  <z@lrde.epita.fr>

	Split fsm_dump.{hh,hxx} according to the documentation.
	* ../../../doc/manual/developer.tex: .
      	* fsm_load.hh: New, extracted from...
	* fsm_dump.hh: ... here.
	* fsm_load.hxx: New, extracted from...
	* fsm_dump.hxx: ... here.

2007-03-09  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Make do_realtime_words more generic.
	* include/vaucanson/algorithms/realtime.hxx: Use monoid_elt_t::iterator
	for iterating through letter instead of string::substr.

2007-03-09  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Correct dispatch in image.hxx.
	* algorithms/image.hxx: Change void return type of image_dispatch2 to
	output_projection_helper. Use overloading to dispatch method calls with
	or without a map instead of an "if".

2007-03-09  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Eliminate reference to the zero of a semiring in product.
	* include/vaucanson/algorithms/product.hxx: Change reference type to
	type for attribute semiring_zero_.

	Fix a wrong ifndef condition.

2007-03-07  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix a wrong ifndef condition
	* composition_cover.hh: .
	* internal/build_pattern.hh: .
	* internal/partial_rat_exp.hh: .
	* internal/partial_rat_exp_constant_term.hh: .
	* internal/partial_rat_exp_derivation.hh: .

	While building the test suite, these two files could
	lead to a compiling error.


2007-03-06  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix includes issues
	* include/vaucanson/algorithms/aut_to_exp.hxx: A header was missing.
	* include/vaucanson/algorithms/product.hxx: Few structures were
	only declared and implemented in this file. The structure's
	declarations have been moved to the .hh and now we keep the
	implementations only.

	Many functions like make_automaton were declared in
	contexts/*_functions.thh.
	They are now declared in new files: *_maker.t{hh,hxx}.
	These new files are included in the *_structures.hh.

	This patch will be useful for libvcsn-*.
	We may be able to instantiate the make_automaton functions
	in a .cc file to speed up the compilation.

2007-03-06  Guillaume Lazzara  <z@lrde.epita.fr>

	Include the make_automaton functions in the structures' headers.
	* include/Makefile.am: Add the new files in the list.
	* include/vaucanson/boolean_automaton_structures.hh: Add a new
	include.
	* include/vaucanson/boolean_transducer_structures.hh: Add a new
	include.
	* include/vaucanson/contexts/automaton_functions.thh: Remove
	make_automaton declaration.
	* include/vaucanson/contexts/automaton_functions.thxx: Remove, move
	its content in automaton_maker.thxx
	* include/vaucanson/contexts/automaton_maker.thh: New, contains the
	make_automaton declaration
	* include/vaucanson/contexts/automaton_maker.thxx: New, contains the
	make_automaton implementation.
	* include/vaucanson/contexts/fmp_transducer_functions.thh: Add a new
	include.
	* include/vaucanson/contexts/fmp_transducer_functions.thxx: Remove,
	move its content in fmp_transducer_maker.thxx.
	* include/vaucanson/contexts/fmp_transducer_maker.thh: New, contains
	the make_automaton declaration.
	* include/vaucanson/contexts/fmp_transducer_maker.thxx: New, contains
	the make_automaton implementation.
	* include/vaucanson/contexts/transducer_functions.thh: Add a new
	include.
	* include/vaucanson/contexts/transducer_functions.thxx: Remove, move
	its content to transducer_maker.thxx
	* include/vaucanson/contexts/transducer_maker.thh: New, contains the
	make_automaton declaration.
	* include/vaucanson/contexts/transducer_maker.thxx: New, contains the
	make_automaton implementation.
	* include/vaucanson/fmp_transducer_structures.hh: Add a new include.
	* include/vaucanson/r_automaton_structures.hh: Add a new include.
	* include/vaucanson/z_automaton_structures.hh: Add a new include.
	* include/vaucanson/z_fmp_transducer.hh: Add a new include.
	* include/vaucanson/z_fmp_transducer_structures.hh: Add anew include.
	* include/vaucanson/z_transducer_structures.hh: Add a new include.

	This patch is the continuation of the patch #1573.
	These files were forgotten in the patch #1573.

2007-03-06  Guillaume Lazzara  <z@lrde.epita.fr>

	Add forgotten VCSN_USE_LIB ifndef
	* include/vaucanson/algorithms/composition_cover.hh: .
	* include/vaucanson/algorithms/internal/build_pattern.hh: .
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh: .
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hh: .
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hh: .
	* include/vaucanson/tools/dot_dump.hh: .
	* include/vaucanson/tools/dot_format.hh: .
	* include/vaucanson/tools/gen_book.hh: .
	* include/vaucanson/tools/io.hh: .
	* include/vaucanson/tools/simple_dump.hh: .
	* include/vaucanson/tools/simple_format.hh: .
	* include/vaucanson/tools/usual_io.hh: .

        This patch restores the VCSN_USE_INTERFACE_ONLY condition in the
        .hxx files (revert the patch #1561).
        A new define, VCSN_USE_LIB, has been created to explicitly not
        include the .hxx files for the algorithms (may be extended to
	other types of functions later). It will be useful whenever one will
	want to compile a binary and link it against libvcsn-*.
	It also removes the old VCSN_WITHOUT_ALGORITHMS_INCLUDES defines.

	VCSN_USE_LIB replaces VCSN_WITHOUT_ALGORITHMS_INCLUDES.

	The documentation will come in a next patch.

2007-03-06  Guillaume Lazzara  <z@lrde.epita.fr>

	Add a new define to explicitly not include the algorithms' .hxx files.
	* include/vaucanson/algebra/concept/alphabets_base.hh: .
	* include/vaucanson/algebra/concept/freemonoid_base.hh: .
	* include/vaucanson/algebra/concept/freemonoid_product.hh: .
	* include/vaucanson/algebra/concept/freemonoid_product_base.hh: .
	* include/vaucanson/algebra/concept/monoid_base.hh: .
	* include/vaucanson/algebra/concept/numerical_semiring.hh: .
	* include/vaucanson/algebra/concept/semigroup_base.hh: .
	* include/vaucanson/algebra/concept/semiring_base.hh: .
	* include/vaucanson/algebra/concept/series_base.hh: .
	* include/vaucanson/algebra/concept/tropical_semiring.hh: .
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hh: .
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hh: .
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hh: .
	* include/vaucanson/algebra/implementation/free_monoid/tools.hh: .
	* include/vaucanson/algebra/implementation/free_monoid/words.hh: .
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hh: .
	* include/vaucanson/algebra/implementation/letter/couple_letter.hh: .
	* include/vaucanson/algebra/implementation/letter/int_letter.hh: .
	* include/vaucanson/algebra/implementation/letter/range.hh: .
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hh: .
	* include/vaucanson/algebra/implementation/semiring/rational_number.hh: .
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hh: .
	* include/vaucanson/algebra/implementation/series/generalized.hh: .
	* include/vaucanson/algebra/implementation/series/krat.hh: .
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hh: .
	* include/vaucanson/algebra/implementation/series/krat_conversion.hh: .
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hh: .
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hh: .
	* include/vaucanson/algebra/implementation/series/polynoms.hh: .
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hh: .
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hh: .
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hh: .
	* include/vaucanson/algebra/implementation/series/rat/exp.hh: .
	* include/vaucanson/algebra/implementation/series/rat/nodes.hh: .
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hh: .
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hh: .
	* include/vaucanson/algebra/implementation/series/rat/xml_exp_visitor.hh: .
	* include/vaucanson/algebra/implementation/series/series.hh: .
	* include/vaucanson/algebra/implementation/series/transpose.hh: .
	* include/vaucanson/algorithms/accessible.hh: .
	* include/vaucanson/algorithms/aci_canonical.hh: .
	* include/vaucanson/algorithms/aut_to_exp.hh: .
	* include/vaucanson/algorithms/backward_realtime.hh: .
	* include/vaucanson/algorithms/berry_sethi.hh: .
	* include/vaucanson/algorithms/brzozowski.hh: .
	* include/vaucanson/algorithms/complement.hh: .
	* include/vaucanson/algorithms/complete.hh: .
	* include/vaucanson/algorithms/concatenate.hh: .
	* include/vaucanson/algorithms/cut_up.hh: .
	* include/vaucanson/algorithms/derived_term_automaton.hh: .
	* include/vaucanson/algorithms/determinize.hh: .
	* include/vaucanson/algorithms/domain.hh: .
	* include/vaucanson/algorithms/eps_removal.hh: .
	* include/vaucanson/algorithms/eval.hh: .
	* include/vaucanson/algorithms/evaluation.hh: .
	* include/vaucanson/algorithms/evaluation_fmp.hh: .
	* include/vaucanson/algorithms/extension.hh: .
	* include/vaucanson/algorithms/finite_support_conversion.hh: .
	* include/vaucanson/algorithms/forward_realtime.hh: .
	* include/vaucanson/algorithms/image.hh: .
	* include/vaucanson/algorithms/initial_derivation.hh: .
	* include/vaucanson/algorithms/internal/has_neighbour.hh: .
	* include/vaucanson/algorithms/internal/outsplitting.hh: .
	* include/vaucanson/algorithms/internal/skeleton.hh: .
	* include/vaucanson/algorithms/invert.hh: .
	* include/vaucanson/algorithms/is_ambiguous.hh: .
	* include/vaucanson/algorithms/is_deterministic.hh: .
	* include/vaucanson/algorithms/is_letterized.hh: .
	* include/vaucanson/algorithms/is_normalized.hh: .
	* include/vaucanson/algorithms/is_realtime.hh: .
	* include/vaucanson/algorithms/isomorph.hh: .
	* include/vaucanson/algorithms/krat_exp_cderivation.hh: .
	* include/vaucanson/algorithms/krat_exp_constant_term.hh: .
	* include/vaucanson/algorithms/krat_exp_derivation.hh: .
	* include/vaucanson/algorithms/krat_exp_expand.hh: .
	* include/vaucanson/algorithms/krat_exp_flatten.hh: .
	* include/vaucanson/algorithms/krat_exp_linearize.hh: .
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hh: .
	* include/vaucanson/algorithms/krat_exp_realtime.hh: .
	* include/vaucanson/algorithms/letter_to_letter_composition.hh: .
	* include/vaucanson/algorithms/minimization_hopcroft.hh: .
	* include/vaucanson/algorithms/minimization_moore.hh: .
	* include/vaucanson/algorithms/normalized.hh: .
	* include/vaucanson/algorithms/normalized_composition.hh: .
	* include/vaucanson/algorithms/product.hh: .
	* include/vaucanson/algorithms/projection.hh: .
	* include/vaucanson/algorithms/realtime.hh: .
	* include/vaucanson/algorithms/realtime_composition.hh: .
	* include/vaucanson/algorithms/realtime_decl.hh: .
	* include/vaucanson/algorithms/search.hh: .
	* include/vaucanson/algorithms/standard.hh: .
	* include/vaucanson/algorithms/standard_of.hh: .
	* include/vaucanson/algorithms/sub_automaton.hh: .
	* include/vaucanson/algorithms/sub_normalize.hh: .
	* include/vaucanson/algorithms/sum.hh: .
	* include/vaucanson/algorithms/thompson.hh: .
	* include/vaucanson/algorithms/transpose.hh: .
	* include/vaucanson/algorithms/trim.hh: .
	* include/vaucanson/automata/concept/automata.hh: .
	* include/vaucanson/automata/concept/automata_base.hh: .
	* include/vaucanson/automata/concept/automata_ops.hh: .
	* include/vaucanson/automata/concept/copy.hh: .
	* include/vaucanson/automata/concept/handlers.hh: .
	* include/vaucanson/automata/concept/history.hh: .
	* include/vaucanson/automata/concept/kinds.hh: .
	* include/vaucanson/automata/concept/tags.hh: .
	* include/vaucanson/automata/concept/transducer.hh: .
	* include/vaucanson/automata/concept/transducer_base.hh: .
	* include/vaucanson/automata/concept/transducer_ops.hh: .
	* include/vaucanson/automata/concept/translate.hh: .
	* include/vaucanson/automata/implementation/automaton_view.hh: .
	* include/vaucanson/automata/implementation/generalized.hh: .
	* include/vaucanson/automata/implementation/geometry.hh: .
	* include/vaucanson/automata/implementation/graph.hh: .
	* include/vaucanson/automata/implementation/kind_adapter.hh: .
	* include/vaucanson/automata/implementation/transpose_view.hh: .
	* include/vaucanson/design_pattern/default_ops.hh: .
	* include/vaucanson/design_pattern/element.hh: .
	* include/vaucanson/design_pattern/element_ops.hh: .
	* include/vaucanson/design_pattern/meta_element_root.hh: .
	* include/vaucanson/design_pattern/slots.hh: .
	* include/vaucanson/design_pattern/structure.hh: .
	* include/vaucanson/design_pattern/syntactic_decorator.hh: .
	* include/vaucanson/misc/bencher.hh: .
	* include/vaucanson/misc/bitset.hh: .
	* include/vaucanson/misc/char_traits.hh: .
	* include/vaucanson/misc/container_ops.hh: .
	* include/vaucanson/misc/deferrer.hh: .
	* include/vaucanson/misc/escaper.hh: .
	* include/vaucanson/misc/functors.hh: .
	* include/vaucanson/misc/iomanip.hh: .
	* include/vaucanson/misc/random.hh: .
	* include/vaucanson/misc/self_iterator.hh: .
	* include/vaucanson/misc/sparse_interval.hh: .
	* include/vaucanson/misc/support.hh: .
	* include/vaucanson/misc/timer.hh: .
	* include/vaucanson/misc/unique.hh: .
	* include/vaucanson/misc/usual_escaped_characters.hh: .
	* include/vaucanson/misc/window.hh: .
	* include/vaucanson/tools/dot_display.hh: .
	* include/vaucanson/tools/fsm_dump.hh: .
	* include/vaucanson/tools/gen_random.hh: .
	* include/vaucanson/tools/out_display.hh: .
	* include/vaucanson/tools/xml_display.hh: .
	* include/vaucanson/tools/xml_dump.hh: .
	* include/vaucanson/tools/xml_load.hh: .
	* include/vaucanson/xml/XML.hh: .
	* include/vaucanson/xml/error_handler.hh: .
	* include/vaucanson/xml/node.hh: .
	* include/vaucanson/xml/session.hh: .
	* include/vaucanson/xml/strings.hh: .
	* include/vaucanson/xml/tools.hh: .
	* include/vaucanson/xml/xerces_parser.hh: .
	* include/vaucanson/xml/xml_chooser.hh: .
	* include/vaucanson/xml/xml_converter.hh: .

2007-03-01  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Refactoring of product algorithm
	The function is now a functor called Product
	* include/vaucanson/algorithms/product.hh:
	  Add preconditions and references to ETA.
	* include/vaucanson/algorithms/product.hxx:
	  Refactoring of product.

2007-02-27  Akim Demaille  <akim@lrde.epita.fr>

	Fix AUTOMATON_FREEMONOID_TYPES_EXACT use.
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/z_automaton.hh,
	* include/vaucanson/z_min_plus_automaton.hh,
	* include/vaucanson/z_max_plus_automaton.hh:
	Don't do it.

	* include/vaucanson/r_automaton_structures.hh,
	* include/vaucanson/z_automaton_structures.hh,
	* include/vaucanson/boolean_automaton_structures.hh,
	* include/vaucanson/z_min_plus_automaton_structures.hh,
	* include/vaucanson/z_max_plus_automaton_structures.hh:
	Do it.

2007-02-27  Akim Demaille  <akim@lrde.epita.fr>

	Fix SelfIterator.
	* include/vaucanson/misc/self_iterator.hxx: Fix big syntax mistakes
	I made when extracting this file from the *.hh file.

2007-02-27  Akim Demaille  <akim@lrde.epita.fr>

	Obey the coding style.
	* include/vaucanson/boolean_automaton_structures.hh,
	* include/vaucanson/boolean_transducer_structures.hh,
	* include/vaucanson/fmp_transducer_structures.hh,
	* include/vaucanson/r_automaton_structures.hh,
	* include/vaucanson/z_automaton_structures.hh,
	* include/vaucanson/z_fmp_transducer_structures.hh,
	* include/vaucanson/z_max_plus_automaton_structures.hh,
	* include/vaucanson/z_min_plus_automaton_structures.hh,
	* include/vaucanson/z_transducer_structures.hh:
	Use correct CPP guards.

2007-02-26  Vivien Delmon  <vivien.delmon@lrde.epita.fr>

	Correct some erroneous preconditions.
	* include/vaucanson/algorithms/determinize.hh: .
	* include/vaucanson/algorithms/minimization_moore.hh: .

2007-02-26  Akim Demaille  <akim@lrde.epita.fr>

	Comments changes.
	* include/vaucanson/misc/timer.hh: Here.

2007-02-26  Akim Demaille  <akim@lrde.epita.fr>

	Formatting changes.
	* include/vaucanson/misc/timer.hh: here,
	* include/vaucanson/misc/timer.cc: and there.
	Also, make sure the compilation of the test works.

2007-02-25  Vivien Delmon  <vivien.delmon@lrde.epita.fr>

	Reduce variable scope and add reference.
	* include/vaucanson/algorithms/determinize.hh: .
	* include/vaucanson/algorithms/determinize.hxx: .
	* include/vaucanson/algorithms/minimization_moore.hh: .
	* include/vaucanson/algorithms/minimization_moore.hxx: .

2007-02-23  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Remove define VCSN_CONTEXT
	VCSN_CONTEXT is now defined in the compilation flags,
	avoiding multiple definitions when not used in libvcsn.
	* include/vaucanson/boolean_automaton_structures.hh: .
	* include/vaucanson/boolean_transducer_structures.hh: .
	* include/vaucanson/fmp_transducer_structures.hh: .
	* include/vaucanson/r_automaton_structures.hh: .
	* include/vaucanson/z_automaton_structures.hh: .
	* include/vaucanson/z_fmp_transducer_structures.hh: .
	* include/vaucanson/z_max_plus_automaton_structures.hh: .
	* include/vaucanson/z_min_plus_automaton_structures.hh: .
	* include/vaucanson/z_transducer_structures.hh: .
	* lib/generate_libvcsn.rb: .

2007-02-23  Guillaume Lazzara  <z@lrde.epita.fr>

	Add new automaton structures headers
	Split the current headers in two different headers.
	One with the basic structures to instantiate automata and another one
	which also includes the algorithms.
	* boolean_automaton.hh: .
	* boolean_automaton_structures.hh: New.
	* boolean_transducer.hh: .
	* boolean_transducer_structures.hh: New.
	* fmp_transducer.hh: .
	* fmp_transducer_structures.hh: New.
	* r_automaton.hh: .
	* r_automaton_structures.hh: New.
	* z_automaton.hh: .
	* z_automaton_structures.hh: New.
	* z_fmp_transducer.hh: .
	* z_fmp_transducer_structures.hh: New.
	* z_max_plus_automaton.hh: .
	* z_max_plus_automaton_structures.hh: New.
	* z_min_plus_automaton.hh: .
	* z_min_plus_automaton_structures.hh: New.
	* z_transducer.hh: .
	* z_transducer_structures.hh: New.

2007-02-23  Guillaume Lazzara  <z@lrde.epita.fr>

	Remove useless ifndef
	Remove the ifndef related to VCSN_USE_INTERFACE_ONLY in files declaring
	automata structures.
	Indeed, most of the automata structures can't be explicitly
	instantiated and can't be part of libvcsn-*. Thus, while building
	an application linked against libvcsn, we always want to include
	.hxx files for these structures.
	* algebra/concept/alphabets_base.hh: .
	* algebra/concept/freemonoid_base.hh: .
	* algebra/concept/freemonoid_product.hh: .
	* algebra/concept/freemonoid_product_base.hh: .
	* algebra/concept/monoid_base.hh: .
	* algebra/concept/numerical_semiring.hh: .
	* algebra/concept/semigroup_base.hh: .
	* algebra/concept/semiring_base.hh: .
	* algebra/concept/series_base.hh: .
	* algebra/concept/tropical_semiring.hh: .
	* algebra/implementation/alphabets/decorated_alphabet.hh: .
	* algebra/implementation/alphabets/set_alphabet.hh: .
	* algebra/implementation/free_monoid/str_words.hh: .
	* algebra/implementation/free_monoid/tools.hh: .
	* algebra/implementation/free_monoid/words.hh: .
	* algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hh: .
	* algebra/implementation/letter/couple_letter.hh: .
	* algebra/implementation/letter/int_letter.hh: .
	* algebra/implementation/letter/range.hh: .
	* algebra/implementation/semiring/numerical_semiring.hh: .
	* algebra/implementation/semiring/rational_number.hh: .
	* algebra/implementation/semiring/tropical_semiring.hh: .
	* algebra/implementation/series/generalized.hh: .
	* algebra/implementation/series/krat.hh: .
	* algebra/implementation/series/krat_coefficient.hh: .
	* algebra/implementation/series/krat_conversion.hh: .
	* algebra/implementation/series/krat_exp_parser.hh: .
	* algebra/implementation/series/krat_exp_pattern.hh: .
	* algebra/implementation/series/polynoms.hh: .
	* algebra/implementation/series/rat/depth_visitor.hh: .
	* algebra/implementation/series/rat/dispatch_visitor.hh: .
	* algebra/implementation/series/rat/dump_visitor.hh: .
	* algebra/implementation/series/rat/exp.hh: .
	* algebra/implementation/series/rat/nodes.hh: .
	* algebra/implementation/series/rat/random_visitor.hh: .
	* algebra/implementation/series/rat/reverse_visitor.hh: .
	* algebra/implementation/series/rat/xml_exp_visitor.hh: .
	* algebra/implementation/series/series.hh: .
	* algebra/implementation/series/transpose.hh: .
	* automata/concept/automata.hh: .
	* automata/concept/automata_base.hh: .
	* automata/concept/automata_ops.hh: .
	* automata/concept/copy.hh: .
	* automata/concept/handlers.hh: .
	* automata/concept/history.hh: .
	* automata/concept/kinds.hh: .
	* automata/concept/tags.hh: .
	* automata/concept/transducer.hh: .
	* automata/concept/transducer_base.hh: .
	* automata/concept/transducer_ops.hh: .
	* automata/concept/translate.hh: .
	* automata/implementation/automaton_view.hh: .
	* automata/implementation/generalized.hh: .
	* automata/implementation/geometry.hh: .
	* automata/implementation/graph.hh: .
	* automata/implementation/kind_adapter.hh: .
	* automata/implementation/transpose_view.hh: .
	* design_pattern/default_ops.hh: .
	* design_pattern/element.hh: .
	* design_pattern/element_ops.hh: .
	* design_pattern/meta_element_root.hh: .
	* design_pattern/slots.hh: .
	* design_pattern/structure.hh: .
	* design_pattern/syntactic_decorator.hh: .
	* misc/bitset.hh: .
	* misc/char_traits.hh: .
	* misc/container_ops.hh: .
	* misc/deferrer.hh: .
	* misc/escaper.hh: .
	* misc/functors.hh: .
	* misc/iomanip.hh: .
	* misc/random.hh: .
	* misc/sparse_interval.hh: .
	* misc/support.hh: .
	* misc/timer.hh: .
	* misc/unique.hh: .
	* misc/usual_escaped_characters.hh: .
	* misc/window.hh: .

2007-02-23  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Reorganize libvcsn
	Remove the sub-Makefiles in lib/vcsn-*/
	* configure.ac: Remove lib/vcsn-*/Makefile
	* lib/Makefile.am: Update.
	* lib/generate_libvcsn.rb: Update.
	* lib/vcsn-b/vcsn_b.hh: Remove.
	* lib/vcsn-b: Remove.
	* lib/vcsn-fmp-tdc/vcsn_fmp_tdc.hh: Remove.
	* lib/vcsn-fmp-tdc: Remove.
	* lib/vcsn-r/vcsn_r.hh: Remove.
	* lib/vcsn-r: Remove.
	* lib/vcsn-tdc/vcsn_tdc.hh: Remove.
	* lib/vcsn-tdc: Remove.
	* lib/vcsn-z-fmp-tdc/vcsn_z_fmp_tdc.hh: Remove.
	* lib/vcsn-z-fmp-tdc: Remove.
	* lib/vcsn-z-max/vcsn_z_max.hh: Remove.
	* lib/vcsn-z-max: Remove.
	* lib/vcsn-z-min/vcsn_z_min.hh: Remove.
	* lib/vcsn-z-min: Remove.
	* lib/vcsn-z-tdc/vcsn_z_tdc.hh: Remove.
	* lib/vcsn-z-tdc: Remove.
	* lib/vcsn-z/vcsn_z.hh: Remove.
	* lib/vcsn-z: Remove.

2007-02-23  Akim Demaille  <akim@lrde.epita.fr>

	Automake style.
	*  lib/generate_libvcsn.rb: Use MAINTAINERCLEANFILES
	to remove files generated.  distclean means to return to the
	fresh tarball.
	Use $(), not @@.

2007-02-23  Akim Demaille  <akim@lrde.epita.fr>

	Missing inline.
	* include/vaucanson/misc/bencher.hxx (push): here.
	Don't include bencher.cc, it's done by bench.hh.

2007-02-23  Akim Demaille  <akim@lrde.epita.fr>

	Enable parallel checks in TAF-Kit.
	* taf-kit/tests/defs.in (testSubdir): New variable.
	* taf-kit/tests/Makefile.am (distclean-local): Adjust.

2007-02-23  Akim Demaille  <akim@lrde.epita.fr>

	Fix double occurrence of XFAIL_TESTS.
	* taf-kit/tests/Makefile.am: here.

2007-02-23  Akim Demaille  <akim@lrde.epita.fr>

	Continue to clean the Bencher mess.
	* include/vaucanson/misc/global_timer.hh: New, extracted and
	extended from...
	* include/vaucanson/misc/usual_macros.hh: here.
	Include it.
	* include/Makefile.am: Adjust.
	* include/vaucanson/misc/bencher.hh: Make most methods const.
	(BENCH_START, BENCH_STOP, BENCH_PRINT, BENCH_PLOT): Remove,
	replaced by macros in global_timer.hh.
	Also include bencher.cc for Vaucanson.
	* include/vaucanson/misc/bencher.hxx: Move most methods to...
	* include/vaucanson/misc/bencher.cc: here.
	Spread the missing consts.
	(print): Return the stream.
	(operator<< (ostream, Bencher)): New.

	* include/vaucanson/misc/timer.hh: Also include the cc file.
	* include/vaucanson/misc/timer.hxx: Don't.

	* taf-kit/src/common.hh: Adjust to these changes.
	* taf-kit/src/main.cc: Have a single main loop.
	Make sure the default number of iterations is 1.


	* taf-kit/tests/Makefile.am (XFAIL_TESTS): Add completeness.test.

2007-02-23  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Add support for libvcsn-*.la
	generate_libvcsn.rb script has been updated to handle
	all the types of automaton supported by vcsn.
	The use of static library has been replaced with shared library.
	* configure.ac: Add the subdirectories of lib/
	* lib/Makefile.am: Update.
	* lib/generate_libvcsn.rb: Add support for libvcsn-*.la.
	* lib/vcsn-b/vcsn_b.hh: New.
	* lib/vcsn-fmp-tdc/vcsn_fmp_tdc.hh: New.
	* lib/vcsn-fmp-tdc: New.
	* lib/vcsn-r/vcsn_r.hh: New.
	* lib/vcsn-r: New.
	* lib/vcsn-tdc/vcsn_tdc.hh: New.
	* lib/vcsn-tdc: New.
	* lib/vcsn-z-fmp-tdc/vcsn_z_fmp_tdc.hh: New.
	* lib/vcsn-z-fmp-tdc: New.
	* lib/vcsn-z-max/vcsn_z_max.hh: New.
	* lib/vcsn-z-max: New.
	* lib/vcsn-z-min/vcsn_z_min.hh: New.
	* lib/vcsn-z-min: New.
	* lib/vcsn-z-tdc/vcsn_z_tdc.hh: New.
	* lib/vcsn-z-tdc: New.
	* lib/vcsn-z/vcsn_z.hh: New.
	* lib/vcsn-z: New.

2007-02-23  Guillaume Lazzara  <z@lrde.epita.fr>

	Add a default constructor to SupportIterator
	Add a default constructor to SupportIterator and the associated
	documentation.
	* include/vaucanson/misc/support.hh: here.

2007-02-22  Guillaume Lazzara  <z@lrde.epita.fr>

	Fix invalid iterator after deletion of an item
	Calling the set_final method in a loop iterating on the final states
	set can lead to invalid iterators, since set_final can delete an
	item in this set under certain circumstancies.
	This patch fix this problem.
	* include/vaucanson/algebra/implementation/letter/couple_letter.hxx: .
	* include/vaucanson/algorithms/extension.hxx: .
	* include/vaucanson/algorithms/fmp_to_realtime.hxx: .
	* include/vaucanson/algorithms/invert.hxx: .
	* include/vaucanson/algorithms/realtime_to_fmp.hxx: .
	* include/vaucanson/algorithms/standard_of.hxx: .

2007-02-22  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Add a implementation of eps-removal for automaton with multiplicity in B.
	* include/vaucanson/algorithms/eps_removal.hxx: Do it. Adapt facade to
	call the boolean version.
	* taf-kit/tests/automata/tdc/t2_u-compose_u2.xml: Adapt it.
	t2_u-compose_u2.xml is still the same, but the new implementation of
	eps-removal does not give the same state order as before.

2007-02-22  Jimmy Ma  <jimmy.ma@lrde.epita.fr>

	Add libvcsn-b
	This patch includes a script which generates the cc files needed
	to generate libvcsn-b.a.
	At this point, only a static library is generated, in the future
	a shared library shall be built.
	* bootstrap.sh: Add a call to generate_libvcsn.rb.
	* configure.ac: Add the Makefiles to generate libvcsn-b.
	* lib/Makefile.am: New.
	* lib/generate_libvcsn.rb: New.
	* lib/vcsn-b: New.
	* lib: New.

2007-02-21  Florian Lesaint  <florian.lesaint@lrde.epita.fr>

	Correct the title of vaucanson-developer-manual.pdf
	from "User's Manual" to "Developer's Manual"
	* vaucanson-user-manual.tex: Add the required condition

2007-02-21  Akim Demaille  <akim@lrde.epita.fr>

	Prepare timer.hh for sanity checks.
	* include/vaucanson/misc/timer.hh (VAUCANSON): Define it.
	If we don't define it, then timer.cc and bencher.cc should
	be compiled and linked in, which is not the case.  This is
	what other projects want, but not Vcn.

2007-02-20  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Base for a specification document.
	This is mainly just a copy of the classification of the Trac.
	* specification.tex: New. Dump trac's algorithms classification.
	* Makefile.am: Add specification.tex.
	* vaucanson-user-manual.tex: Add speciification.tex has an appendix.

2007-02-19  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Correct intersection algorithm of vcsn-tdc.
	See ticket #100.
	* taf-kit/src/tdc_commands.cc: Initialize the resulting FMP transducer
	with the alphabet of the input Boolean automaton.

2007-02-19  Akim Demaille  <akim@lrde.epita.fr>

	Don't use Bencher::finalize.
	Since it no longer exists.
	* include/vaucanson/misc/bencher.hh (BENCH_STOP): Here.

2007-02-18  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix typo in doxygen documentation of standard.hh.
	* include/vaucanson/algorithms/standard.hh: Change boolean to Boolean.

2007-02-18  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Refactoring of eps_removal.hxx
	* include/vaucanson/algorithms/eps_removal.hxx: Refactor. Reduce variable
	scopes. Use functor.

2007-02-18  Guillaume Lazzara  <z@lrde.epita.fr>

	Renaming in are_isomorphic
	* include/vaucanson/algorithms/isomorph.hxx: here.

2007-02-16  Akim Demaille  <akim@lrde.epita.fr>

	More Bencher factoring.
	* include/vaucanson/misc/timer.hh,
	* include/vaucanson/misc/timer.hxx,
	* include/vaucanson/misc/timer.cc
	(operator/): Fix the signature.
	(operator+=, operator/=, operator/, min, max): New.
	* include/vaucanson/misc/bencher.hh,
	* include/vaucanson/misc/bencher.cc,
	* include/vaucanson/misc/bencher.hxx
	(finalize, arithmetical_means_set, min_max_set)
	(arith_means, min_, max_): Remove.
	(sum, mean, min, max, prepare): New.

2007-02-16  Akim Demaille  <akim@lrde.epita.fr>

	Bencher Simplification.
	* include/vaucanson/misc/bencher.hh,
	* include/vaucanson/misc/bencher.hxx: Pass const ref objects
	(how can a last year student still have this wrong?).
	Simplify a useless if.

2007-02-16  Akim Demaille  <akim@lrde.epita.fr>

	More Timer/Bencher simplifications.
	* include/vaucanson/misc/timer.hh (task_map_type): Store the TimerVar
	instead of referencing them.
	* include/vaucanson/misc/timer.cc: Simplify accordingly.
	Now we can rely on the semantics of the usual algorithms on
	containers.
	* include/vaucanson/misc/timer.hxx: Idem.
	* include/vaucanson/misc/bencher.hxx: Ditto.
	* include/vaucanson/misc/bencher.cc: Use usleep instead of sleep.
	Also, shorten scopes.

2007-02-16  Akim Demaille  <akim@lrde.epita.fr>

	Fixes in Bencher.
	* include/vaucanson/misc/timer.cc,
	* include/vaucanson/misc/timer.hxx,
	* include/vaucanson/misc/bencher.cc,
	* include/vaucanson/misc/bencher.hxx,
	* include/vaucanson/misc/timer.hh:
	Don't allocate on the heap when the stack is enough
	(besides, where are all these deletes???).
	Better use of "inline".
	Improve portability to other projects.

2007-02-16  Akim Demaille  <akim@lrde.epita.fr>

	Factor operator implementations.
	* include/vaucanson/misc/timer.cc: Implement in-place using
	out-of-place.

2007-02-16  Akim Demaille  <akim@lrde.epita.fr>

	Remove initial_t and final_t from the automaton interface.
	At the automaton level, one should only use the *_support_t
	variants.
	* include/vaucanson/automata/concept/automata_base.hh
	(initial_t, final_t): Remove.
	* include/vaucanson/misc/usual_macros.hh: Adjust.
	* include/vaucanson/automata/concept/transducer_base.hh: Adjust.

2007-02-15  Akim Demaille  <akim@lrde.epita.fr>

	sparse-interval.*.
	* include/vaucanson/misc/sparse_interval.hh,
	* include/vaucanson/misc/sparse_interval.hxx: New.
	* include/vaucanson/misc/support.hh: Extracted from here.
	* include/vaucanson/automata/implementation/graph.hh: Include it.

2007-02-15  Akim Demaille  <akim@lrde.epita.fr>

	self-iterator.*.
	* include/vaucanson/misc/self_iterator.hxx,
	* include/vaucanson/misc/self_iterator.hh: New.
	* include/vaucanson/misc/support.hh: Extracted from here.

2007-02-15  Akim Demaille  <akim@lrde.epita.fr>

	Factor for_all macros.
	* include/vaucanson/misc/usual_macros.hh (for_all_iterator): New.
	Rewrite the others using it.

2007-02-15  Akim Demaille  <akim@lrde.epita.fr>

	Update Autotools usage.
	* configure.ac: Automake 1.10, Autoconf 2.61.

2007-02-14  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Reorganize test automata of TAF-KIT.
	Move automata in taf-kit/tests in taf-kit/tests/automata/{b,z,tdc}
	* Makefile.am: Adapt path in EXTRA_DIST.
	* README: Reorganize and document void_b_automaton and void_z_automaton.
	* defs.in: Add variables containing path to automata.
	* vcsn-b.test,
	* vcsn-tdc.test:  Use variables instead of the hand-written path.
	* ambiguous.xml: Remove.
	* b_to_transpose.xml: Remove.
	* b_transposed.xml: Remove.
	* inverted_t1.xml: Remove.
	* non_ambiguous.xml: Remove.
	* non_ambiguous2.xml: Remove.
	* standard_c1.xml: Remove.
	* t1_compose_u1.xml: Remove.
	* t2.xml: Remove.
	* t2_u-compose_u2.xml: Remove.
	* u2.xml: Remove.
	* void_b_automaton.xml: Remove.
	* void_z_automaton.xml: Remove.
	* automata: New.
	* automata/b/ambiguous.xml: New.
	* automata/b/b_to_transpose.xml: New.
	* automata/b/b_transposed.xml: New.
	* automata/b/non_ambiguous.xml: New.
	* automata/b/non_ambiguous2.xml: New.
	* automata/b/void_b_automaton.xml: New.
	* automata/b: New.
	* automata/tdc-rw: New.
	* automata/tdc/inverted_t1.xml: New.
	* automata/tdc/t1_compose_u1.xml: New.
	* automata/tdc/t2.xml: New.
	* automata/tdc/t2_u-compose_u2.xml: New.
	* automata/tdc/u2.xml: New.
	* automata/tdc: New.
	* automata/z/standard_c1.xml: New.
	* automata/z/void_z_automaton.xml: New.
	* automata/z: New.

2007-02-14  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Use macros and add references to documentation.
	* include/vaucanson/algorithms/standard.hh: Add references to
	ETA for standard algorithms.
	* include/vaucanson/algorithms/standard.hxx: Use for_* macros.

2007-02-12  Akim Demaille  <akim@lrde.epita.fr>

	White space changes.
	* include/vaucanson/automata/implementation/graph.hh: here.

2007-02-12  Akim Demaille  <akim@lrde.epita.fr>

	final_support_type.
	* include/vaucanson/automata/concept/automata_base.hh:
	Use C++ style comments.
	Use the local typedef-names instead of using what they point to.
	(final_support_t): Define it.
	* include/vaucanson/automata/concept/automata.hh: White space changes.
	* include/vaucanson/automata/concept/transducer_base.hh:
	(final_support_t): New.

2007-02-12  Akim Demaille  <akim@lrde.epita.fr>

	clear instead of resize(0).
	* include/vaucanson/algorithms/isomorph.hxx (shrink_unused):
	Use clear.

2007-02-12  Akim Demaille  <akim@lrde.epita.fr>

	Formatting changes.
	* include/vaucanson/misc/support.hh,
	* include/vaucanson/misc/support.hxx: here.

2007-02-12  Guillaume Lazzara  <z@lrde.epita.fr>

	More renaming and refactoring in are_isomorphic
	* include/vaucanson/algorithms/isomorph.hxx: Renaming/refactoring.

2007-02-09  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Add some standard algorithms and tests to TAF-KIT.
	Add tests for is_standard. In particular, we check that
	is_standard of the empty automaton returns false.
	* src/b_commands.cc: Uncomment is_standard.
	* src/common_automaton_commands.hh: Uncomment standardize. Add
	union, concatenantion and star of standard automata.
	* src/z_commands.cc: Uncomment is_standard.
	* tests/defs.in: Define the following automata.
	* tests/standard_c1.xml: New.
	* tests/vcsn-b.test: Add tests on standard and is_standard.
	* tests/vcsn-z.test: Add tests on is_standard and star_of_standard.
	* tests/void_b_automaton.xml: New. Use by is_standard.
	* tests/void_z_automaton.xml: New. Use by is_standard.

2007-02-09  Akim Demaille  <akim@lrde.epita.fr>

	* build-aux/check.mk: Update from master.

2007-02-08  Guillaume Lazzara  <z@lrde.epita.fr>

	Refactoring of are_isomorphic
	* include/vaucanson/algorithms/isomorph.hxx:
	  Refactoring of are_isomorphic.

2007-02-05  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Standard of the empty language should give a automaton with one
	state and zero transition.
	See ticket #99.
	* include/vaucanson/algorithms/standard_of.hxx: Change the part of
	matching the empty language. Construct a one-state automaton.
	* src/tests/include/tests/automata/algos/label_aware_graphs/glushkov_test.hh:
	Adapt test accordingly to the definition of the standard automaton of
	the empty language.

2007-02-05  Akim Demaille  <akim@lrde.epita.fr>

	DevDoc: headers.
	* doc/manual/developer.tex: Group and sort them.

2007-02-05  Akim Demaille  <akim@lrde.epita.fr>

	Minimization coding style.
	* include/vaucanson/algorithms/minimization_hopcroft.hxx: Use
	typedefs to shorten the names.
	Sort includes.
	Shorten some identifiers.
	Comment out the variable nb_final, which is not used.


2007-02-05  Akim Demaille  <akim@lrde.epita.fr>

	More dev doc.
	* doc/manual/vaucanswig.tex: Add missing label.
	White space changes.
	* doc/manual/developer.tex (Maintainer Tools): Valgrind and
	libstdsc++.

2007-02-04  SIGOURE Benoit  <tsuna@lrde.epita.fr>

	More copyright notices.
	* doc/xml/Makefile.am,
	* include/Makefile.am,
	* reheader.pl,
	* src/tests/misc/Makefile.am: Update copyright notices.

2007-02-04  SIGOURE Benoit  <tsuna@lrde.epita.fr>

	Update the copyright notices.
	* include/vaucanson/algebra/concept/alphabets_base.hxx,
	* include/vaucanson/algebra/concept/freemonoid_base.hh,
	* include/vaucanson/algebra/concept/freemonoid_product.hh,
	* include/vaucanson/algebra/concept/freemonoid_product.hxx,
	* include/vaucanson/algebra/concept/letter.hh,
	* include/vaucanson/algebra/concept/monoid_base.hh,
	* include/vaucanson/algebra/concept/monoid_base.hxx,
	* include/vaucanson/algebra/concept/numerical_semiring.hxx,
	* include/vaucanson/algebra/concept/semigroup_base.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hxx,
	* include/vaucanson/algebra/concept/semiring_base.hh,
	* include/vaucanson/algebra/concept/semiring_base.hxx,
	* include/vaucanson/algebra/concept/series_base.hh,
	* include/vaucanson/algebra/concept/series_base.hxx,
	* include/vaucanson/algebra/concept/tropical_semiring.hh,
	* include/vaucanson/algebra/concept/tropical_semiring.hxx,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hxx,
	* include/vaucanson/algebra/implementation/alphabets/predefs.hh,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/predefs.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/tools.hh,
	* include/vaucanson/algebra/implementation/free_monoid/tools.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/words.hxx,
	* include/vaucanson/algebra/implementation/letter/char_letter.hh,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hh,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hxx,
	* include/vaucanson/algebra/implementation/letter/int_letter.hh,
	* include/vaucanson/algebra/implementation/letter/int_letter.hxx,
	* include/vaucanson/algebra/implementation/letter/range.hh,
	* include/vaucanson/algebra/implementation/letter/range.hxx,
	* include/vaucanson/algebra/implementation/predefs.hh,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hh,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hxx,
	* include/vaucanson/algebra/implementation/series/generalized.hh,
	* include/vaucanson/algebra/implementation/series/generalized.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hxx,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hh,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_is_finite_app.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_support.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_transpose.hxx,
	* include/vaucanson/algebra/implementation/series/polynoms.hxx,
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/exp.hh,
	* include/vaucanson/algebra/implementation/series/rat/exp.hxx,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hh,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hxx,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/series.hh,
	* include/vaucanson/algebra/implementation/series/series.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hh,
	* include/vaucanson/algebra/implementation/series/transpose.hxx,
	* include/vaucanson/algorithms/accessible.hxx,
	* include/vaucanson/algorithms/aci_canonical.hxx,
	* include/vaucanson/algorithms/aut_to_exp.hh,
	* include/vaucanson/algorithms/aut_to_exp.hxx,
	* include/vaucanson/algorithms/backward_realtime.hxx,
	* include/vaucanson/algorithms/berry_sethi.hh,
	* include/vaucanson/algorithms/brzozowski.hh,
	* include/vaucanson/algorithms/complement.hh,
	* include/vaucanson/algorithms/complement.hxx,
	* include/vaucanson/algorithms/complete.hh,
	* include/vaucanson/algorithms/concatenate.hh,
	* include/vaucanson/algorithms/concatenate.hxx,
	* include/vaucanson/algorithms/derived_term_automaton.hh,
	* include/vaucanson/algorithms/eps_removal.hh,
	* include/vaucanson/algorithms/eps_removal.hxx,
	* include/vaucanson/algorithms/evaluation.hh,
	* include/vaucanson/algorithms/evaluation.hxx,
	* include/vaucanson/algorithms/extension.hxx,
	* include/vaucanson/algorithms/finite_support_conversion.hh,
	* include/vaucanson/algorithms/finite_support_conversion.hxx,
	* include/vaucanson/algorithms/forward_realtime.hh,
	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/initial_derivation.hxx,
	* include/vaucanson/algorithms/internal/build_pattern.hh,
	* include/vaucanson/algorithms/internal/build_pattern.hxx,
	* include/vaucanson/algorithms/internal/outsplitting.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx,
	* include/vaucanson/algorithms/is_letterized.hxx,
	* include/vaucanson/algorithms/is_normalized.hxx,
	* include/vaucanson/algorithms/is_realtime.hxx,
	* include/vaucanson/algorithms/krat_exp_cderivation.hxx,
	* include/vaucanson/algorithms/krat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/krat_exp_derivation.hxx,
	* include/vaucanson/algorithms/krat_exp_expand.hh,
	* include/vaucanson/algorithms/krat_exp_expand.hxx,
	* include/vaucanson/algorithms/krat_exp_flatten.hh,
	* include/vaucanson/algorithms/krat_exp_flatten.hxx,
	* include/vaucanson/algorithms/krat_exp_linearize.hh,
	* include/vaucanson/algorithms/krat_exp_linearize.hxx,
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hxx,
	* include/vaucanson/algorithms/krat_exp_realtime.hh,
	* include/vaucanson/algorithms/krat_exp_realtime.hxx,
	* include/vaucanson/algorithms/letter_to_letter_composition.hh,
	* include/vaucanson/algorithms/letter_to_letter_composition.hxx,
	* include/vaucanson/algorithms/minimization_hopcroft.hh,
	* include/vaucanson/algorithms/normalized.hxx,
	* include/vaucanson/algorithms/projection.hh,
	* include/vaucanson/algorithms/realtime.hxx,
	* include/vaucanson/algorithms/realtime_composition.hh,
	* include/vaucanson/algorithms/realtime_composition.hxx,
	* include/vaucanson/algorithms/realtime_decl.hxx,
	* include/vaucanson/algorithms/realtime_to_fmp.hh,
	* include/vaucanson/algorithms/realtime_to_fmp.hxx,
	* include/vaucanson/algorithms/standard.hh,
	* include/vaucanson/algorithms/standard.hxx,
	* include/vaucanson/algorithms/standard_of.hh,
	* include/vaucanson/algorithms/standard_of.hxx,
	* include/vaucanson/algorithms/sub_automaton.hh,
	* include/vaucanson/algorithms/sub_automaton.hxx,
	* include/vaucanson/algorithms/sub_normalize.hh,
	* include/vaucanson/algorithms/sum.hh,
	* include/vaucanson/algorithms/sum.hxx,
	* include/vaucanson/algorithms/thompson.hh,
	* include/vaucanson/algorithms/thompson.hxx,
	* include/vaucanson/algorithms/transpose.hh,
	* include/vaucanson/algorithms/transpose.hxx,
	* include/vaucanson/algorithms/trim.hxx,
	* include/vaucanson/automata/concept/automata.hxx,
	* include/vaucanson/automata/concept/automata_kind.hh,
	* include/vaucanson/automata/concept/copy.hh,
	* include/vaucanson/automata/concept/copy.hxx,
	* include/vaucanson/automata/concept/delta_kind.hh,
	* include/vaucanson/automata/concept/handlers.hh,
	* include/vaucanson/automata/concept/handlers.hxx,
	* include/vaucanson/automata/concept/history.hh,
	* include/vaucanson/automata/concept/history.hxx,
	* include/vaucanson/automata/concept/kinds.hh,
	* include/vaucanson/automata/concept/kinds.hxx,
	* include/vaucanson/automata/concept/tags.hh,
	* include/vaucanson/automata/concept/tags.hxx,
	* include/vaucanson/automata/concept/transducer.hh,
	* include/vaucanson/automata/concept/transducer.hxx,
	* include/vaucanson/automata/concept/transducer_base.hxx,
	* include/vaucanson/automata/concept/transducer_ops.hh,
	* include/vaucanson/automata/concept/transducer_ops.hxx,
	* include/vaucanson/automata/concept/translate.hh,
	* include/vaucanson/automata/concept/translate.hxx,
	* include/vaucanson/automata/implementation/automaton_view.hxx,
	* include/vaucanson/automata/implementation/generalized.hh,
	* include/vaucanson/automata/implementation/generalized.hxx,
	* include/vaucanson/automata/implementation/kind_adapter.hh,
	* include/vaucanson/automata/implementation/kind_adapter.hxx,
	* include/vaucanson/automata/implementation/transpose_view.hh,
	* include/vaucanson/automata/implementation/transpose_view.hxx,
	* include/vaucanson/config/math.hh,
	* include/vaucanson/design_pattern/default_ops.hh,
	* include/vaucanson/design_pattern/default_ops.hxx,
	* include/vaucanson/design_pattern/design_pattern.hh,
	* include/vaucanson/design_pattern/element.hh,
	* include/vaucanson/design_pattern/element.hxx,
	* include/vaucanson/design_pattern/element_op_traits.hh,
	* include/vaucanson/design_pattern/element_ops.hh,
	* include/vaucanson/design_pattern/element_ops.hxx,
	* include/vaucanson/design_pattern/factory.hh,
	* include/vaucanson/design_pattern/meta_element_root.hh,
	* include/vaucanson/design_pattern/meta_element_root.hxx,
	* include/vaucanson/design_pattern/slots.hh,
	* include/vaucanson/design_pattern/slots.hxx,
	* include/vaucanson/design_pattern/structure.hh,
	* include/vaucanson/design_pattern/structure.hxx,
	* include/vaucanson/design_pattern/syntactic_decorator.hxx,
	* include/vaucanson/misc/bencher.cc,
	* include/vaucanson/misc/bencher.hh,
	* include/vaucanson/misc/bencher.hxx,
	* include/vaucanson/misc/char_traits.hh,
	* include/vaucanson/misc/char_traits.hxx,
	* include/vaucanson/misc/container_ops.hh,
	* include/vaucanson/misc/container_ops.hxx,
	* include/vaucanson/misc/escaper.hh,
	* include/vaucanson/misc/escaper.hxx,
	* include/vaucanson/misc/iomanip.hh,
	* include/vaucanson/misc/iomanip.hxx,
	* include/vaucanson/misc/random.hxx,
	* include/vaucanson/misc/special_char_traits.hh,
	* include/vaucanson/misc/support.hh,
	* include/vaucanson/misc/timer.cc,
	* include/vaucanson/misc/timer.hh,
	* include/vaucanson/misc/timer.hxx,
	* include/vaucanson/misc/usual_escaped_characters.hh,
	* include/vaucanson/misc/usual_escaped_characters.hxx,
	* include/vaucanson/misc/window.hh,
	* include/vaucanson/misc/window.hxx,
	* include/vaucanson/standard_algorithms.hh,
	* include/vaucanson/tools/automaton_tools.hh,
	* include/vaucanson/tools/dot_dump.hh,
	* include/vaucanson/tools/dot_dump.hxx,
	* include/vaucanson/tools/dot_format.hh,
	* include/vaucanson/tools/dot_format.hxx,
	* include/vaucanson/tools/fsm_dump.hh,
	* include/vaucanson/tools/fsm_dump.hxx,
	* include/vaucanson/tools/gen_book.hh,
	* include/vaucanson/tools/gen_book.hxx,
	* include/vaucanson/tools/gen_random.hh,
	* include/vaucanson/tools/io.hh,
	* include/vaucanson/tools/io.hxx,
	* include/vaucanson/tools/simple_format.hh,
	* include/vaucanson/tools/simple_format.hxx,
	* include/vaucanson/tools/usual_io.hh,
	* include/vaucanson/tools/usual_io.hxx,
	* include/vaucanson/tools/xml_display.hh,
	* include/vaucanson/tools/xml_load.hh,
	* include/vaucanson/vaucanson.hh,
	* include/vaucanson/xml/error_handler.hh,
	* include/vaucanson/xml/error_handler.hxx,
	* include/vaucanson/xml/ios.hh,
	* include/vaucanson/xml/ios.hxx,
	* include/vaucanson/xml/session.hh,
	* include/vaucanson/xml/strings.hh,
	* include/vaucanson/xml/strings.hxx,
	* src/benchs/common/bench_automaton.hh,
	* src/benchs/common/bench_constructs.hh,
	* src/benchs/composition/normalized_composition_bench.hh,
	* src/benchs/composition/realtime_composition_bench.hh,
	* src/benchs/derived_terms/derived_terms_bench.hh,
	* src/benchs/determinization/determinization_bench.hh,
	* src/benchs/minimization_2n/minimization_2n_brzozowski_bench.hh,
	* src/benchs/minimization_2n/minimization_2n_hopcroft_bench.hh,
	* src/benchs/minimization_2n/minimization_2n_moore_bench.hh,
	* src/benchs/minimization_debruijn/minimization_debruijn_brzozowski_bench.hh,
	* src/benchs/minimization_debruijn/minimization_debruijn_hopcroft_bench.hh,
	* src/benchs/minimization_debruijn/minimization_debruijn_moore_bench.hh,
	* src/benchs/quotient/quotient_bool_bench.hh,
	* src/benchs/quotient/quotient_z_bench.hh,
	* src/demos/algorithms/classics.cc,
	* src/demos/algorithms/contains_factor.cc,
	* src/demos/algorithms/equivalent_functions.cc,
	* src/demos/algorithms/universal.cc,
	* src/demos/function_library/algorithms.cc,
	* src/demos/function_library/rt_tdc_algorithms.cc,
	* src/demos/function_library/tdc_algorithms.cc,
	* src/demos/one_rule_rewriting/ORR_demo.cc,
	* src/demos/one_rule_rewriting/ORR_rt_gen.cc,
	* src/demos/one_rule_rewriting/ORR_tdc_gen.cc,
	* src/demos/one_rule_rewriting/fibonacci_demo.cc,
	* src/demos/one_rule_rewriting/fibonacci_rt_gen.cc,
	* src/demos/one_rule_rewriting/fibonacci_tdc_gen.cc,
	* src/demos/vgrep/vgrep.cc,
	* src/tests/check/tester.cc,
	* src/tests/check/unique.cc,
	* src/tests/design_pattern/element-full-test.cc,
	* src/tests/design_pattern/intrinsics.hh,
	* src/tests/design_pattern/intrinsics_assign.cc,
	* src/tests/design_pattern/intrinsics_binops.cc,
	* src/tests/design_pattern/intrinsics_convert.cc,
	* src/tests/design_pattern/intrinsics_default.cc,
	* src/tests/design_pattern/intrinsics_extra.cc,
	* src/tests/design_pattern/intrinsics_link.cc,
	* src/tests/design_pattern/intrinsics_ops.cc,
	* src/tests/design_pattern/intrinsics_orphanage.cc,
	* src/tests/design_pattern/intrinsics_size.cc,
	* src/tests/include/tests/algebra/alphabets/alphabet_test.hh,
	* src/tests/include/tests/algebra/alphabets/alphabet_torture_test.hh,
	* src/tests/include/tests/algebra/free_monoid/constructor_without_arguments2_failcomp.hh,
	* src/tests/include/tests/algebra/free_monoid/constructor_without_arguments_failcomp.hh,
	* src/tests/include/tests/algebra/free_monoid/free_monoid_test.hh,
	* src/tests/include/tests/algebra/numerical_semiring/numerical_semiring_test.hh,
	* src/tests/include/tests/algebra/semiring/semiring_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_identity_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_letter_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_product_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_star_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_sum_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_zero_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_identity_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_letter_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_star_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_sum_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_zero_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivations_common.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_common.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_identity_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_letter_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_product_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_star_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_sum_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_zero_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_aci_canonical_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_expand_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_flatten_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_realtime_test.hh,
	* src/tests/include/tests/algebra/series/krat/tests/generate_random_krat.cc,
	* src/tests/include/tests/algebra/series/polynom/series_polynom_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/aci_canonical_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/berry_sethi_test.hh,
	* src/tests/include/tests/automata/algos/fmp_transducers/evaluation_fmp_test.hh,
	* src/tests/include/tests/automata/algos/fmp_transducers/sub_normalize_test.hh,
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/generalized_test.hh,
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/krat_exp_realtime_conflict_test.hh,
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/realtime_test.hh,
	* src/tests/include/tests/automata/algos/graphs/extract_test.hh,
	* src/tests/include/tests/automata/algos/graphs/reachable_test.hh,
	* src/tests/include/tests/automata/algos/graphs/sub_automaton_test.hh,
	* src/tests/include/tests/automata/algos/graphs/trim_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/standard_of_regression_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/sum_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/normalize_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/derived_term_automaton_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/deterministic_test.hh,
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/extension_test.hh,
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/realtime_trans_test.hh,
	* src/tests/include/tests/automata/implementation_check/add_state_test.hh,
	* src/tests/include/tests/automata/implementation_check/add_transition_test.hh,
	* src/tests/include/tests/automata/implementation_check/coherence_state_transition_test.hh,
	* src/tests/include/tests/automata/implementation_check/global_consistency_test.hh,
	* src/tests/include/tests/automata/implementation_check/init_final_test.hh,
	* src/tests/include/tests/automata/implementation_check/rdelta_test.hh,
	* src/tests/include/tests/check/tester.hh,
	* src/tests/include/tests/context_headers/transducers/global_consistency_test.hh,
	* src/tests/include/tests/design_pattern/design_pattern-test.hh,
	* src/tests/misc/assert_test.cc,
	* src/tests/misc/bitset.cc,
	* src/tests/misc/char_traits.cc,
	* src/tests/misc/koenig.cc,
	* src/tests/misc/limits.cc,
	* src/tests/misc/random.cc,
	* src/tests/misc/selectors.cc,
	* src/tests/misc/static.cc,
	* src/tests/misc/unique.cc,
	* src/tests/misc/window.cc,
	* taf-kit/src/common.hh,
	* taf-kit/src/main.cc,
	* vaucanswig/meta/automaton.hh,
	* vaucanswig/meta/context.hh,
	* vaucanswig/meta/vauto.cc,
	* vaucanswig/meta/vauto.hh,
	* vaucanswig/meta/vcontext.cc,
	* vaucanswig/meta/vcontext.hh: Update the copyright notices.

2007-02-04  SIGOURE Benoit  <tsuna@lrde.epita.fr>

	Remove argp.
	* argp/ChangeLog: Remove.
	* argp/Makefile.am: Remove.
	* argp/TODO: Remove.
	* argp/Versions: Remove.
	* argp/acinclude.m4: Remove.
	* argp/argp-ba.c: Remove.
	* argp/argp-eexst.c: Remove.
	* argp/argp-fmtstream.c: Remove.
	* argp/argp-fmtstream.h: Remove.
	* argp/argp-fs-xinl.c: Remove.
	* argp/argp-help.c: Remove.
	* argp/argp-namefrob.h: Remove.
	* argp/argp-parse.c: Remove.
	* argp/argp-pv.c: Remove.
	* argp/argp-pvh.c: Remove.
	* argp/argp-test.c: Remove.
	* argp/argp-xinl.c: Remove.
	* argp/argp.h: Remove.
	* argp/configure.ac: Remove.
	* argp/mempcpy.c: Remove.
	* argp/strchrnul.c: Remove.
	* argp/strndup.c: Remove.
	* argp/testsuite/Makefile.am: Remove.
	* argp/testsuite/ex1-test: Remove.
	* argp/testsuite/ex1.c: Remove.
	* argp/testsuite/ex3.c: Remove.
	* argp/testsuite/ex4.c: Remove.
	* argp/testsuite/permute-test: Remove.
	* argp/testsuite/run-tests: Remove.
	* argp/testsuite: Remove.
	* argp: Remove.

2007-02-03  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix final transitions handling in concat_of_standard.
	* ChangeLog: Correct some typo.
	* include/vaucanson/algorithms/standard.hxx: Here. Set states to
	final at the end of the algorithm.
	Backward closure was generating false transitions.
	Add some final points to comments.

2007-02-02  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Correct star_of_standard.
	* include/vaucanson/algorithms/standard.hxx: Set weight on transitions
	added between final states and the initial one.

2007-02-02  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Reorganize and correct concat_of_standard. Weight of final
	transitions where not set.
	* include/vaucanson/algorithms/standard.hxx: Do it. Set correctly weigth
	of final transitions of the resulting automaton.

2007-02-02  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Remove dead code in union_of_standard
	* algorithms/standard.hxx: Do it. Remove operations on ingoing
	transitions of initial state.

2007-02-02  Akim Demaille  <akim@lrde.epita.fr>

	Add missing inlines.
	* include/vaucanson/algorithms/isomorph.hxx (Trie): here.

2007-02-02  Akim Demaille  <akim@lrde.epita.fr>

	Fix are-isomorphic iterator handling.
	* include/vaucanson/algorithms/isomorph.hxx (Trie::L_is_valid): New.
	(Trie::Trie): New copy ctor.
	(are_isomorphic): Shorten scopes.
	Fix the definition of T_L_A and T_L_B.

2007-02-02  Akim Demaille  <akim@lrde.epita.fr>

	Shorten scopes, avoid new.
	* include/vaucanson/algorithms/isomorph.hxx: Let the tries be
	objects, not pointers.
	Shorten the scope for T_aux.

2007-02-02  Akim Demaille  <akim@lrde.epita.fr>

	Cleansing.
	* include/vaucanson/algorithms/isomorph.hh,
	* include/vaucanson/algorithms/isomorph.hxx: Remove useless parens.
	Shorten scopes

2007-02-01  Akim Demaille  <akim@lrde.epita.fr>

	Duplicate macro definition.
	* include/vaucanson/misc/bencher.hh: Don't define macros defined
	by timer.hh, which you include.

2007-02-01  Akim Demaille  <akim@lrde.epita.fr>

	Update the checking machinery.
	* build-aux/check.mk: Plenty of new nice bells and whistles (colors,
	RST output, HTML conversion, factoring, banners).

2007-02-01  Akim Demaille  <akim@lrde.epita.fr>

	Simplify Timer.
	* include/vaucanson/misc/timer.hh,
	* include/vaucanson/misc/timer.cc (Timer::TimeVar::last): Remove.
	Now a local variable for Timer::TimeVar::stop.
	Remove a few this->.

2007-02-01  Akim Demaille  <akim@lrde.epita.fr>

	Formatting changes.
	* include/vaucanson/algorithms/sub_automaton.hxx,
	* include/vaucanson/algorithms/realtime_composition.hxx:
	Useless braces.

2007-02-01  Akim Demaille  <akim@lrde.epita.fr>

	Fix incorrect iterator usage.
	* include/vaucanson/algorithms/standard.hxx: Don't increment an
	iterator on a state we just deleted.

2007-02-01  Akim Demaille  <akim@lrde.epita.fr>

	Doxygenation.
	* include/vaucanson/misc/timer.hh (TimeVar): Document its
	attributes.

2007-02-01  Akim Demaille  <akim@lrde.epita.fr>

	Improve a test.
	* src/tests/include/tests/automata/implementation_check/coherence_state_transition_test.hh:
	Dump more data.
	Use short var names.

2007-02-01  Akim Demaille  <akim@lrde.epita.fr>

	Factoring.
	* src/tests/include/tests/check/tester.hh (TEST_ASSERT): Use
	TEST_XASSERT.

2007-02-01  Akim Demaille  <akim@lrde.epita.fr>

	Update NEWS.
	* Makefile.am (README, NEWS): Add dependencies so that they are
	really updated.
	* doc/NEWS.txt: Update.

2007-01-10  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Add benchmarking facilities to TAF-Kit.

	* include/vaucanson/misc/timer.cc,
	* include/vaucanson/misc/timer.hxx,
	* include/vaucanson/misc/timer.hh: Add new operations designed
	  to be used by Bencher.

	* include/vaucanson/misc/bencher.hh,
	* include/vaucanson/misc/bencher.cc,
	* include/vaucanson/misc/bencher.hxx: New. The Bencher
	  class. Use Timer to collect measures on a programm
	  execution.

	* taf-kit/src/common.hh: .
	* taf-kit/src/main.cc: .

	* include/Makefile.am: Update accordingly.

2006-11-17  Florent Terrones  <terron_f@lrde.epita.fr>

	* data/vaucanson.xsd: Remove the <transducer> tag.
	Change the `generators' attribute to `generatorType'.
	* doc/xml/xml_proposal.tex: Update accordingly.
	* include/vaucanson/xml/xml_chooser.hh,
	* include/vaucanson/xml/xml_chooser.hxx,
	* include/vaucanson/xml/xml_converter.hxx,
	* include/vaucanson/xml/tools.hxx,
	* include/vaucanson/xml/xerces_parser.hxx: Update accordingly. Remove
	the `choose_start_tag' method from xml_chooser.
	* src/tests/xml/label_node_ref.xml,
	* src/tests/xml/trans_ref.xml,
	* src/tests/xml/geometry_ref.xml,
	* src/tests/xml/r_ref.xml,
	* src/tests/xml/z_ref.xml,
	* src/tests/xml/z_min_plus_ref.xml,
	* src/tests/xml/b_ref.xml,
	* src/tests/xml/z_max_plus_ref.xml,
	* src/tests/xml/fmp_ref.xml,
	* src/tests/xml/session_ref.xml,
	* taf-kit/tests/b_to_transpose.xml,
	* taf-kit/tests/t2_u-compose_u2.xml,
	* taf-kit/tests/b_transposed.xml,
	* taf-kit/tests/inverted_t1.xml,
	* taf-kit/tests/t2.xml,
	* taf-kit/tests/u2.xml,
	* taf-kit/tests/non_ambiguous2.xml,
	* taf-kit/tests/ambiguous.xml,
	* taf-kit/tests/non_ambiguous.xml,
	* taf-kit/tests/t1_compose_u1.xml,
	* data/automata/tdc-rw/quot-3-rw.xml,
	* data/automata/tdc-rw/add1-rw.xml,
	* data/automata/b/a1.xml,
	* data/automata/b/b1.xml,
	* data/automata/b/div3base2.xml,
	* data/automata/b/double-3-1.xml,
	* data/automata/b/ladybird-6.xml,
	* data/automata/z/b1.xml,
	* data/automata/z/c1.xml,
	* data/automata/tdc/t1.xml,
	* data/automata/tdc/u1.xml: Update accordingly.

2006-11-15  Florent Terrones  <terron_f@lrde.epita.fr>

	* data/vaucanson.xsd: Change the structure of the semiring description.
	Semirings with set=`ratSeries' are now `numericalSemiring's and
	recursive. The <semiring> tag is not recursive anymore.
	* doc/xml/xml_proposal.tex: Update accordingly. Fix some errors. Remove
	the first references to the tag <transducer>. Enhance some descriptions.
	* include/vaucanson/xml/tools.hxx: Update accordingly.
	* src/tests/xml/label_node_ref.xml,
	* src/tests/xml/trans_ref.xml,
	* src/tests/xml/geometry_ref.xml,
	* src/tests/xml/r_ref.xml,
	* src/tests/xml/z_ref.xml,
	* src/tests/xml/b_ref.xml,
	* src/tests/xml/fmp_ref.xml,
	* src/tests/xml/session_ref.xml,
	* taf-kit/tests/b_to_transpose.xml,
	* taf-kit/tests/t2_u-compose_u2.xml,
	* taf-kit/tests/b_transposed.xml,
	* taf-kit/tests/inverted_t1.xml,
	* taf-kit/tests/t2.xml,
	* taf-kit/tests/u2.xml,
	* taf-kit/tests/non_ambiguous2.xml,
	* taf-kit/tests/ambiguous.xml,
	* taf-kit/tests/non_ambiguous.xml,
	* taf-kit/tests/t1_compose_u1.xml,
	* data/automata/tdc-rw/quot-3-rw.xml,
	* data/automata/tdc-rw/add1-rw.xml,
	* data/automata/b/a1.xml,
	* data/automata/b/b1.xml,
	* data/automata/b/div3base2.xml,
	* data/automata/b/double-3-1.xml,
	* data/automata/b/ladybird-6.xml,
	* data/automata/z/b1.xml,
	* data/automata/z/c1.xml,
	* data/automata/tdc/t1.xml,
	* data/automata/tdc/u1.xml: Update accordingly.

2006-11-06  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Various minor fixes.

	* include/vaucanson/algorithms/image.hh,
	* include/vaucanson/algorithms/invert.hxx,
	* include/vaucanson/algorithms/image.hxx,
	* src/tests/include/tests/automata/algos/labeled_graphs/thompson_test.hh,
	* taf-kit/tests/vcsn-tdc.test,
	* taf-kit/tests/vcsn-b.test: Minor fixes.

2006-11-02  Florent Terrones  <terron_f@lrde.epita.fr>

	* data/vaucanson.xsd: Update the geometryTrans node definition. Add
	GeometryInitFinal node for initial and final states, with specific
	attributes.
	* doc/xml/xml_proposal.tex: Update accordingly. Fix some issues.

2006-10-30  Akim Demaille  <akim@lrde.epita.fr>

	Add missing std::.
	* include/vaucanson/misc/timer.cc: for iomanip guys.

2006-10-30  Akim Demaille  <akim@lrde.epita.fr>

	Include namespace in VCSN_CONTEXT_NAMESPACE.
	So that if the latter is not defined, it triggers an error instead
	of putting everything in the namespace named VCSN_CONTEXT_NAMESPACE.
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/z_transducer.hh,
	* include/vaucanson/z_fmp_transducer.hh,
	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/boolean_transducer.hh,
	* include/vaucanson/contexts/r_semiring.thh,
	* include/vaucanson/contexts/ratseries_semiring.thh,
	* include/vaucanson/contexts/automaton_functions.thh,
	* include/vaucanson/contexts/transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/contexts/z_semiring.thh,
	* include/vaucanson/contexts/automaton.thh,
	* include/vaucanson/contexts/automaton_functions.thxx,
	* include/vaucanson/contexts/polynom_series.thh,
	* include/vaucanson/contexts/transducer_functions.thxx,
	* include/vaucanson/contexts/transducer.thh,
	* include/vaucanson/contexts/z_min_plus_semiring.thh,
	* include/vaucanson/contexts/boolean_semiring.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thxx,
	* include/vaucanson/contexts/z_max_plus_semiring.thh,
	* include/vaucanson/contexts/generic_automaton_impl.thh,
	* include/vaucanson/contexts/dynamic_alphabet.thh,
	* include/vaucanson/contexts/generic_series.thh,
	* include/vaucanson/contexts/free_monoid_product.thh,
	* include/vaucanson/contexts/free_monoid.thh,
	* include/vaucanson/contexts/char_letter.thh,
	* include/vaucanson/fmp_transducer.hh:
	Do that.

2006-10-29  Akim Demaille  <akim.demaille@free.fr>

	Move vcsn-Makefile
	* doc/makefiles/vcsn-Makefile: Rename as...
	* doc/unit-compile.mk: this.
	* doc/makefiles/Makefile.am: Remove.
	* configure.ac, doc/Makefile.am: Adjust.
	Let's avoid gratuituous Makefile.am.
	* doc/Makefile.am: Make the doxygen part more generic.
	(DOXYFILE, DOCDIR): New.

2006-10-29  Akim Demaille  <akim@lrde.epita.fr>

	* taf-kit/src/main.cc (main): Use << to output the time report.
	* src/tests/test-suites/test-suite.mk (CLEANFILES): Add EXTRA_PROGRAMS.

2006-10-26  Florent Terrones  <terron_f@lrde.epita.fr>

	* data/vaucanson.xsd: Split the `expressionAttributes' into two
	attribute groups: `atomAttributes' and `nodeAttributes'.
	Add left and right weights for nodes of an expression.
	Refine the drawing tag.
	* doc/xml/xml_proposal.tex: Update accordingly.
	* include/vaucanson/algebra/implementation/series/rat/xml_exp_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/xml_exp_visitor.hxx:
	Add the support of left and right weights for output. Fix a bug	about
	weights.
	* include/vaucanson/algebra/implementation/series/rat/exp.hh,
	* include/vaucanson/algebra/implementation/series/rat/exp.hxx: Minor fix.
	* include/vaucanson/xml/tools.hxx: Add the support of left and right
	weights for input.
	* src/tests/xml/xml_label_node_tester.cc: Enhance the tests on weights.
	* src/tests/xml/label_node_ref.xml,
	* src/tests/xml/label_node_ref.dot: Update accordingly.

2006-10-18  Florent Terrones  <terron_f@lrde.epita.fr>

	* include/vaucanson/algorithms/domain.hh,
	* include/vaucanson/algorithms/domain.hxx: New. Add domain algorithms
	for FMP transducers and RW transducers.
	* include/vaucanson/algorithms/projections_fmp.hh,
	* include/vaucanson/algorithms/projections_fmp.hxx: Delete empty files.
	* include/vaucanson/algorithms/projection.hh,
	* include/vaucanson/algorithms/projection.hxx: Remove input_projection
	algorithm.
	* include/Makefile.am,
	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* doc/NEWS.txt: Update accordingly.

2006-10-18  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Clean projections and fmp_projections, Part 1.
	Image is now available for both transducers and RW
	transducers, and is called via the overloaded algorithm
	vcsn::image ().

	vcsn::identity () is now located in projections.h{h,xx}.


	* include/vaucanson/algorithms/image.hh,
	* include/vaucanson/algorithms/image.hxx: New. Implementation
	  of image for both types of transducers.

	* include/vaucanson/algorithms/projections_fmp.hh
	* include/vaucanson/algorithms/projections_fmp.hxx: Remove
	  implementation of image from this file.

	* include/vaucanson/algorithms/projection.hxx
	* include/vaucanson/algorithms/projection.hh: Remove
	  implementation of output_projection. Move vcsn::identity ()
	  here.


	* include/vaucanson/automata/concept/transducer.hh: Adapt
	  output projection trait.

	* include/Makefile.am,
	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/algorithms/evaluation_fmp.hxx,
	* include/vaucanson/algorithms/evaluation.hxx: Update
	  accordingly to use vcsn::image ().

2006-10-11  Florent Terrones  <terron_f@lrde.epita.fr>

	* include/vaucanson/algorithms/transpose.hxx: Add the transpose for
	labels.
	* include/vaucanson/automata/implementation/transpose_view.hxx: Remove
	the FIXME.
	* taf-kit/tests/vcsn-b.test: Add a test in the taf-kit.
	* taf-kit/tests/b_to_transpose.xml,
	* taf-kit/tests/b_transposed.xml: New. Files for the test.
	* taf-kit/tests/README,
	* taf-kit/tests/Makefile.am: Update accordingly.

2006-10-09  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Fix thompson test.
	https://trac.lrde.org/vaucanson/trac.cgi/ticket/79

	* src/tests/include/tests/automata/algos/labeled_graphs/thompson_test.hh:
	Do not test if the thompson automaton is normalized.

2006-10-05  Florent Terrones  <terron_f@lrde.epita.fr>

	This patch may close ticket #8.

	* doc/xml/xml_proposal.tex: Remove the reference to the vaucanson
	grammar for label as attributes. Update the XSD section.
	Add some accuracy about the use of an attribute label.

2006-10-04  Florent Terrones  <terron_f@lrde.epita.fr>

	* doc/xml/xml_proposal.tex: Add the description of the label as a node
	in the proposal. Fix some remaining errors. Clean the macro uses.

2006-10-04  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Re-enable glushkov and series tests.

	* src/tests/include/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/include/tests/algebra/series/misc/series_test.hh:
	Re-enable.

2006-10-04  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Repair vcsn-tdc.test.

	* taf-kit/tests/vcsn-tdc.test: Fix invert test.

2006-10-03  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	More timer overhaul.

	* include/vaucanson/misc/timer.cc,
	* include/vaucanson/misc/timer.hh: Inline operator<< to avoid
	  multiple definitions at link.

	* taf-kit/src/main.cc: Call print rather than dump.

2006-10-02  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Add invert for transducers.

	* include/vaucanson/algorithms/invert.hxx: Add specialization
	  for transducers.
	* include/vaucanson/contexts/transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thh: Add
	  invert to the algorithms list.

	* taf-kit/src/tdc_commands.cc: Add invert as a command of
	  vcsn-tdc.

	* taf-kit/tests/inverted_t1.xml: New. Simple test for
	  inversion of transducers.
	* taf-kit/tests/vcsn-tdc.test: Update accordingly.

	* taf-kit/tests/Makefile.am: Update accordingly.

2006-10-02  Florent Terrones  <terron_f@lrde.epita.fr>

	* doc/xml/xml_proposal.tex: Remove some references to the Vaucanson
	project. Fix some errors and make some updates according to the xsd
	file changes. Clean the bibliography.

2006-10-01  Akim Demaille  <akim.demaille@free.fr>

	Timer overhaul.
	* include/vaucanson/misc/timer.cc, include/vaucanson/misc/timer.hxx,
	* include/vaucanson/misc/timer.hh: Clean up almost every bit.
	(Timer::Time::now, Timer::Time::operator -=)
	(Timer::Time:operator-, Timer::Time::operator +=)
	(Timer::Time:operator+, Timer::Time::operator !)
	(Timer::Time::operator bool): New.
	(Timer::dump, Timer::timeinfo): Rename as...
	(Timer::print, Timer::print_time): these.
	Fix the return value.
	(Timer::print_time): New overloaded version for Time arguments.
	(operator<< (Timer)): New.
	Include a small test case in timer.cc.

2006-09-25  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Document and test normalized compostions.

	* include/vaucanson/algorithms/normalized_composition.hxx:
  	  Document.

	* taf-kit/tests/t2_u-compose_u2.xml,
	* taf-kit/tests/t2.xml,
	* taf-kit/tests/u2.xml,
	* taf-kit/tests/t1_compose_u1.xml: New.
	* taf-kit/tests/vcsn-tdc.test: Add tests for normalized
	  composition.
	* taf-kit/tests/Makefile.am: Update.
	* taf-kit/tests/README: New.

	* data/automata/README: New.
	* data/automata/Makefile.am: Update accordingly.

2006-09-22  Florent Terrones  <terron_f@lrde.epita.fr>

	* data/vaucanson.xsd: Use a better way to propose the same label
	description possibilities. Rename and change some attributes, delete
	most of the drawing attributes.
	* include/vaucanson/xml/tools.hxx,
	* src/tests/xml/xml_geometry_tester.cc,
	* src/tests/xml/geometry_ref.xml,
	* src/tests/xml/z_min_plus_ref.xml,
	* src/tests/xml/z_max_plus_ref.xml,
	* doc/xml/xml_proposal.tex: Update accordingly.


2006-09-21  Akim Demaille  <akim@lrde.epita.fr>

	Fix build problems.

	* vaucanson.mk (CLEANFILES): Initialize.
	* src/tests/xml/Makefile.am (CLEANFILES): is already initialized.
	* src/tests/bin/generate-test-suite.sh: Don't use move-if-change.
	* doc/xml/Makefile.am: Include vaucanson.mk.

2006-09-20  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Change diff options in vcsn-b.test.

	* taf-kit/tests/vcsn-b.test: Ignore changes that just insert
	  or delete blank lines.

2006-09-20  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Rework normalized compositions dispatching.
	https://trac.lrde.org/vaucanson/trac.cgi/ticket/80

	* include/vaucanson/algorithms/normalized_composition.hh,
	* include/vaucanson/algorithms/normalized_composition.hxx:
	  Change the disptaching of u_composition and composition.

	* src/tests/include/tests/automata/algos/fmp_transducers/subnormalized_composition_test.hh:
	  Re-enable the test.

2006-09-15  Akim Demaille  <akim@lrde.epita.fr>

	Details.

	* include/vaucanson/automata/concept/copy.hxx: Formatting changes.
	* doc/xml/Makefile.am (dist_pdf_DATA): Define.
	* doc/xml/xml_proposal.tex (\typetag, \typetagend): Update.

2006-09-15  Florent Terrones  <terron_f@lrde.epita.fr>

	* include/vaucanson/xml/tools.hxx: No longer provoke a segfault when
	dealing with empty series on transducers and FMPs.
	* src/tests/xml/xml_trans_tester.cc,
	* src/tests/xml/xml_fmp_tester.cc,
	* src/tests/xml/trans_ref.dot,
	* src/tests/xml/fmp_ref.dot,
	* src/tests/xml/trans_ref.xml,
	* src/tests/xml/fmp_ref.xml: Update tests to check empty words and empty
	series.

2006-09-15  Florent Terrones  <terron_f@lrde.epita.fr>

	* include/vaucanson/tools/dot_format.hxx: Fix a bug. Now show "0" for
	empty series instead of "".

2006-09-09  Matthieu Varin  <matt@lrde.epita.fr>

	Make AUTHORS file become true.

	* AUTHORS: Correct the mistake in the file.

2006-08-30  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* data/emacs/vaucanson.el: Require the CL package.
	(in-vaucanson-p): New. Tell if a path is in a Vaucanson distribution.
	(maybe-vaucansonize-buffer): New. Vaucansonize if the file is in
	Vaucanson and in C(++).

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Include cassert.

	* src/tests/check/tester.cc: Do it.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Fix doxugenation.

	* doc/Makefile.am (ref): Do not create it directly.
	* doc/doc.doxy.in: Adjust.
	(EXPAND_AS_DEFINED): More of them.
	* doc/manual/developer.tex (Writing Makefiles): New.
	(Files Names, Type Names): New.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Use the Timer in TAF-Kit.

	* taf-kit/src/edition_commands.hxx: s/wrong/invalid/.
	* taf-kit/src/interface.cc: Idem.
	* taf-kit/src/common.hh (config/system.hh): Include it to
	define VAUCANSON.
	(GLOBAL_TIMER): New.
	(arguments_t): Provide a ctor.
	(arguments_t::report_time): New.
	* taf-kit/src/main.cc (timer): New.
	(options): Add --report-time.
	Use the anonymous namespace instead of static.
	Use the timer.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Improve the testing framework.

	* build-aux/check.mk: Document.
	Log the exit status.
	Support "Unit tests", that is to say, spare cycles by not
	rerunning tests whose sources did not change.
	Huge potential speed up, currently completely wasted by
	the xml system which includes *all* the functions for
	several contexts...
	* build-aux/vcsn.m4: Minor simplification.

	* src/tests/bin/generate-test-suite.sh,
	* src/tests/design_pattern/Makefile.am: Use EXTRA_PROGRAMS, not check_PROGRAMS.
	* src/tests/misc/Makefile.am: Ditto.
	* src/tests/check/check.mk: Ditto.
	* src/tests/test-suites/test-suite.mk: Ditto.
	Regen the Makefiles.

	* src/tests/include/tests/check/tester.hh:
	(SAVE_AUTOMATON_XML, SAVE_AUTOMATON_XML_SIMPLE): Simplify.
	Use TEST_MSG.
	(test_num): New.
	* src/tests/check/tester.cc: Adjust.

	* src/tests/include/tests/algebra/series/krat/main/krat_exp_linearize_structure_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_linearize_test.hh,
	* src/tests/include/tests/algebra/series/krat/tests/generate_random_krat.cc,
	* src/tests/include/tests/automata/algos/boolean_automata/brzozowski_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/minimization_test.hh,
	* src/tests/include/tests/automata/algos/boolean_rw_transducers/invert_test.hh,
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/generalized_test.hh,
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/realtime_test.hh,
	* src/tests/include/tests/automata/algos/graphs/accessible_test.hh,
	* src/tests/include/tests/automata/algos/graphs/extract_test.hh,
	* src/tests/include/tests/automata/algos/graphs/reachable_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/concat_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/eps_removal_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/in_concat_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/sum_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/transpose_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_dmheuristic_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_heuristic_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_random_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/normalize_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/thompson_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/compute_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/deterministic_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/product_regression_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh,
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/extension_test.hh,
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/realtime_trans_test.hh,
	* src/tests/include/tests/automata/implementation_check/add_state_test.hh,
	* src/tests/include/tests/automata/implementation_check/add_transition_test.hh,
	* src/tests/include/tests/automata/implementation_check/coherence_state_transition_test.hh,
	* src/tests/include/tests/automata/implementation_check/geometry_equal_operator_test.hh,
	* src/tests/include/tests/automata/implementation_check/global_consistency_test.hh,
	* src/tests/include/tests/automata/implementation_check/init_final_test.hh:
	Ctors for GenRandomAutomata no longer take a seed.
	No longer hard code the number of runs to do here, rather
	use the Tester object to know that.
	Remove uses of TEST_MSG saying that automata are saved.
	Use Tester::verbose.

	* src/tests/include/tests/automata/algos/boolean_automata/complete_test.hh:
	Likewise.
	And simplify, the previous test looked stupid to me.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Time derived_term_automaton.

	* include/vaucanson/algorithms/derived_term_automaton.hxx:
	Use TIMER_SCOPED.
	Avoid code duplication.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Timer Berry Sethi.

	* include/vaucanson/algorithms/berry_sethi.hxx:
	Use TIMER_SCOPED.
	Fix indentation.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Fix doxygenation.

	* include/vaucanson/algorithms/eps_removal.hh,
	* include/vaucanson/algorithms/evaluation_fmp.hh,
	* include/vaucanson/algorithms/extension.hh,
	* include/vaucanson/algorithms/fmp_to_realtime.hh,
	* include/vaucanson/algorithms/initial_derivation.hh:
	Doxygen fixes/adjustments.
	In particular, add missing @}.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Time invert.

	* include/vaucanson/algorithms/invert.hxx: Use TIMER_SCOPED.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Time product.

	* include/vaucanson/algorithms/product.hh:
	Comment changes.
	* include/vaucanson/algorithms/product.hxx:
	Use TIMER_SCOPED.
	(product): Implement the one not taking a map
	from the one using one, to avoid code duplication.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Fix and time complement.

	* include/vaucanson/algorithms/complement.hxx:
	Include is_deterministic.hh, not determinize.hh.
	Use TIMER_SCOPED.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Adjustments.

	* include/vaucanson/config/system.hh (VAUCANSON): New.
	Used by the Timer system.
	* include/vaucanson/contexts/automaton_functions.thh
	(is_deterministic.hh): Include it.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Simplify and time cut_up.

	* include/vaucanson/algorithms/cut_up.hxx:
	Use TIMER_SCOPED.
	Make smarter use of alternative signatures to avoid code
	duplication.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Simplify accessible.

	* include/vaucanson/algorithms/accessible.hxx: Remove
	useless typedefs.
	Make local vars more local.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/algorithms/initial_derivation.hxx:
	Simplify the typedefs a bit.
	Use them by the way.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Doxygen fixes.

	* include/vaucanson/automata/concept/transducer_base.hh:
	Better doxygenation.
	Sort the typedefs in a clearer way.
	Document them.
	Use IMPORT_TYPEDEF_, not INHERIT_TYPEDEF_ which no longer exists.
	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/transducer_base.hxx:
	Minor doxygen changes.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	XML cleanups.

	There are several naughty problems with our XML scheme.
	In particular, it does not encode non ASCII characters properly.
	We should use the Writers provided by Xerces instead of doing
	this ourselves.
	* include/vaucanson/xml/xml_chooser.hh: Doxygen.
	* include/vaucanson/xml/xml_chooser.hxx:
	Remove useless parens.
	(create_element, has_attribute, get_attribute): New.
	Use them.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	@addgroup need a single-word group-name.

	* include/vaucanson/algebra/implementation/letter/couple_letter.hh:
	Doxygen fixes.
	* include/vaucanson/algebra/implementation/free_monoid/words.hh:
	Ditto.
	* include/vaucanson/algebra/concept/freemonoid_product_base.hh:
	The group id is fmp, not "freemonoid product".
	Anyway, the full name for fmp can be given elsewhere.
	* include/vaucanson/algebra/concept/freemonoid_product.hh:
	Idem.
	* include/vaucanson/algebra/concept/freemonoid_product_base.hxx:
	Ditto.
	* include/vaucanson/algebra/concept/alphabets_base.hxx:
	Make assertions more useful.
	Formatting changes.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Equip tools/ with TIMER.

	* include/vaucanson/tools/bencher.hh: Include C++ headers.
	* include/vaucanson/tools/gen_random.hh,
	* include/vaucanson/tools/gen_random.hxx:
	Remove the ctor taking a seed: the seed should be dealt with
	from outside, using srand.
	* include/vaucanson/tools/out_display.hh: Move includes...
	* include/vaucanson/tools/out_display.hxx: here.
	* include/vaucanson/tools/io.hh: Formatting changes.
	* include/vaucanson/tools/io.hxx: Use TIMER_SCOPED.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Straightforward use of the timer.

	* include/vaucanson/algorithms/extension.hxx,
	* include/vaucanson/algorithms/transpose.hxx,
	* include/vaucanson/algorithms/finite_support_conversion.hxx,
	* include/vaucanson/algorithms/sub_automaton.hxx,
	* include/vaucanson/algorithms/is_ambiguous.hxx,
	* include/vaucanson/algorithms/letter_to_letter_composition.hxx,
	* include/vaucanson/algorithms/fmp_to_realtime.hxx,
	* include/vaucanson/algorithms/evaluation_fmp.hxx,
	* include/vaucanson/algorithms/trim.hxx,
	* include/vaucanson/algorithms/eps_removal.hxx,
	* include/vaucanson/algorithms/aci_canonical.hxx,
	* include/vaucanson/algorithms/is_letterized.hxx,
	* include/vaucanson/algorithms/aut_to_exp.hxx,
	* include/vaucanson/algorithms/sub_normalize.hxx,
	* include/vaucanson/algorithms/concatenate.hxx,
	* include/vaucanson/algorithms/standard.hxx,
	* include/vaucanson/algorithms/isomorph.hxx,
	* include/vaucanson/algorithms/projections_fmp.hxx,
	* include/vaucanson/algorithms/normalized.hxx,
	* include/vaucanson/algorithms/search.hxx,
	* include/vaucanson/algorithms/complete.hxx,
	* include/vaucanson/algorithms/projection.hxx,
	* include/vaucanson/algorithms/brzozowski.hxx,
	* include/vaucanson/algorithms/eval.hxx,
	* include/vaucanson/algorithms/is_realtime.hxx,
	* include/vaucanson/algorithms/is_normalized.hxx,
	* include/vaucanson/algorithms/composition_cover.hxx: Use TIMER_SCOPED.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Timer in minimizations.

	* include/vaucanson/algorithms/minimization_hopcroft.hxx:
	Use appropriate types.
	Formatting changes.
	Add timer support.
	* include/vaucanson/algorithms/minimization_moore.hxx:
	Add timer support.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Extract is_deterministic from determinize.

	* include/vaucanson/algorithms/determinize.hh,
	* include/vaucanson/algorithms/determinize.hxx
	(is_state_deterministic, is_deterministic): Move to...
	* include/vaucanson/algorithms/is_deterministic.hh,
	* include/vaucanson/algorithms/is_deterministic.hxx:
	These new files.
	* include/Makefile.am: Adjust.

2006-08-30  Akim Demaille  <akim@lrde.epita.fr>

	Add a timer framework.

	* include/vaucanson/misc/timer.hh,
	* include/vaucanson/misc/timer.cc,
	* include/vaucanson/misc/timer.hxx: New.
	Based on code from the Tiger Compiler.
	* include/vaucanson/misc/usual_macros.hh (TIMER_START, TIMER_STOP)
	(TIMER_POP, TIMER_PUSH, TIMER_SCOPED): New.

	* include/vaucanson/misc/usual_macros.hh
	(IMPORT_TYPEDEF_TYPENAME, IMPORT_QUALIFIED_TYPEDEF)
	(IMPORT_QUALIFIED_TYPEDEF_, IMPORT_TYPEDEF_, IMPORT_TYPEDEF):
	New.
	(INHERIT_TYPEDEF_): Remove.

	* include/vaucanson/misc/random.hxx: Formatting changes.
	* include/vaucanson/misc/deferrer.hxx: Typo in Dox.

2006-08-21  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* data/emacs/vaucanson.el: Require rebox.  Minor aesthetical changes.
	(doxymacs-check-group-consistency): New function. Check for good use
	of Doxygen groups.
	(vaucansonize-buffer): Use `whitespace-cleanup'.
	(cpp-guard-prefix): Don't be specific to Vaucanson here, but set it
	in `vaucansonize-buffer'.
	* data/emacs/rebox.el: Provide rebox using Elisp scheme.

2006-08-05  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	Provide a new implementation of Hopcroft (det).

	* include/vaucanson/algorithms/minimization_hopcroft.hxx: Do it.  Use
	functor with deltaf.

2006-08-04  Akim Demaille  <akim@lrde.epita.fr>

	* taf-kit/src/main.cc (argp_program_version): Add the Copyright
	and license bits.

2006-08-04  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/node.hxx: Don't give argument names to
	unused arguments.

2006-08-04  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/algorithms/invert.hh: Fix guards.
	* include/vaucanson/design_pattern/element_ops.hxx: Formatting
	changes.

2006-08-04  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/semiring/rational_number.hh:
	Aesthetical/Doxygen changes.

	* include/vaucanson/algorithms/realtime.hxx,
	* include/vaucanson/algorithms/realtime_decl.hxx:
	Fix the indirection to do_realtime_here.

	* src/tests/test-suites/test-suite.mk:New.
	* src/tests/bin/generate-test-suite.sh: Use it.
	* src/tests/test-suites/Makefile.am: Ship it.

2006-08-04  Akim Demaille  <akim@lrde.epita.fr>

	* build/check.mk: Run the test in a subshell so that indirections
	preserve shell messages (such as segmentation violations).
	* taf-kit/tests/vcsn-b.test: A bit more.

2006-08-04  Akim Demaille  <akim@lrde.epita.fr>

	* configure.ac: Be kind to DarwinPorts: look for rst2latex.py.

2006-08-04  Akim Demaille  <akim@lrde.epita.fr>

	Many Doxygen fixes.
	Basically:
	- declare the macros it has to expand to do its job
	- use the same parameter names in declarations and implementations

	* include/vaucanson/misc/iomanip.hh: Fix @param/@arg inversion.
	* include/vaucanson/algebra/implementation/semiring/rational_number.hh,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hxx:
	Make macro uses more local.
	(min, max): Declare them inline, as per the implementation file.
	* include/vaucanson/algebra/concept/series_base.hh,
	* include/vaucanson/algebra/concept/series_base.hxx:
	Use Self or S consistently between declaration and implementation.
	Formatting changes.
	* include/vaucanson/algebra/concept/alphabets_base.hh,
	* include/vaucanson/algebra/concept/alphabets_base.hxx:
	Ditto.
	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/xml_chooser.hxx,
	* include/vaucanson/xml/xml_chooser.hh:
	Name the formal arguments consistently with the implementation.
	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/node.hxx: Likewise.
	Use macros more locally.
	Sort uses.
	Undefine where defined (not in the included file).
	* include/vaucanson/xml/xml_converter.hxx: Use the local typedefs
	instead of full length definitions.
	* include/vaucanson/xml/tools.hh, include/vaucanson/xml/tools.hxx:
	Qualify the @file, there is another tools.*.
	Document in the hh file, not the hxx.
	Name the formal arguments.
	* include/vaucanson/design_pattern/element_ops.hxx:
	Define operators as static, consistently with the declarations.
	Formatting changes.
	Use consistently the same formal argument names.
	* include/vaucanson/contexts/automaton_functions.thxx,
	* include/vaucanson/contexts/transducer_functions.thxx,
	* include/vaucanson/contexts/fmp_transducer_functions.thxx,
	* include/vaucanson/algorithms/normalized_composition.hxx:
	Don't use Doxygen comments when not talking to it.
	* include/vaucanson/algorithms/evaluation_fmp.hh:
	Remove incomplete doc.
	* include/vaucanson/algorithms/normalized_composition.hh:
	Remove the documentation of imaginary arguments.
	* include/vaucanson/algorithms/eps_removal.hh:
	Update the doc to the use of direction_type.
	* include/vaucanson/algorithms/invert.hh,
	* include/vaucanson/algorithms/invert.hxx: Move most of the
	includes from the hh to the hxx.
	Formatting changes.
	Fix the CPP guards.
	* include/vaucanson/automata/implementation/graph.hh:
	Formatting changes.
	* include/vaucanson/automata/concept/handlers.hxx:
	Ditto.
	Remove useless includes.

	* doc/Makefile.am: Put ref in srcdir.
	Stop doing/shipping/installing ref.tar.gz.
	* doc/NEWS.txt: Update.
	* doc/doc.mk: Use an intermediate temp file.
	* doc/doc.doxy.in (EXPAND_AS_DEFINED): Define.
	* doc/manual/developer.tex: More dev guide.

	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/eps_removal.hxx: Aesthetical changes.

2006-08-03  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx:
	Include iostream.

2006-08-02  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/misc/direction.hh: New.
	* include/vaucanson/algorithms/realtime.hh (realtime_type):
	Remove, replaced by the above one.
	Adjust all dependencies.
	* include/vaucanson/algorithms/eps_removal.hh,
	* include/vaucanson/algorithms/eps_removal.hxx: Use it too.
	* include/Makefile.am: Adjust.
	Sort lines.
	(XMLSOURCES): Remove, useless.

	* include/vaucanson/algorithms/forward_realtime.hxx: Fix an error.

2006-08-02  Akim Demaille  <akim@lrde.epita.fr>

	Factor duplicate code.
	Shame on its author: 2 lines of 83 differed.
	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/backward_realtime.hxx
	(do_forward_realtime_here, do_backward_realtime_here): Move the
	body into...
	* include/vaucanson/algorithms/realtime.hxx (do_realtime_here):
	here.
	Adjust all the dependencies.
	* include/vaucanson/algorithms/backward_realtime.hxx
	(do_realtime_words, realtime_words_here): Move to...
	* include/vaucanson/algorithms/realtime.hxx: here.

2006-08-02  Akim Demaille  <akim@lrde.epita.fr>

	More about TAF-Kit tests.
	* taf-kit/tests/defs.in (fatal): New.
	Use it.
	* taf-kit/tests/vcsn-b.test: More tests.
	* taf-kit/tests/completeness.test: New.
	* taf-kit/tests/Makefile.am: Use it.
	* taf-kit/src/ratexp_commands.hh: Fix a typo.

2006-08-02  Akim Demaille  <akim@lrde.epita.fr>

	XML factoring and improvement.
	* include/vaucanson/xml/tools.hxx (check_consistency): New.
	Use it.

2006-08-02  Akim Demaille  <akim@lrde.epita.fr>

	Doc cleanups and completion.
	* doc/manual/taf-kit.tex: More about Boolean automata, including
	edit-automaton, and exp-to-aut.
	Makes more sense to presentation minimization there.
	* doc/manual/developer.tex: Remove a stray end{document}.
	* doc/manual/vaucanswig.tex: Many fixes.
	More is needed.
	* doc/manual/extex.mk: Don't rely on sed -i.
	* doc/manual/extex.pl: Skip ratexps.
	* doc/manual/Makefile.am: Pass -I to perl to use our Shellwords.pm.
	* build-aux/Text/Shellwords.pm: New.
	* build-aux/Makefile.am (EXTRA_DIST): Ship it, as a convenience
	for users who don't have it on their system.

2006-08-01  Akim Demaille  <akim@lrde.epita.fr>

	* src/tests/sanity/Makefile.am: Don't run the compiled tests,
	it's just a waste of time.

	Make sure the seed is respected by the tests.
	* src/tests/include/tests/check/tester.hh,
	* src/tests/check/tester.cc: Remove the partial ctor that takes
	a verbosity level.
	Add a copy ctor.
	(seed): New.

	* src/tests/include/tests/automata/implementation_check/add_transition_test.hh,
	* src/tests/include/tests/automata/implementation_check/coherence_state_transition_test.hh,
	* src/tests/include/tests/automata/implementation_check/add_state_test.hh,
	* src/tests/include/tests/automata/implementation_check/rdelta_test.hh,
	* src/tests/include/tests/automata/implementation_check/init_final_test.hh,
	* src/tests/include/tests/automata/implementation_check/geometry_equal_operator_test.hh,
	* src/tests/include/tests/automata/implementation_check/global_consistency_test.hh,
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/realtime_trans_test.hh,
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/extension_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/standard_of_regression_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/sum_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/concat_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/eps_removal_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/in_concat_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/transpose_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/cut_up_test.hh,
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/realtime_test.hh,
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/krat_exp_realtime_conflict_test.hh,
	* src/tests/include/tests/automata/algos/boolean_rw_transducers/invert_test.hh,
	* src/tests/include/tests/automata/algos/graphs/extract_test.hh,
	* src/tests/include/tests/automata/algos/graphs/trim_test.hh,
	* src/tests/include/tests/automata/algos/graphs/accessible_test.hh,
	* src/tests/include/tests/automata/algos/graphs/sub_automaton_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/aci_canonical_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/brzozowski_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/minimization_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/complete_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/berry_sethi_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/are_isomorphic_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_heuristic_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/thompson_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_dmheuristic_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_random_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/normalize_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/deterministic_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/derived_term_automaton_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/product_regression_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh,
	* src/tests/include/tests/algebra/series/krat/boolean/krat_exp_cderivation_linear_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_flatten_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_expand_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_linearize_structure_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_linearize_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_realtime_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_aci_canonical_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_identity_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_star_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_letter_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_zero_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_product_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_sum_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_sum_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_identity_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_star_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_letter_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_zero_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_letter_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_zero_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_product_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_sum_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_identity_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_star_test.hh:
	Use the copy ctor.
	Do not call srand.

2006-07-31  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/tools/gen_random.hxx,
	* include/vaucanson/algorithms/minimization_hopcroft.hxx,
	* include/vaucanson/algorithms/standard_of.hxx,
	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/cut_up.hxx,
	* include/vaucanson/algorithms/backward_realtime.hxx,
	* include/vaucanson/algorithms/eps_removal.hxx,
	* include/vaucanson/algorithms/product.hxx,
	* include/vaucanson/algorithms/evaluation.hxx,
	* include/vaucanson/algorithms/determinize.hxx,
	* include/vaucanson/algorithms/standard.hxx,
	* include/vaucanson/algorithms/normalized.hxx,
	* include/vaucanson/algorithms/complete.hxx,
	* include/vaucanson/algorithms/standard.hh,
	* include/vaucanson/algorithms/sum.hxx,
	* include/vaucanson/automata/implementation/graph.hxx,
	* src/tests/include/tests/automata/implementation_check/global_consistency_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/cut_up_test.hh:
	Rename aim to src and origin to dst.

2006-07-31  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/algorithms/internal/skeleton.hh,
	* include/vaucanson/algorithms/internal/skeleton.hxx,
	* include/vaucanson/algorithms/isomorph.hh,
	* include/vaucanson/algorithms/isomorph.hxx:
	(origins_transitions, aims_transitions): Rename as...
	(src_transitions, dst_transitions): these.

2006-07-31  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/automata_base.hxx:
	Renamings: from -> src, to -> dst.
	Use Doxygen better.

2006-07-31  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/automata/concept/translate.hxx: Fix code that
	visibly never worked, and was never checked.
	It remains to be checked and documented.

2006-07-31  Akim Demaille  <akim@lrde.epita.fr>

	Fix sanity tests.
	* src/tests/sanity/Makefile.am (TESTS, TESTS_LOGS): Define them.
	Do it before including build-aux/check.mk, otherwise its default
	values apply.
	* src/tests/sanity/generate_files.sh: Better error messages.
	Don't define

2006-07-30  Akim Demaille  <akim@lrde.epita.fr>

	* doc/manual/Makefile.am (EXTRA_MINIDIST): Simplify.

2006-07-30  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/xml/xml.hh (iostream, string): Include them.

2006-07-30  Akim Demaille  <akim@lrde.epita.fr>

	* src/tests/sanity/generate_files.sh: Don't generate the whole
	Makefile.am, but a local check-programs.mk.
	Use move-if-change.
	Don't use a single source and varying CPPFLAGS, but varying
	sources, that's more readable.
	There are many more files, agreed.
	* src/tests/sanity/Makefile.am: Use our check-TESTS.

2006-07-30  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/algorithms/normalized_composition.hh,
	* include/vaucanson/algorithms/normalized_composition.hxx:
	Rewrite, using a function object to share typedefs and state.

2006-07-30  Akim Demaille  <akim@lrde.epita.fr>

	* src/tests/include/tests/context_headers/automata/global_consistency_test.hh:
	Formatting changes.
	Log the ratexp which is used.

	* src/tests/include/tests/check/tester.hh (verbose_level): Now
	a Tester member.
	* src/tests/include/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/minimization_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_heuristic_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/thompson_test.hh
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_dmheuristic_test.hh
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_random_test.hh
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_test.hh
	Adjust.

	* src/tests/include/tests/automata/algos/boolean_automata/complete_test.hh:
	More comments.
	Simplify the logic of the ifs.

	Implement --seed in the generated tests.
	* src/tests/include/tests/check/tester.hh (process_option)
	(process_options, finalize_initialization, ok_or_ko, seed_): New.
	* src/tests/check/tester.cc: Work on cerr, not cout.
	* src/tests/bin/generate-test-suite.sh: Adjust.

2006-07-30  Akim Demaille  <akim@lrde.epita.fr>

	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/xml_converter.hxx,
	* include/vaucanson/xml/XML.hh,
	* include/vaucanson/xml/XML.hxx: Move bodies in the hxx file.
	Move header inclusions needed by the implementation in the hxx
	file.

2006-07-30  Akim Demaille  <akim@lrde.epita.fr>

	Complete the Emacs support.
	* data/vaucanson.el: Move to...
	* data/emacs/vaucanson.el: here.
	* data/emacs/rebox.el: New.
	* data/Makefile.am: Adjust.
	Install them with Emacs.

2006-07-30  Akim Demaille  <akim@lrde.epita.fr>

	* configure.ac: Replace WANT_INTERPRETER with enable_vaucanswig
	and ENABLE_VAUCANSWIG.
	(AM_PATH_LISPDIR): Invoke it.
	(VCSN_VAUCANSWIG_SUBDIR): Remove.
	* Makefile.am: Adjust.
	* vaucanswig/doc/Makefile.am,
	* vaucanswig/doc/README.txt,
	* vaucanswig/doc/build-process.txt,
	* vaucanswig/doc/meta-build-process.txt: Remove, replaced by...
	* doc/manual/vaucanswig.tex: this new file.
	* doc/manual/Makefile.am, doc/manual/vaucanson-user-manual.tex:
	Adjust.

2006-07-29  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* configure.ac: Bump to 1.1pre.

2006-07-29  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	Release 1.0.

	* configure.ac: Remove the `PRE_RELEASE' thing.

2006-07-29  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* doc/manual/Makefile.am: Don't force the remake of the doc on
	distributed package.

2006-07-29  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* taf-kit/tests/Makefile.am: Add XML test files to the distribution.

2006-07-29  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/boolean_transducer.hh,
	* include/vaucanson/z_transducer.hh: Undef AUTOMATON_CONTEXT.

2006-07-28  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* taf-kit/src/common_commands.hh (transpose): Move...
	* taf-kit/src/common_automaton_commands.hh (transpose): ...Here.  It
	should be moved back once the algorithm is fixed for TDCs.

2006-07-28  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* taf-kit/src/tdc_commands.cc: Fix some docstrings.

2006-07-28  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* doc/NEWS.txt: Minor changes.

2006-07-28  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Better ouput for vcsn-tdc.

	* taf-kit/src/tdc_commands.cc: Add and suppress some \n \t at
	strategic points.

2006-07-28  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* doc/NEWS.txt: Fix typo.

2006-07-28  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/Makefile.am: Add missing files.

2006-07-28  Matthieu Varin  <matt@lrde.epita.fr>

	Add NEWS.

	Add the NEWS for the release of Vaucanson 1.0.

	* doc/NEWS.txt: Update for Vaucanson 1.0.

2006-07-28  Akim Demaille  <akim@lrde.epita.fr>

	Doc typos.

	* doc/manual/installation.tex, doc/manual/introduction.tex,
	* doc/manual/theory.tex, doc/manual/taf-kit.tex: Typos and
	spell checking mistakes.

2006-07-28  Akim Demaille  <akim@lrde.epita.fr>

	* src/demos/one_rule_rewriting/Makefile.am: Fix relative backward
	path.

2006-07-28  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* taf-kit/src/tdc_commands.cc: Use USE_IO_COMMAND_GROUP ().
	* taf-kit/src/common_commands.hh: Typo.

2006-07-28  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Add edition capabilities to vcsn-tdc.

	* taf-kit/src/tdc_commands.cc: Add define_automaton and edit_automaton
	to commands.
	* taf-kit/src/edition_commands.hxx: Update add_transition for
	fmp_transducer.

2006-07-28  Akim Demaille  <akim@lrde.epita.fr>

	Remove demos/transducers.

	* src/demos/transducers/one_rule_rewriting,
	* src/demos/transducers/one_rule_rewriting/fibonacci_rt_gen.cc,
	* src/demos/transducers/one_rule_rewriting/ORR_rt_gen.cc,
	* src/demos/transducers/one_rule_rewriting/fibonacci_tdc_gen.cc,
	* src/demos/transducers/one_rule_rewriting/fibonacci_demo.cc,
	* src/demos/transducers/one_rule_rewriting/Makefile.am,
	* src/demos/transducers/one_rule_rewriting/ORR_tdc_gen.cc,
	* src/demos/transducers/one_rule_rewriting/ORR_demo.cc:
	Move to...
	* src/demos/one_rule_rewriting,
	* src/demos/one_rule_rewriting/fibonacci_rt_gen.cc,
	* src/demos/one_rule_rewriting/ORR_rt_gen.cc,
	* src/demos/one_rule_rewriting/fibonacci_tdc_gen.cc,
	* src/demos/one_rule_rewriting/fibonacci_demo.cc,
	* src/demos/one_rule_rewriting/Makefile.am,
	* src/demos/one_rule_rewriting/ORR_tdc_gen.cc,
	* src/demos/one_rule_rewriting/ORR_demo.cc:
	here.

	* src/demos/transducers,
	* src/demos/transducers/t1.xml,
	* src/demos/transducers/u1.xml,
	* src/demos/transducers/t1.cc,
	* src/demos/transducers/Makefile.am,
	* src/demos/transducers/u1.cc:
	Remove.
	They duplicate what Guillaume Leroi did in data/automata/tdc.

	* src/tests/xml/Makefile.am, src/demos/Makefile.am,
	* configure.ac, doc/Makefile.am: Adjust.

2006-07-28  Roland Levillain  <roland@lrde.epita.fr>

	Fix the checking of the C++ ABI of libxerces-x.

	* build-aux/vcsn-xml.m4 (_VCSN_CHECK_XML): Fix the checking of the
	C++ ABI of libxerces-x.
	* doc/README.txt: Update (Xerces-C++ ABI).

2006-07-28  Akim Demaille  <akim@lrde.epita.fr>

	minidist.

	* doc/manual/Makefile.am (minidist, minidistdir): New.

2006-07-28  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Disable tests.

	* src/tests/include/tests/automata/algos/fmp_transducers/subnormalized_composition_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/thompson_test.hh,
	* src/tests/include/tests/algebra/series/misc/series_test.hh:
	Disable those tests.

2006-07-28  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	Rearrange command organization in TAF.

	* taf-kit/src/tdc_commands.cc,
	* taf-kit/src/ratexp_commands.hh,
	* taf-kit/src/interface.cc,
	* taf-kit/src/b_commands.cc,
	* taf-kit/src/common_automaton_commands.hh,
	* taf-kit/src/common_commands.hh,
	* taf-kit/src/z_commands.cc: Do it.  Use sections specific to Z and B.

2006-07-28  Akim Demaille  <akim@lrde.epita.fr>

	1.0.

	* configure.ac, doc/NEWS.txt: Prepare for 1.0.
	* doc/manual/introduction.tex: Spello.

2006-07-28  Akim Demaille  <akim@lrde.epita.fr>

	More adjustment to the doc.

	From Jacques Sakarovitch.
	* doc/manual/introduction.tex, doc/manual/vaucanson-user-manual.tex,
	* doc/manual/taf-kit.tex: Make it more lightweight, remove
	empty and nearly empty sections.

2006-07-28  Akim Demaille  <akim@epita.fr>

	Clean the doc.
	* doc/manual/taf-kit.tex: Comment out the list of available
	functions, use only the generated lists.
	Adjust the transducers examples to vcsn-tdc, not vcsn-rw-tdc.
	* doc/manual/installation.tex: Use our macros.
	* doc/manual/vaucanson-user-manual.tex (tocbibind): Use it.
	Include the theory bits only in the dev version.
	* doc/manual/generate-automata.sh: Give labels to sections.

2006-07-28  Roland Levillain  <roland@lrde.epita.fr>

	Check the C++ ABI of libxerces-x.

	* build-aux/vcsn-xml.m4 (_VCSN_CHECK_XML): Check the C++ ABI of
	libxerces-x.

2006-07-28  Akim Demaille  <akim@lrde.epita.fr>

	Wrap --list-commands properly.

	* taf-kit/src/tdc_commands.cc: Do it.
	Add missing std::endl.

2006-07-28  Akim Demaille  <akim@lrde.epita.fr>

	Remove VaucanSWIG.

	from the src directory.
	* src/vaucanswig,
	* src/vaucanswig/doc,
	* src/vaucanswig/doc/Makefile.am,
	* src/vaucanswig/doc/build-process.txt,
	* src/vaucanswig/doc/README.txt,
	* src/vaucanswig/doc/meta-build-process.txt,
	* src/vaucanswig/meta,
	* src/vaucanswig/meta/context.hh,
	* src/vaucanswig/meta/vaucanswig_context.i,
	* src/vaucanswig/meta/vauto.cc,
	* src/vaucanswig/meta/automaton.hh,
	* src/vaucanswig/meta/vaucanswig_automaton.i,
	* src/vaucanswig/meta/vaucanswig_core.i,
	* src/vaucanswig/meta/vaucanswig_algo_common.i,
	* src/vaucanswig/meta/vcontext.hh,
	* src/vaucanswig/meta/Makefile.am,
	* src/vaucanswig/meta/vaucanswig_exception.i,
	* src/vaucanswig/meta/vauto.hh,
	* src/vaucanswig/meta/vaucanswig_describe.i,
	* src/vaucanswig/meta/vcontext.cc,
	* src/vaucanswig/ChangeLog,
	* src/vaucanswig/expand.sh,
	* src/vaucanswig/Makefile.am:
	Move to...
	* vaucanswig,
	* vaucanswig/doc,
	* vaucanswig/doc/Makefile.am,
	* vaucanswig/doc/build-process.txt,
	* vaucanswig/doc/README.txt,
	* vaucanswig/doc/meta-build-process.txt,
	* vaucanswig/meta,
	* vaucanswig/meta/context.hh,
	* vaucanswig/meta/vaucanswig_context.i,
	* vaucanswig/meta/vauto.cc,
	* vaucanswig/meta/automaton.hh,
	* vaucanswig/meta/vaucanswig_automaton.i,
	* vaucanswig/meta/vaucanswig_core.i,
	* vaucanswig/meta/vaucanswig_algo_common.i,
	* vaucanswig/meta/vcontext.hh,
	* vaucanswig/meta/Makefile.am,
	* vaucanswig/meta/vaucanswig_exception.i,
	* vaucanswig/meta/vauto.hh,
	* vaucanswig/meta/vaucanswig_describe.i,
	* vaucanswig/meta/vcontext.cc,
	* vaucanswig/ChangeLog,
	* vaucanswig/expand.sh,
	* vaucanswig/Makefile.am:
	here.

	* bootstrap.sh, src/Makefile.am, configure.ac, vaucanswig/expand.sh,
	* doc/README.txt, doc/manual/developer.tex: Adjust.
	* vaucanswig/doc/Makefile.am, vaucanswig/meta/Makefile.am,
	* vaucanswig/Makefile.am, Makefile.am: Ditto.

2006-07-28  Akim Demaille  <akim@epita.fr>

	* src/tests/xml/Makefile.am (CLEANFILES, EXTRA_DIST): Complete
	and fix.
	* src/tests/include/Makefile.am: Ship eps_removal_test.hh,
	not closure_test.hh.
	* build-aux/check.mk (clean-check-TESTS): New.

2006-07-28  Akim Demaille  <akim@epita.fr>

	* include/vaucanson/misc/bitset.hxx (project): Do not use an
	iterator from one structure to iterate over another!

2006-07-27  Akim Demaille  <akim@epita.fr>

	Various bug fixes.
	* build-aux/check.mk: Do not make the test-suite.log if there are
	no errors.
	Adjust to the change where log lines start (and no longer end)
	with PASS, FAIL, etc.
	(TEST_SUITE_LOG): New.

	* src/tests/include/tests/automata/algos/label_aware_graphs/closure_test.hh:
	Rename as...
	* src/tests/include/tests/automata/algos/label_aware_graphs/eps_removal_test.hh:
	this.
	And s/closure/eps_removal/g too.

	* src/tests/design_pattern/design_pattern-test.hh: Move to...
	* src/tests/include/tests/design_pattern/design_pattern-test.hh:
	here.
	* src/tests/design_pattern/Makefile.am,
	* src/tests/include/Makefile.am
	* src/tests/design_pattern/element-full-test.cc: Adjust.

	* src/tests/check/Makefile.am: Include check-flags.mk, not check.mk,
	as there is no test suite here.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	Fix ATF-Kit on Tiger Intel.
	* taf-kit/src/Makefile.am (vcsn_b_LDADD): Rename as...
	(LDADD): these, since they all need argp.
	Pass CONTEXT only, not CONTEXT_HEADER and CONTEXT_NAMESPACE.
	* taf-kit/src/common.hh: Adjust to define them.

	* build-aux/check.mk (check-TESTS): Don't rely on wc not outputing
	space when used as a filter, since that's not what Tiger's wc
	does.  Use grep -c.

2006-07-27  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Add tests for vcsn-tdc.

	* taf-kit/tests/vcsn-tdc.test: New.
	* taf-kit/tests/defs.in: .
	* taf-kit/tests/Makefile.am: .

2006-07-27  Roland Levillain  <roland@lrde.epita.fr>

	Add missing link options to the TAF-kit.

	* taf-kit/src/Makefile.am (vcsn_z_LDADD, vcsn_tdc_LDADD): New.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	Also disable some TAF-Kit tests.

	* build-aux/check.mk: Use % rules.
	* taf-kit/tests/vcsn-b.test,
	* taf-kit/tests/vcsn-z.test: Disable verbs that are not implemented.
	* taf-kit/src/common_commands.hh: Define transpose for sake of
	zautomata.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	Disable transpose for tdc.

	This addresses #84 for 1.0.
	* taf-kit/src/tdc_commands.cc,
	* taf-kit/src/common_commands.hh,
	* doc/manual/taf-kit.tex: Comment them out.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	Disable normalize and standardize related functions.

	This addresses ticket #83 for 1.0.
	* taf-kit/src/b_commands.cc,
	* taf-kit/src/common_automaton_commands.hh,
	* taf-kit/src/z_commands.cc,
	* doc/manual/taf-kit.tex: Comment out these functions.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	Add a theoretical appendix.

	* doc/manual/theory.tex: New.
	From http://vaucanson.lrde.org/trac.cgi/wiki/TheoreticalNotes.
	* doc/manual/vaucanson-user-manual.tex,
	* doc/manual/Makefile.am: Use it.

2006-07-27  Akim Demaille  <akim@epita.fr>

	Integrate bits of documentation from Jacques.
	* doc/manual/introduction.tex, doc/manual/xml.tex: New.
	* doc/manual/Makefile.am, doc/manual/vaucanson-user-manual.tex:
	Use them.
	* doc/manual/vaucanson-user-manual.tex (\newcal): New.
	(\Ac, \Bc, \Cc, \Tc, \Z): New.
	Use them where possible.
	* doc/manual/extex.pl: Avoid using undefined values.

2006-07-27  Akim Demaille  <akim@epita.fr>

	Generate an appendix of shipped automata.
	* doc/manual/generate-automata.sh: New.
	* doc/manual/automata.tex: New, generated, but kept in the
	repository to track changes.
	* doc/manual/Makefile.am: Create the latter from the former.
	(MAINTAINERCLEANFILES, deep-clean): New.
	* doc/manual/vaucanson-user-manual.tex: More documentation.
	(\execdisplay): new.
	* doc/manual/extex.pl: Adjust to use it.
	(&process_execcaption, &process_dot_request): New.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	check-TESTS: Fix the banner.

	* build-aux/check.mk: Also, don't confuse FAIL and XFAIL.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	Wider use of the new check-TESTS.

	* src/tests/design_pattern/intrinsics.hh: Look for tester.hh at the
	right place.
	* src/tests/design_pattern/element-full-test.cc: design_pattern-test.hh
	is here.
	* src/tests/test-suites/generate-all.sh: Comment and formatting
	changes.
	* src/tests/check/check.mk: Use our own check-TESTS.
	* src/tests/check/Makefile.am: Include check.mk, not just
	check-flags.mk.
	* src/tests/check/tester.cc: Find tester.hh where it is.
	* build-aux/check.mk: Also work with programs that have no
	extension.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	Fix errors in the tests/ overhaul.

	Resurrect the tests in design_pattern.
	* src/tests/include/tests/design_pattern,
	* src/tests/include/tests/design_pattern/design_pattern-test.hh,
	* src/tests/include/tests/design_pattern/intrinsics.hh,
	* src/tests/include/tests/design_pattern/intrinsics_binops.cc,
	* src/tests/include/tests/design_pattern/intrinsics_size.cc,
	* src/tests/include/tests/design_pattern/intrinsics_link.cc,
	* src/tests/include/tests/design_pattern/intrinsics_convert.cc,
	* src/tests/include/tests/design_pattern/element-full-test.cc,
	* src/tests/include/tests/design_pattern/intrinsics_ops.cc,
	* src/tests/include/tests/design_pattern/intrinsics_extra.cc,
	* src/tests/include/tests/design_pattern/intrinsics_assign.cc,
	* src/tests/include/tests/design_pattern/intrinsics_default.cc,
	* src/tests/include/tests/design_pattern/intrinsics_orphanage.cc:
	Move to...
	* src/tests/design_pattern,
	* src/tests/design_pattern/design_pattern-test.hh,
	* src/tests/design_pattern/intrinsics.hh,
	* src/tests/design_pattern/intrinsics_binops.cc,
	* src/tests/design_pattern/intrinsics_size.cc,
	* src/tests/design_pattern/intrinsics_link.cc,
	* src/tests/design_pattern/intrinsics_convert.cc,
	* src/tests/design_pattern/element-full-test.cc,
	* src/tests/design_pattern/intrinsics_ops.cc,
	* src/tests/design_pattern/intrinsics_extra.cc,
	* src/tests/design_pattern/intrinsics_assign.cc,
	* src/tests/design_pattern/intrinsics_default.cc,
	* src/tests/design_pattern/intrinsics_orphanage.cc: here.
	* src/tests/design_pattern/Makefile.am: New.

	Resurrect libcheck.
	* src/tests/include/tests/check/tester.cc,
	* src/tests/include/tests/check/unique.cc: Move to...
	* src/tests/check/tester.cc,
	* src/tests/check/unique.cc: here.
	Yes, the tester.hh remains in the include/ hierarchy.
	* src/tests/check/Makefile.am: New.

	* src/tests/include/Makefile.am: Adjust.
	* src/tests/design_pattern: New.
	* src/tests/Makefile.am: Adjust.
	* src/tests/check/check.mk: Adjust.
	* configure.ac: Ditto.

	* doc/NEWS.txt: More.
	* doc/manual/taf-kit.tex: Use \tafkit.
	Fix indexes.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	Spare Autotool cycles.

	* src/tests/include/tests/context_headers/fmp_transducers/Makefile.am: Remove.
	* src/tests/include/tests/context_headers/Makefile.am: Remove.
	* src/tests/include/tests/context_headers/automata/Makefile.am: Remove.
	* src/tests/include/tests/context_headers/transducers/Makefile.am: Remove.
	* src/tests/include/tests/design_pattern/Makefile.am: Remove.
	* src/tests/include/tests/Makefile.am: Remove.
	* src/tests/include/tests/automata/implementation_check/Makefile.am: Remove.
	* src/tests/include/tests/automata/algos/fmp_transducers/normalized_composition_test.hh: .
	* src/tests/include/tests/automata/algos/fmp_transducers/Makefile.am: Remove.
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/Makefile.am: Remove.
	* src/tests/include/tests/automata/algos/label_aware_graphs/Makefile.am: Remove.
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/Makefile.am: Remove.
	* src/tests/include/tests/automata/algos/boolean_rw_transducers/Makefile.am: Remove.
	* src/tests/include/tests/automata/algos/graphs/Makefile.am: Remove.
	* src/tests/include/tests/automata/algos/Makefile.am: Remove.
	* src/tests/include/tests/automata/algos/boolean_automata/Makefile.am: Remove.
	* src/tests/include/tests/automata/algos/labeled_graphs/Makefile.am: Remove.
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/Makefile.am: Remove.
	* src/tests/include/tests/automata/Makefile.am: Remove.
	* src/tests/include/tests/algebra/alphabets/Makefile.am: Remove.
	* src/tests/include/tests/algebra/free_monoid/Makefile.am: Remove.
	* src/tests/include/tests/algebra/free_monoid_product/Makefile.am: Remove.
	* src/tests/include/tests/algebra/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/krat/boolean/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/krat/tests/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/krat/main/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/krat/derivations/derivation/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/krat/derivations/cderivation/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/krat/derivations/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/krat/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/misc/Makefile.am: Remove.
	* src/tests/include/tests/algebra/series/polynom/Makefile.am: Remove.
	* src/tests/include/tests/algebra/numerical_semiring/Makefile.am: Remove.
	* src/tests/include/tests/algebra/semiring/Makefile.am: Remove.
	* src/tests/include/tests/check/Makefile.am: Remove.
	* src/tests/include/Makefile.am: Put all the data in here.

	* src/tests/Makefile.am (SUBDIRS): Don't forget include.
	* data/automata/tdc-rw/Makefile.am: New.
	Should have been added earlier, sorry.
	* configure.ac: Adjust.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	Fix the failures of the XML tests.

	And rewrite the tests a bit.
	* taf-kit/tests/check.mk: Move to...
	* build-aux/check.mk: here, as it's quite general.
	Find the path of the test file before trying to execute it.
	(Taken from Automake's check-TESTS).
	* taf-kit/tests/Makefile.am: Adjust.

	* src/tests/xml/tester.sh: No longer loop over contexts, rather
	be ready to be included by several test programs.
	* src/tests/xml/xml_automaton_tester.cc (CONTEXT_HEADER)
	(CONTEXT_NAMESPACE): Remove, replaced by this single...
	(CONTEXT): new guy.

	* include/vaucanson/config/pconf.hh.in: Don't redefine VCSN_DATA_PATH,
	if it was defined before, eg., by the command line.  That was making
	the test fail, since we were not using the locally shipped vaucanson.xsd.
	* src/tests/xml/Makefile.am: Adjust to all the above changes.
	And use Make constructs to avoid duplication.
	Use check.mk to enable parallel checks, and to generate a real
	test-suite.log.
	(check_SCRIPTS): New.

2006-07-27  Akim Demaille  <akim@lrde.epita.fr>

	Rename closure as eps_removal.

	* include/vaucanson/algorithms/closure.hh,
	* include/vaucanson/algorithms/closure.hxx
	(backward_closure, backward_closure_here, forward_closure,
	forward_closure_here, closure, closure_here):
	Rename as...
	* include/vaucanson/algorithms/eps_removal.hh,
	* include/vaucanson/algorithms/eps_removal.hxx
	(backward_eps_removal, backward_eps_removal_here)
	(forward_eps_removal, forward_eps_removal_here, eps_removal)
	(eps_removal_here): these.

	* include/Makefile.am,
	* include/vaucanson/contexts/automaton_functions.thh,
	* include/vaucanson/contexts/transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/backward_realtime.hxx,
	* include/vaucanson/algorithms/backward_realtime.hh,
	* include/vaucanson/algorithms/forward_realtime.hh,
	* include/vaucanson/algorithms/normalized_composition.hxx,
	* taf-kit/tests/vcsn-b.test,
	* taf-kit/src/tdc_commands.cc,
	* taf-kit/src/b_commands.cc,
	* taf-kit/src/common_commands.hh,
	* taf-kit/src/z_commands.cc: Adjust.

2006-07-26  Akim Demaille  <akim@lrde.epita.fr>

	B1's origin, and spell checking.

	* doc/manual/taf-kit.tex: Do not use \index in \caption, it doesn't
	work.
	Spell checking.

2006-07-26  Michael Cadilhac  <michael.cadilhac@lrde.epita.fr>

	Force the use of XML in Vaucanson.

	* build-aux/vcsn-xml.m4: Don't offer the possibility not to use XML.

	* include/Makefile.am,
	* include/vaucanson/misc/usual_macros.hh,
	* include/vaucanson/algebra/implementation/series/rat/xml_exp_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/exp.hh,
	* include/vaucanson/algebra/implementation/series/rat/exp.hxx,
	* include/vaucanson/tools/xml_dump.hh,
	* include/vaucanson/tools/out_display.hh,
	* include/vaucanson/tools/dumper.hxx,
	* include/vaucanson/tools/xml_display.hh,
	* include/vaucanson/tools/dumper.hh,
	* include/vaucanson/tools/xml_load.hh,
	* include/vaucanson/xml/xml_chooser.hh,
	* include/vaucanson/xml/session.hh,
	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/error_handler.hh,
	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/strings.hh,
	* include/vaucanson/xml/ios.hh,
	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/XML.hh,
	* include/vaucanson/xml/xerces_parser.hh,
	* include/vaucanson/config/system.hh,
	* include/vaucanson/config/pconf.hh.in,
	* include/vaucanson/design_pattern/factory.hh,
	* src/tests/xml/Makefile.am,
	* src/tests/sanity/generate_files.sh,
	* src/tests/Makefile.am,
	* src/demos/function_library/Makefile.am,
	* src/demos/demo.mk,
	* src/demos/transducers/one_rule_rewriting/Makefile.am,
	* src/demos/transducers/Makefile.am,
	* build-aux/vcsn-taf-kit.m4,
	* taf-kit/src/Makefile.am,
	* doc/xml/Makefile.am,
	* doc/Makefile.am: Remove every check on XML.

	* build-aux/check_xml.sh: Remove.
	* bootstrap.sh,
	* build-aux/Makefile.am: Update accordingly.

2006-07-26  Akim Demaille  <akim@epita.fr>

	* configure.ac: Don't forget automata/tdc.  While we're at
	it, let deal with automata/tdc-rw.
	* vaucanson.mk (tdc_automatadir, tdc_rw_automatadir): New.
	* data/automata/tdc-rw/Makefile.am: New.

	* doc/manual/taf-kit.tex: More about vcsn-tdc, but it fails to
	evaluate...

2006-07-26  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* doc/manual/developer.tex: Add a comment on CPP use.

2006-07-26  Akim Demaille  <akim@lrde.epita.fr>

	Doc vcsn-tdc.

	* doc/manual/examples: Remove.
	* doc/manual/examples/add1-rt.xml,
	* doc/manual/examples/quot-3-rw.xml: Move and rename to...
	* data/automata/tdc-rw/quot-3-rw.xml,
	* data/automata/tdc-rw/add1-rw.xml: here.
	* doc/manual/taf-kit.tex: More documentation.

2006-07-26  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* taf-kit/src/tdc_commands.cc: Name `eval' instead of `evaluation'.

2006-07-26  Akim Demaille  <akim@epita.fr>

	* data/automata/b/Makefile.am: Document b1.

	* data/automata/z/b1.xml: New
	* data/automata/z/Makefile.am: Adjust.
	* data/automata/z/c1.cc: Comment.
	* doc/manual/examples/b1.xml: Remove.
	* doc/manual/examples/add1_rt.xml,
	* doc/manual/examples/quot_3_rt.xml: Rename as...
	* doc/manual/examples/add1-rw.xml,
	* doc/manual/examples/quot-3-rw.xml: these.

	* doc/manual/extex.pl: Recognize `power' arguments.
	* doc/manual/taf-kit.tex: Move macros...
	* doc/manual/vaucanson-user-manual.tex: here.
	* doc/manual/taf-kit.tex: More automatic generation.
	Map _ to -.
	Map rt to rw.

	* include/vaucanson/xml/xml_chooser.hxx (TParmFMP): No longer use it.

	* data/automata/tdc/Makefile.am,
	* taf-kit/src/Makefile.am,
	* src/demos/demo.mk,
	* src/demos/function_library/Makefile.am,
	* src/demos/transducers/Makefile.am,
	* src/demos/vgrep/Makefile.am,
	* src/tests/xml/Makefile.am: Adjust to the location of vaucanson.mk.

2006-07-26  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/xml/xerces_parser.hxx: Fix typo.

2006-07-26  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* data/automata/tdc/Makefile.in: Remove.  Useless.

2006-07-26  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Automata library for vcsn-tdc.

	* data/automata/b/a1.cc,
	* data/automata/z/c1.cc: Describe from which article or book these
	automata come from.
	* data/automata/Makefile.am: Add tdc to SUBDIRS.
	* data/automata/tdc: New.
	* data/automata/tdc/Makefile.in: New.
	* data/automata/tdc/t1.xml: New.
	* data/automata/tdc/u1.xml: New.
	* data/automata/tdc/t1.cc: New.
	* data/automata/tdc/u1.cc: New.
	* data/automata/tdc/Makefile.am: New.

2006-07-26  Akim Demaille  <akim@lrde.epita.fr>

	Clean ups.

	* include/vaucanson/algebra/concept/series_base.hxx: Wrapping.

	* include/vaucanson/xml/xml_chooser.hh (TParmFMP): Remove.
	(FMPtype): Put the #undef where the #define was.
	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/tools.hxx (TRANStype, FMPtype):
	Spread their definitions appropriately to enforce locality.
	(AUTtype): Remove, unused.
	(ensure_monoid_type): Produce a useful error message.
	Rename variables to make more sense.

	* taf-kit/src/common_automaton_commands.hh (eval): Don't forget the \n.

	* src/vaucanson.mk: Move to...
	* vaucanson.mk: here.
	(dloaddir, vcsndldir): New.
	* Makefile,am, doc/Makefile.am, doc/manual/Makefile.am (install-epita):
	New.
	* doc/manual/examples/a1.xml: Remove.
	* doc/manual/taf-kit.tex: Add a noindent.

2006-07-26  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/xml/xerces_parser.hxx: Fix typo.

2006-07-25  Akim Demaille  <akim@lrde.epita.fr>

	Restore incorrectly removed code.

	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh:
	Don't forget to compute the ratexp before using it.

2006-07-25  Akim Demaille  <akim@lrde.epita.fr>

	More indexes.

	* doc/manual/vaucanson-user-manual.tex, doc/manual/taf-kit.tex: Do it.

2006-07-25  Akim Demaille  <akim@lrde.epita.fr>

	vcsn-tdc wrapper.

	* configure.ac, taf-kit/tests/Makefile.am: Create and clean it.

2006-07-25  Akim Demaille  <akim@lrde.epita.fr>

	More doc.

	* doc/manual/vaucanson-user-manual.tex: Generate and use the
	index.
	* doc/manual/taf-kit.tex: More index entries.
	(fnsection): New environment.
	Use it.

2006-07-25  Akim Demaille  <akim@lrde.epita.fr>

	Neutralize false product failures.

	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh:
	If the word is not accepted by the product automaton, look
	for another word.

2006-07-25  Akim Demaille  <akim@lrde.epita.fr>

	Make precise error messages.

	I'm still fighting with the test suite.  It appears that, now that
	we can use TAF-Kit to work the counter-examples, it seems that the
	failures of the products are rather failures to extract a word
	accepted by the automaton.  Since we test whether a word accepted
	by the product is accepted by both operands, if the word is
	not accepted by the product, the test reports garbage.
	I don't know yet how to address this failure.
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh:
	Report when a word from the support is not accepted.

2006-07-25  Akim Demaille  <akim@lrde.epita.fr>

	Renane SAVE_AUTOMATON_DOT as SAVE_AUTOMATON_XML.

	The test suite framework saves the failing automata in... dot.
	Which makes it really easy to toy with these automata.
	* include/vaucanson/misc/usual_macros.hh (SAVE_AUTOMATON_DOT)
	(SAVE_AUTOMATON_DOT_SIMPLE): Move and rename to.
	* include/vaucanson/tools/xml_dump.hh(SAVE_AUTOMATON_XML)
	(SAVE_AUTOMATON_XML_SIMPLE): these.
	And obviously change the code.
	Wrap in do/while.
	* src/tests/include/tests/automata/implementation_check/rdelta_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/sum_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/closure_test.hh,
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/generalized_test.hh,
	* src/tests/include/tests/automata/algos/graphs/reachable_test.hh,
	* src/tests/include/tests/automata/algos/graphs/extract_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/minimization_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/complete_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_heuristic_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/thompson_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_dmheuristic_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_random_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/elimination_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/normalize_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/deterministic_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/compute_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/product_regression_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh:
	(dump_dot.hh): No longer include it, rather include...
	(dump_xml.hh): this one.

	* src/tests/include/tests/check/tester.hh: Adjust.

2006-07-25  Akim Demaille  <akim@lrde.epita.fr>

	Remove a Makefile.in.

	* src/tests/include/tests/check/Makefile.in: Remove.

2006-07-25  Akim Demaille  <akim@lrde.epita.fr>

	Improve the usability of the generated test-suite.

	But really, it's a mess.
	To make it easier to track, stop using relative paths in the test
	suite, so move them all to another header hierarchy starting with
	"tests/".
	Adjust the generation of the test suite.
	Save cycle by avoid re-generating files that did not change.
	Cannot make a proper ChangeLog entry for all the small changes
	that were needed.
	More files should probably go into include/tests.
	* build-aux/move-if-change: Send messages to stderr.

	* configure.ac: Adjust.
	* src/tests/Makefile.am: Adjust.

	Move test-suite headers into tests/include/tests.
	* src/tests/algebra/Makefile.am,
	* src/tests/algebra/alphabets,
	* src/tests/algebra/alphabets/Makefile.am,
	* src/tests/algebra/alphabets/alphabet_test.hh,
	* src/tests/algebra/alphabets/alphabet_torture_test.hh,
	* src/tests/algebra/free_monoid,
	* src/tests/algebra/free_monoid/Makefile.am,
	* src/tests/algebra/free_monoid/constructor_without_arguments2_failcomp.hh,
	* src/tests/algebra/free_monoid/constructor_without_arguments_failcomp.hh,
	* src/tests/algebra/free_monoid/free_monoid_test.hh,
	* src/tests/algebra/free_monoid_product,
	* src/tests/algebra/free_monoid_product/Makefile.am,
	* src/tests/algebra/free_monoid_product/free_monoid_product_test.hh,
	* src/tests/algebra/numerical_semiring,
	* src/tests/algebra/numerical_semiring/Makefile.am,
	* src/tests/algebra/numerical_semiring/numerical_semiring_test.hh,
	* src/tests/algebra/semiring,
	* src/tests/algebra/semiring/Makefile.am,
	* src/tests/algebra/semiring/semiring_test.hh,
	* src/tests/algebra/series,
	* src/tests/algebra/series/Makefile.am,
	* src/tests/algebra/series/krat,
	* src/tests/algebra/series/krat/Makefile.am,
	* src/tests/algebra/series/krat/boolean,
	* src/tests/algebra/series/krat/boolean/Makefile.am,
	* src/tests/algebra/series/krat/boolean/krat_exp_cderivation_linear_test.hh,
	* src/tests/algebra/series/krat/derivations,
	* src/tests/algebra/series/krat/derivations/Makefile.am,
	* src/tests/algebra/series/krat/derivations/cderivation,
	* src/tests/algebra/series/krat/derivations/cderivation/Makefile.am,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation,
	* src/tests/algebra/series/krat/derivations/derivation/Makefile.am,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/derivations_common.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation,
	* src/tests/algebra/series/krat/derivations/partial_derivation/Makefile.am,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_common.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_zero_test.hh,
	* src/tests/algebra/series/krat/main,
	* src/tests/algebra/series/krat/main/Makefile.am,
	* src/tests/algebra/series/krat/main/krat_exp_aci_canonical_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_expand_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_flatten_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_structure_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_realtime_test.hh,
	* src/tests/algebra/series/krat/tests,
	* src/tests/algebra/series/krat/tests/Makefile.am,
	* src/tests/algebra/series/krat/tests/generate_random_krat.cc,
	* src/tests/algebra/series/krat/tests/random_krat_exp_b_ab,
	* src/tests/algebra/series/krat/tests/random_krat_exp_b_weird,
	* src/tests/algebra/series/krat/tests/random_krat_exp_f_ab,
	* src/tests/algebra/series/krat/tests/random_krat_exp_f_weird,
	* src/tests/algebra/series/krat/tests/random_krat_exp_i_ab,
	* src/tests/algebra/series/krat/tests/random_krat_exp_i_weird,
	* src/tests/algebra/series/misc,
	* src/tests/algebra/series/misc/Makefile.am,
	* src/tests/algebra/series/misc/series_test.hh,
	* src/tests/algebra/series/polynom,
	* src/tests/algebra/series/polynom/Makefile.am,
	* src/tests/algebra/series/polynom/series_polynom_test.hh,
	* src/tests/automata,
	* src/tests/automata/Makefile.am,
	* src/tests/automata/algos,
	* src/tests/automata/algos/Makefile.am,
	* src/tests/automata/algos/README,
	* src/tests/automata/algos/boolean_automata,
	* src/tests/automata/algos/boolean_automata/Makefile.am,
	* src/tests/automata/algos/boolean_automata/aci_canonical_test.hh,
	* src/tests/automata/algos/boolean_automata/berry_sethi_test.hh,
	* src/tests/automata/algos/boolean_automata/brzozowski_test.hh,
	* src/tests/automata/algos/boolean_automata/complete_test.hh,
	* src/tests/automata/algos/boolean_automata/minimization_test.hh,
	* src/tests/automata/algos/boolean_rw_transducers,
	* src/tests/automata/algos/boolean_rw_transducers/Makefile.am,
	* src/tests/automata/algos/boolean_rw_transducers/invert_test.hh,
	* src/tests/automata/algos/fmp_transducers,
	* src/tests/automata/algos/fmp_transducers/Makefile.am,
	* src/tests/automata/algos/fmp_transducers/evaluation_fmp_test.hh,
	* src/tests/automata/algos/fmp_transducers/normalized_composition_test.hh,
	* src/tests/automata/algos/fmp_transducers/sub_normalize_test.hh,
	* src/tests/automata/algos/fmp_transducers/subnormalized_composition_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs,
	* src/tests/automata/algos/freemonoid_labeled_graphs/Makefile.am,
	* src/tests/automata/algos/freemonoid_labeled_graphs/generalized_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs/krat_exp_realtime_conflict_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs/realtime_test.hh,
	* src/tests/automata/algos/graphs,
	* src/tests/automata/algos/graphs/Makefile.am,
	* src/tests/automata/algos/graphs/accessible_test.hh,
	* src/tests/automata/algos/graphs/extract_test.hh,
	* src/tests/automata/algos/graphs/reachable_test.hh,
	* src/tests/automata/algos/graphs/sub_automaton_test.hh,
	* src/tests/automata/algos/graphs/trim_test.hh,
	* src/tests/automata/algos/label_aware_graphs,
	* src/tests/automata/algos/label_aware_graphs/Makefile.am,
	* src/tests/automata/algos/label_aware_graphs/closure_test.hh,
	* src/tests/automata/algos/label_aware_graphs/concat_test.hh,
	* src/tests/automata/algos/label_aware_graphs/cut_up_test.hh,
	* src/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/automata/algos/label_aware_graphs/in_concat_test.hh,
	* src/tests/automata/algos/label_aware_graphs/standard_of_regression_test.hh,
	* src/tests/automata/algos/label_aware_graphs/sum_test.hh,
	* src/tests/automata/algos/label_aware_graphs/transpose_test.hh,
	* src/tests/automata/algos/labeled_graphs,
	* src/tests/automata/algos/labeled_graphs/Makefile.am,
	* src/tests/automata/algos/labeled_graphs/are_isomorphic_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_dmheuristic_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_heuristic_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_random_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_test.hh,
	* src/tests/automata/algos/labeled_graphs/normalize_test.hh,
	* src/tests/automata/algos/labeled_graphs/thompson_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs,
	* src/tests/automata/algos/letter_combination_labeled_graphs/Makefile.am,
	* src/tests/automata/algos/letter_combination_labeled_graphs/compute_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/derived_term_automaton_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/deterministic_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/product_regression_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh,
	* src/tests/automata/algos/series_multiplicity_transducers,
	* src/tests/automata/algos/series_multiplicity_transducers/Makefile.am,
	* src/tests/automata/algos/series_multiplicity_transducers/extension_test.hh,
	* src/tests/automata/algos/series_multiplicity_transducers/realtime_trans_test.hh,
	* src/tests/automata/implementation_check,
	* src/tests/automata/implementation_check/Makefile.am,
	* src/tests/automata/implementation_check/add_state_test.hh,
	* src/tests/automata/implementation_check/add_transition_test.hh,
	* src/tests/automata/implementation_check/coherence_state_transition_test.hh,
	* src/tests/automata/implementation_check/geometry_equal_operator_test.hh,
	* src/tests/automata/implementation_check/global_consistency_test.hh,
	* src/tests/automata/implementation_check/init_final_test.hh,
	* src/tests/automata/implementation_check/rdelta_test.hh,
	* src/tests/check/Makefile.am,
	* src/tests/check/tester.cc,
	* src/tests/check/tester.hh,
	* src/tests/check/unique.cc,
	* src/tests/context_headers,
	* src/tests/context_headers/Makefile.am,
	* src/tests/context_headers/automata,
	* src/tests/context_headers/automata/Makefile.am,
	* src/tests/context_headers/automata/global_consistency_test.hh,
	* src/tests/context_headers/fmp_transducers,
	* src/tests/context_headers/fmp_transducers/Makefile.am,
	* src/tests/context_headers/fmp_transducers/global_consistency_test.hh,
	* src/tests/context_headers/transducers,
	* src/tests/context_headers/transducers/Makefile.am,
	* src/tests/context_headers/transducers/global_consistency_test.hh,
	* src/tests/design_pattern,
	* src/tests/design_pattern/Makefile.am,
	* src/tests/design_pattern/design_pattern-test.hh,
	* src/tests/design_pattern/element-full-test.cc,
	* src/tests/design_pattern/intrinsics.hh,
	* src/tests/design_pattern/intrinsics_assign.cc,
	* src/tests/design_pattern/intrinsics_binops.cc,
	* src/tests/design_pattern/intrinsics_convert.cc,
	* src/tests/design_pattern/intrinsics_default.cc,
	* src/tests/design_pattern/intrinsics_extra.cc,
	* src/tests/design_pattern/intrinsics_link.cc,
	* src/tests/design_pattern/intrinsics_ops.cc,
	* src/tests/design_pattern/intrinsics_orphanage.cc,
	* src/tests/design_pattern/intrinsics_size.cc:
	Move to...
	* src/tests/include/tests/algebra/alphabets/alphabet_test.hh,
	* src/tests/include/tests/algebra/alphabets/alphabet_torture_test.hh,
	* src/tests/include/tests/algebra/free_monoid/constructor_without_arguments2_failcomp.hh,
	* src/tests/include/tests/algebra/free_monoid/constructor_without_arguments_failcomp.hh,
	* src/tests/include/tests/algebra/free_monoid/free_monoid_test.hh,
	* src/tests/include/tests/algebra/numerical_semiring/numerical_semiring_test.hh,
	* src/tests/include/tests/algebra/semiring/semiring_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/derivations_common.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_identity_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_letter_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_product_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_star_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_sum_test.hh,
	* src/tests/include/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_zero_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_flatten_test.hh,
	* src/tests/include/tests/algebra/series/krat/main/krat_exp_linearize_test.hh,
	* src/tests/include/tests/algebra/series/polynom/series_polynom_test.hh,
	* src/tests/include/tests/algebra: New.
	* src/tests/include/tests/automata/algos/boolean_automata/complete_test.hh,
	* src/tests/include/tests/automata/algos/boolean_automata/minimization_test.hh,
	* src/tests/include/tests/automata/algos/boolean_rw_transducers/invert_test.hh,
	* src/tests/include/tests/automata/algos/freemonoid_labeled_graphs/generalized_test.hh,
	* src/tests/include/tests/automata/algos/graphs/accessible_test.hh,
	* src/tests/include/tests/automata/algos/graphs/extract_test.hh,
	* src/tests/include/tests/automata/algos/graphs/reachable_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/closure_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/concat_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/in_concat_test.hh,
	* src/tests/include/tests/automata/algos/label_aware_graphs/sum_test.hh,
	* src/tests/include/tests/automata/algos/labeled_graphs/normalize_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/deterministic_test.hh,
	* src/tests/include/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh,
	* src/tests/include/tests/automata/algos/series_multiplicity_transducers/extension_test.hh,
	* src/tests/include/tests/automata/implementation_check/add_state_test.hh,
	* src/tests/include/tests/automata/implementation_check/add_transition_test.hh,
	* src/tests/include/tests/automata/implementation_check/coherence_state_transition_test.hh,
	* src/tests/include/tests/automata/implementation_check/geometry_equal_operator_test.hh,
	* src/tests/include/tests/automata/implementation_check/init_final_test.hh:
	* src/tests/include/tests/automata: New.
	* src/tests/include/tests/check/Makefile.am: New.
	* src/tests/include/tests/check/Makefile.in: New.
	* src/tests/include/tests/check/tester.cc: New.
	* src/tests/include/tests/check/tester.hh: New.
	* src/tests/include/tests/check/unique.cc: New.
	* src/tests/include/tests/check: New.
	* src/tests/include/tests/context_headers: New.
	* src/tests/include/tests/design_pattern/Makefile.am,
	* src/tests/include/tests/design_pattern/element-full-test.cc,
	* src/tests/include/tests/design_pattern: New.
	* src/tests/include/tests: New.
	Here.


	* src/tests/bin/generate-test-suite.sh: No longer use relative paths.
	* src/tests/check/check-flags.mk: Adjust.
	* src/tests/include/Makefile.am: New.
	* src/tests/include/tests/Makefile.am: New.
	* src/tests/include: New.
	* src/tests/misc/Makefile.am: Adjust.
	* src/tests/misc/assert_test.cc: Adjust.
	* src/tests/misc/limits.cc: Adjust.
	* src/tests/misc/random.cc: Adjust.
	* src/tests/test-suites/algebra_series_krat_cderivation.defs: Adjust.
	* src/tests/test-suites/algebra_series_krat_derivation.defs: Ditto.
	* src/tests/test-suites/algebra_series_krat_partial_derivation.defs:
	Ditto.
	* src/tests/test-suites/generate-all.sh: Ditto.

2006-07-25  Akim Demaille  <akim@lrde.epita.fr>

	Includes.

	* doc/manual/developer.tex (Includes): New.

2006-07-24  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* data/vaucanson.el: Use `file-name-nondirectory' on
	non-include/vaucanson files.

2006-07-24  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* data/vaucanson.el: Fix use of `c-header-file-extensions'.

2006-07-24  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* data/misc.el: Move...
	* data/vaucanson.el: Here.  Add `cpp-check-guard' that checks the CPP
	guard for a standard #ifndef/#define/#endif scheme.  Use it in
	M-x vaucansonize-buffer RET.  Provide `vaucanson' package.
	* data/Makefile.am: Update accordingly.

2006-07-24  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/misc/unique.hcc: Remove.  `unique.hxx' is the name.
	* src/vaucanswig/meta/vauto.cc: Remove useless `include' in comment.

2006-07-24  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Change namespace in krat_exp_linearize_structure test.

	This patch helps Vaucanson to pass make check.
	see http://vaucanson.lrde.org/trac.cgi/ticket/74

	* src/tests/algebra/series/krat/main/krat_exp_linearize_structure_test.hh:
	Change << operator namespace.

2006-07-24  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Separate common commands for all types from commands specific to automata.

	* taf-kit/src/common_automaton_commands.hh: New. Add commands specific
	to automata only.
	* taf-kit/src/b_commands.cc,
	* taf-kit/src/common_commands.hh,
	* taf-kit/src/Makefile.am,
	* taf-kit/src/z_commands.cc: Update accordingly.

2006-07-24  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Add sub_normalize_here.

	* include/vaucanson/algorithms/sub_normalize.hh: Add two algorithms
	 list in reference documentation..
	* include/vaucanson/algorithms/sub_normalize.hxx: Add in-place version
	of sub_normalize.
	* taf-kit/src/tdc_commands.cc,
	* taf-kit/src/getters.hxx: Use it.

2006-07-24  Florent Terrones  <terron_f@lrde.epita.fr>

	* src/tests/xml/tester.sh: Correct some directory names so as to work in
	another directory than srcdir. Closes ticket #81.

2006-07-24  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Fix some typos.

	* taf-kit/src/tdc_commands.cc: Add dots at end of lines.
	Cut long strings in two.
	* taf-kit/src/edition_commands.hxx: Reindent macros.

2006-07-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	Put things in utility:: in vcsn::misc::.

	* include/vaucanson/tools/usual_escaped_characters.hxx,
	* include/vaucanson/tools/usual_escaped_characters.hh,
	* include/vaucanson/tools/usual_macros.hh,
	* include/vaucanson/tools/container_ops.hh,
	* include/vaucanson/tools/container_ops.hxx: Move ...
	* include/vaucanson/misc/usual_escaped_characters.hxx,
	* include/vaucanson/misc/usual_escaped_characters.hh,
	* include/vaucanson/misc/usual_macros.hh,
	* include/vaucanson/misc/container_ops.hh,
	* include/vaucanson/misc/container_ops.hxx: Here.

	* include/vaucanson/misc/utility.hh: Move...
	* include/vaucanson/misc/misc.hh: Here.

	* include/Makefile.am: Update accordingly.

	* include/vaucanson/misc/support.hxx,
	* include/vaucanson/misc/escaper.hxx,
	* include/vaucanson/misc/bitset.hh,
	* include/vaucanson/misc/deferrer.hh,
	* include/vaucanson/misc/selectors.hh,
	* include/vaucanson/misc/special_char_traits.hh,
	* include/vaucanson/misc/iomanip.hxx,
	* include/vaucanson/misc/unique.hh,
	* include/vaucanson/misc/window.hh,
	* include/vaucanson/misc/constraints.hh,
	* include/vaucanson/misc/support.hh,
	* include/vaucanson/misc/contract.hh,
	* include/vaucanson/misc/window.hxx,
	* include/vaucanson/misc/escaper.hh,
	* include/vaucanson/misc/static.hh,
	* include/vaucanson/misc/iomanip.hh,
	* include/vaucanson/misc/limits.hh,
	* include/vaucanson/misc/bitset.hxx,
	* include/vaucanson/misc/functors.hh,
	* include/vaucanson/misc/char_traits.hh,
	* include/vaucanson/misc/unique.hcc,
	* include/vaucanson/misc/deferrer.hxx,
	* include/vaucanson/misc/char_traits.hxx,
	* include/vaucanson/misc/functors.hxx,
	* include/vaucanson/misc/unique.hxx,
	* include/vaucanson/misc/random.hh,
	* include/vaucanson/misc/random.hxx: Change namespace to vcsn::misc.

	* include/vaucanson/vaucanson.hh,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hh,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/predefs.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hxx,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/xml_exp_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hh,
	* include/vaucanson/algebra/implementation/series/polynoms.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hxx,
	* include/vaucanson/algebra/implementation/series/polynoms.hh,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hh,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hxx,
	* include/vaucanson/algebra/concept/freemonoid_base.hxx,
	* include/vaucanson/algebra/concept/series_base.hxx,
	* include/vaucanson/algebra/concept/alphabets_base.hh,
	* include/vaucanson/algebra/concept/letter.hh,
	* include/vaucanson/algebra/concept/alphabets_base.hxx,
	* include/vaucanson/xml/xml_chooser.hh,
	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/XML.hh,
	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/xerces_parser.hh,
	* include/vaucanson/tools/gen_book.hxx,
	* include/vaucanson/tools/dot_format.hxx,
	* include/vaucanson/tools/gen_random.hxx,
	* include/vaucanson/tools/fsm_dump.hxx,
	* include/vaucanson/tools/automaton_tools.hh,
	* include/vaucanson/tools/fsm_dump.hh,
	* include/vaucanson/design_pattern/element_ops.hxx,
	* include/vaucanson/design_pattern/element.hh,
	* include/vaucanson/design_pattern/structure.hh,
	* include/vaucanson/design_pattern/structure.hxx,
	* include/vaucanson/design_pattern/slots.hxx,
	* include/vaucanson/contexts/automaton_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/algorithms/minimization_hopcroft.hxx,
	* include/vaucanson/algorithms/extension.hxx,
	* include/vaucanson/algorithms/sub_automaton.hxx,
	* include/vaucanson/algorithms/is_ambiguous.hxx,
	* include/vaucanson/algorithms/accessible.hxx,
	* include/vaucanson/algorithms/complement.hxx,
	* include/vaucanson/algorithms/letter_to_letter_composition.hxx,
	* include/vaucanson/algorithms/internal/skeleton.hh,
	* include/vaucanson/algorithms/internal/build_pattern.hh,
	* include/vaucanson/algorithms/closure.hxx,
	* include/vaucanson/algorithms/product.hxx,
	* include/vaucanson/algorithms/is_letterized.hxx,
	* include/vaucanson/algorithms/invert.hxx,
	* include/vaucanson/algorithms/evaluation.hxx,
	* include/vaucanson/algorithms/aut_to_exp.hxx,
	* include/vaucanson/algorithms/krat_exp_linearize.hh,
	* include/vaucanson/algorithms/minimization_moore.hxx,
	* include/vaucanson/algorithms/determinize.hxx,
	* include/vaucanson/algorithms/berry_sethi.hxx,
	* include/vaucanson/algorithms/concatenate.hxx,
	* include/vaucanson/algorithms/isomorph.hxx,
	* include/vaucanson/algorithms/derived_term_automaton.hxx,
	* include/vaucanson/algorithms/standard.hxx,
	* include/vaucanson/algorithms/normalized.hxx,
	* include/vaucanson/algorithms/search.hxx,
	* include/vaucanson/algorithms/complete.hxx,
	* include/vaucanson/algorithms/brzozowski.hxx,
	* include/vaucanson/algorithms/eval.hxx,
	* include/vaucanson/algorithms/is_realtime.hxx,
	* include/vaucanson/algorithms/is_normalized.hxx,
	* include/vaucanson/automata/implementation/graph.hh,
	* include/vaucanson/automata/implementation/graph.hxx,
	* include/vaucanson/automata/concept/automata_ops.hxx,
	* include/vaucanson/automata/concept/transducer_base.hh,
	* include/vaucanson/automata/concept/kinds.hxx,
	* src/benchs/minimization_2n,
	* src/benchs/common/bench.mk,
	* src/tests/context_headers/fmp_transducers/global_consistency_test.hh,
	* src/tests/context_headers/automata/global_consistency_test.hh,
	* src/tests/context_headers/transducers/global_consistency_test.hh,
	* src/tests/automata/implementation_check/add_transition_test.hh,
	* src/tests/automata/implementation_check/coherence_state_transition_test.hh,
	* src/tests/automata/implementation_check/add_state_test.hh,
	* src/tests/automata/implementation_check/init_final_test.hh,
	* src/tests/automata/implementation_check/geometry_equal_operator_test.hh,
	* src/tests/automata/algos/series_multiplicity_transducers/extension_test.hh,
	* src/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/automata/algos/label_aware_graphs/standard_of_regression_test.hh,
	* src/tests/automata/algos/label_aware_graphs/concat_test.hh,
	* src/tests/automata/algos/label_aware_graphs/closure_test.hh,
	* src/tests/automata/algos/label_aware_graphs/in_concat_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs/realtime_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs/krat_exp_realtime_conflict_test.hh,
	* src/tests/automata/algos/graphs/accessible_test.hh,
	* src/tests/automata/algos/boolean_automata/complete_test.hh,
	* src/tests/automata/algos/labeled_graphs/thompson_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/product_regression_test.hh,
	* src/tests/misc/random.cc,
	* src/tests/misc/limits.cc,
	* src/tests/misc/unique.cc,
	* src/tests/misc/static.cc,
	* src/tests/misc/window.cc,
	* src/tests/misc/bitset.cc,
	* src/tests/algebra/free_monoid_product/free_monoid_product_test.hh,
	* src/tests/algebra/series/krat/boolean/krat_exp_cderivation_linear_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_structure_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_test.hh,
	* src/tests/algebra/series/misc/series_test.hh,
	* src/vaucanswig/meta/context.hh,
	* taf-kit/src/edition_commands.hxx: Update accordingy.

2006-07-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* taf-kit/tests/defs.in: Use data/automata as automata_dir.

2006-07-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	Fix use of normalized/b_composition.

	* src/benchs/composition/normalized_composition_bench.hh,
	* src/demos/function_library/tdc_algorithms.cc,
	* src/demos/transducers/one_rule_rewriting/fibonacci_tdc_gen.cc,
	* src/demos/transducers/one_rule_rewriting/ORR_tdc_gen.cc,
	* src/tests/automata/algos/fmp_transducers/subnormalized_composition_test.hh:
	s/normalized_composition/u_compose/, s/b_composition/compose/.

2006-07-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/normalized.hxx: Use get_initial on the
	initial state and get_final on the final one.

2006-07-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/tools/dumper.hh: Don't sanity check, as the
	prerequisites for including this file aren't fulfilled.

2006-07-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* doc/manual/taf-kit.tex: Fix `dump-automaton' use in doc.

2006-07-22  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	Add vcsn-tdc.

	* taf-kit/src/tdc_commands.cc: New. Add commands for fmp_transducer.
	* taf-kit/src/edition_commands.hxx,
	* taf-kit/src/getters.hxx,
	* taf-kit/src/commands_macros.hh,
	* taf-kit/src/common_commands.hh,
	* taf-kit/src/getters.hh: Update for compatibilty with
	vcsn-tdc. Use WITH_TWO_ALPHABET.
	* taf-kit/src/Makefile.am: Add a target "vcsn-tdc".
	* include/vaucanson/contexts/fmp_transducer_functions.thh: Include
	"composition_cover.hh".
	* include/vaucanson/algorithms/evaluation_fmp.hxx: Change
	function's call "normalize_composition" to "compos"
	* include/vaucanson/algorithms/normalized_composition.hh,
	* include/vaucanson/algorithms/normalized_composition.hxx: Make it
	compile.
	* include/vaucanson/algorithms/composition_cover.hh,
	* include/vaucanson/algorithms/composition_cover.hxx: New. Add two
	composition_cover and composition_co_cover, required by vcsn-tdc.

2006-07-22  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	Remove `fsm' demo.
	This demo is deprecated and is real drag to use.  People who want to
	see such functionalities in action will look at other files and, soon,
	to the multi-input-output TAF-Kit.

	* src/demos/fsm: Remove.
	* src/demos/fsm/usual_automaton_t: Remove.
	* src/demos/fsm/usual_automaton_t/configure.ac: Remove.
	* src/demos/fsm/usual_automaton_t/vcsn_random_generator.cc: Remove.
	* src/demos/fsm/usual_automaton_t/toolbox.hh: Remove.
	* src/demos/fsm/usual_automaton_t/vcsn_prune.cc: Remove.
	* src/demos/fsm/usual_automaton_t/arg.hh: Remove.
	* src/demos/fsm/usual_automaton_t/vcsn_reverse.cc: Remove.
	* src/demos/fsm/usual_automaton_t/Makefile.am: Remove.
	* src/demos/fsm/usual_automaton_t/missing: Remove.
	* src/demos/fsm/usual_automaton_t/vcsn_closure.cc: Remove.
	* src/demos/fsm/usual_automaton_t/vcsn_dotdump.cc: Remove.
	* src/demos/fsm/usual_automaton_t/vcsn_determinize.cc: Remove.
	* src/demos/fsm/usual_automaton_t/arg.cc: Remove.
	* src/demos/fsm/usual_automaton_t/vcsn_intersect.cc: Remove.
	* src/demos/fsm/usual_automaton_t/vcsn_minimize.cc: Remove.
	* src/demos/fsm/arg.hh: Remove.
	* src/demos/fsm/generate_toolbox.sh: Remove.
	* src/demos/fsm/README.txt: Remove.
	* src/demos/fsm/arg.cc: Remove.

2006-07-22  Akim Demaille  <akim@lrde.epita.fr>

	* bootstrap.sh: Be Darwin Ports friendly: look for glibtoolize.

2006-07-21  Matthieu Varin  <matt@lrde.epita.fr>

	Add a test in is_normalized function.

	The first work on it was to fix the ticket #46 (is_normalized).
	Th URL is : http://vaucanson.lrde.org/trac.cgi/ticket/46.
	Then, we add a functor to be apply with deltaf, witch is more efficient.

	* include/vaucanson/algorithms/internal/has_neighbour.hxx,
	* include/vaucanson/algorithms/internal/has_neighbour.hh: New.
	* include/vaucanson/algorithms/standard.hxx: Compute our new function
	has_predecessors.
	* include/vaucanson/algorithms/normalized.hxx: Compute our new
	functions has_predecessors and has_successors.
	* include/Makefile.am: Update accordingly.

2006-07-21  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	Add library support in TAF-Kit.

	* taf-kit/tests/wrapper.in: Remove the fake commands.

	* taf-kit/src/library_commands.hh: New.  Define `list-automata' and
	`dump-automaton'.
	* taf-kit/src/common_commands.hh: Include it.
	* taf-kit/src/z_commands.cc,
	* taf-kit/src/b_commands.cc: Add them.

	* taf-kit/src/edit_automaton.hh,
	* taf-kit/src/edit_automaton.hxx: Move to...
	* taf-kit/src/edition_commands.hh,
	* taf-kit/src/edition_commands.hxx: Here.  For name consistency.

	* taf-kit/src/getters.hxx: Be more verbose, fix typo.

	* taf-kit/src/commands_macros.hh,
	* taf-kit/src/interface.cc: Handle commands with 0 argument.

	* taf-kit/src/Makefile.am: Update.

2006-07-21  Akim Demaille  <akim@lrde.epita.fr>

	Remove dead code and figure.

	* src/demos/function_library/Makefile.am: Remove z and b.
	* doc/manual/images: Remove.
	* doc/manual/images/a1_det.ps: Remove.
	* doc/manual/Makefile.am: Adjust.

2006-07-21  Akim Demaille  <akim@lrde.epita.fr>

	Adjust TAF-Kit tests to data/automata.

	* taf-kit/tests/wrapper.in: Do it.

2006-07-21  Akim Demaille  <akim@lrde.epita.fr>

	Factor setAttribute.

	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/tools.hxx (set_attribute, xset_attribute):
	New.
	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/xml_converter.hxx: Use it.

2006-07-21  Florent Terrones  <terron_f@lrde.epita.fr>

	* data/vaucanson.xsd: Remove annoying default range.

2006-07-21  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	Move automaton library to data/automata.

	* data/b,
	* data/z: Move...
	* data/automata,
	* data/automata/b,
	* data/automata/z: Here.
	* configure.ac,
	* data/Makefile.am: Update accordingly.
	* data/automata/Makefile.am: New.

2006-07-21  Matthieu Varin  <matt@lrde.epita.fr>

	Fix Matt's dirtiness.

	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* src/demos/function_library/tdc_algorithms.cc: Change the good path
	to the file outsplitting.

2006-07-21  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* data/misc.el: Add the non-optional (in Emacs 21) nil as third
	argument of (indent-region).

2006-07-21  Akim Demaille  <akim@lrde.epita.fr>

	Add identity to TAF_kit.

	This allows to check that read|write is idempotent easily.
	And it is not :)
	* taf-kit/tests/wrapper.in: Better emulation of list-automata.
	* taf-kit/src/b_commands.cc (identity): New.
	* taf-kit/src/z_commands.cc (identity): New.
	* taf-kit/src/common_commands.hh (identity): New.

2006-07-21  Akim Demaille  <akim@epita.fr>

	Automatically generate bit of the documentation using TAF-Kit.
	* doc/manual/extex.mk, doc/manual/extex.pl: New.
	* doc/manual/Makefile.am: Use them to extract commands to be run
	before compiling the LaTeX file.
	* doc/manual/vaucanson-user-manual.tex (legend): New.
	* doc/manual/taf-kit.tex (\includegenerateddot, \execcaption):
	New.

2006-07-21  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/xml/xerces_parser.hxx: Fix typo.

2006-07-21  Matthieu Varin  <matt@lrde.epita.fr>

	Change comments in the file: outsplitting.hh.

	The ticket #44 suggests to change the comment of the begin of
	the file. The URL is: http://vaucanson.lrde.org/trac.cgi/ticket/44.

	* include/vaucanson/algorithms/internal/outsplitting.hh: Change comments.

2006-07-21  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/xml/xerces_parser.hxx: Store `getenv' result in
	a char*.

2006-07-21  Matthieu Varin  <matt@lrde.epita.fr>

	Move splitting functions in internal directory.

	The reference is the ticket #44. The URL is
	http://vaucanson.lrde.org/trac.cgi/ticket/44

	* include/vaucanson/algorithms/outsplitting.hh,
	* include/vaucanson/algorithms/outsplitting.hxx: Move ...
	* include/vaucanson/algorithms/internal/outsplitting.hh,
	* include/vaucanson/algorithms/internal/outsplitting.hxx: here.
	Functions are now in the namespace splitting.
	* include/vaucanson/algorithms/normalized_composition.hxx: Update
	accordingly.
	* include/Makefile.am: Update accordingly and add missing
	is_ambiguous.h{h,xx}.

2006-07-21  Guillaume Leroi  <guillaume.leroi@lrde.epita.fr>

	New interface for fmp_transducer composition.

	* include/vaucanson/algorithms/normalized_composition.hh: Change the
	facade for composition. The algorithm is now named 'compose'.
	* include/vaucanson/algorithms/normalized_composition.hxx,
	* src/tests/automata/algos/fmp_transducers/normalized_composition_test.hh,
	* src/tests/automata/algos/fmp_transducers/subnormalized_composition_test.hh: New.
	Adapt existing test to the new facade.

2006-07-21  Akim Demaille  <akim@lrde.epita.fr>

	Move automaton_library to data.

	* src/demos/automaton_library/dumper.hcc: Split and move to...
	* include/vaucanson/tools/dumper.hxx,
	* include/vaucanson/tools/dumper.hh: these new files.
	* include/Makefile.am: Split longuish list.
	Add these new files.

	* src/demos/automaton_library/Makefile.am: Move...
	* src/demos/automaton_library/a1.cc: Move...
	* src/demos/automaton_library/a1.xml: Move...
	* src/demos/automaton_library/b1.cc: Move...
	* src/demos/automaton_library/b1.xml: Move...
	* src/demos/automaton_library/div3base2.xml: Move...
	* src/demos/automaton_library/divkbaseb.cc: Move...
	* src/demos/automaton_library/double-3-1.xml: Move...
	* src/demos/automaton_library/double_ring.cc: Move...
	* src/demos/automaton_library/ladybird-6.xml: Move...
	* src/demos/automaton_library/ladybird.cc: Move...
	* src/demos/automaton_library/Makefile.am: Move...
	* data/b/a1.cc: To here.
	* data/b/a1.xml: and here...
	* data/b/b1.cc: and here...
	* data/b/b1.xml: and here...
	* data/b/div3base2.xml: and here...
	* data/b/divkbaseb.cc: and here...
	* data/b/double-3-1.xml: and here...
	* data/b/double_ring.cc: and here...
	* data/b/ladybird-6.xml: and here...
	* data/b/ladybird.cc: and here.

	* src/demos/automaton_library/c1.xml,
	* src/demos/automaton_library/c1.cc: Move to...
	* data/z/c1.xml, data/z/c1.cc: here.
	* data/z/Makefile.am: New.

	* src/demos/automaton_library: Remove.
	* src/demos/Makefile.am,
	* doc/manual/developer.tex, doc/manual/taf-kit.tex,
	* configure.ac, doc/NEWS.txt, Makefile.am, data/Makefile.am: Adjust.

	* taf-kit/tests/check.mk: Don't put logs that pass in the test-suite
	log, but keep a complete log for all the files.

	* taf-kit/tests/wrapper.in: Implement dump-automaton and list-automata.

2006-07-21  Akim Demaille  <akim@lrde.epita.fr>

	Improve the TAF-Kit test suite framework.

	* include/vaucanson/xml/xerces_parser.hxx (get_xsd_path): Don't
	forget to look for the xsd file.
	* taf-kit/tests/check.mk: Improve the layout by splitting long
	string assignments.
	* taf-kit/tests/wrapper.in: New.
	* taf-kit/tests/defs.in: Use it.
	Set the PATH to use the wrappers.
	No longer use VERBOSE in anyway.
	Use a common base test directory containing sub dirs.
	* taf-kit/tests/vcsn-b.test,
	* taf-kit/tests/vcsn-z.test: No longer rely on envvars to find the
	programs to test, but only the PATH.
	* taf-kit/tests/Makefile.am: Adjust.
	* configure.ac: Fix the expansion of VCSN_DATA_PATH.
	(VCSN_ARG_PROGS): Improve the interface.
	As a consequence RST2TEX is now RST2LATEX.
	Create the taf-kit wrappers.
	* doc/makefiles/Makefile.am (docdir): Don't define it, Autoconf 2.60
	takes care of that.
	* doc/Makefile.am (dist_doc_DATA): Don't ship nor install html file.
	Just ship TeX files.
	Use dist_pdf_DATA for PDF files.
	* doc/doc.mk: Use RST2LATEX.
	Don't defined docdir either.
	* doc/manual/Makefile.am: Use pdf_DATA, not doc_DATA.

2006-07-20  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Fix the use of operator*.
	Since the adapter class Support is not always used, the
	Support::operator* can't be used in all cases.

	* include/vaucanson/xml/tools.hxx,
	* include/vaucanson/algorithms/sub_normalize.hxx,
	* include/vaucanson/automata/implementation/kind_adapter.hh,
	* include/vaucanson/automata/concept/transducer_ops.hxx: Do
	  not use Support::operator*.

2006-07-20  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* doc/manual/vaucanson-user-manual.tex: Add missing myacronym package.
	* doc/manual/developer.tex: Describe directories. Add a rule on macros.

2006-07-20  Akim Demaille  <akim@lrde.epita.fr>

	No longer use VCSN_XSD_PATH.

	* configure.ac (VCSN_ARG_PROGS): New.
	Use it.
	* include/vaucanson/xml/xerces_parser.hh,
	* include/vaucanson/xml/xerces_parser.hxx:
	Don't rely on VCSN_XSD_PATH, but only on VCSN_DATA_PATH.
	Don't define macros in lower case.
	Make them short lived.
	* src/vaucanson.mk: Adjust.
	* doc/NEWS.txt: Document it.

	* doc/manual/developer.tex (Use of Macros): New.

	* Makefile.am (README, NEWS): Make them read only.

2006-07-20  Akim Demaille  <akim@lrde.epita.fr>

	More variable names.

	* doc/manual/developer.tex: Some specialized var names..

2006-07-19  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* taf-kit/src/b_commands.cc,
	* taf-kit/src/z_commands.cc: Some _CN are still needed.

2006-07-19  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	TAF: Lessen the use of _CN macros.
	_CN macros of TAF-Kit are used to precise a `Code Name' when it
	differs from the name of the command.  Here, the only difference is
	'_' changed to '-'.  We just print commands changing '_' to '-' now.

	* taf-kit/src/ratexp_commands.hh: Fix typo.
	* taf-kit/src/interface.cc: Change '_' to '-' for command names when
	printing.
	* taf-kit/src/b_commands.cc,
	* taf-kit/src/z_commands.cc: Don't use CN macros.

2006-07-19  Akim Demaille  <akim@lrde.epita.fr>

	More tests.

	* taf-kit/tests/check.mk: Don't override the first line of a log.
	* taf-kit/tests/vcsn-z.test: More tests.

2006-07-19  Akim Demaille  <akim@lrde.epita.fr>

	Harness taf-kit for vcsn-z tests.

	* taf-kit/tests/check.mk: New.
	One day this guys should go into Automake.
	* taf-kit/tests/Makefile.am: Use it.
	* taf-kit/tests/defs.in (testSubDir): Let's have several of them for
	parallel test suites.
	* taf-kit/tests/vcsn-b.test: Remove my antonym's trashy kludges.
	* taf-kit/tests/vcsn-z.test: New.

2006-07-19  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	Add some comments to invert algorithm.

	* include/vaucanson/algorithms/invert.hxx,
	* include/vaucanson/algorithms/invert.hh,
	* src/tests/automata/algos/boolean_rw_transducers/invert_test.hh:
	  Add more comments and doxygen tags. Plus minor fixes.

2006-07-19  Akim Demaille  <akim@lrde.epita.fr>

	Fix an incorrect use of operator*.

	* include/vaucanson/algorithms/backward_realtime.hxx: Revert
	the previous patch that tried to use the operator* in an incorrect
	context.
	Don't declare variables too widely.

2006-07-19  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	Add TAF-Kit for Z weighted automata.

	* taf-kit/src/ratexp_commands.hh: New. RatExp specific commands. Not
	common because RatExp are not handled for every type of automata.
	* taf-kit/src/common_commands.hh: Update accordingly.
	* taf-kit/src/interface.hh,
	* taf-kit/src/interface.cc: New. Interface to choose a command and to
	list them.
	* taf-kit/src/commands.hh,
	* taf-kit/src/b_commands.cc: Update accordingly.
	* taf-kit/src/z_commands.cc: New. Z weighted automata support.
	* taf-kit/src/Makefile.am: Add `vcsn-z'.

2006-07-19  Akim Demaille  <akim@lrde.epita.fr>

	Factor a bit in composition.

	* include/vaucanson/algorithms/normalized_composition.hxx
	(composition_traits, add_transition): New.

2006-07-19  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_ops.hxx: Don't talk
	about unused arguments.

2006-07-19  Akim Demaille  <akim@lrde.epita.fr>

	Fix RST generated junk.

	* doc/manual/developer.tex: Fix the (poor) result from
	rst2latex.
	Fix variable names.

